package com.nationrel.modules.project.dto.input;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300151SearchInput
 * @Description 任务交付物列表选择页面搜索入参的封装类
 * @Author aaron
 * @CreateDate 2014-03-17
 */
@Component
@Scope("prototype")
public class Rb0300151SearchInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 交付选择类型 Project: 1 TG: 2 Task: 3
     */
    private Integer selectType;

    /**
     * 交付名称
     */
    private String deliveryName;

    /**
     * 交付类型Id
     */
    private String directoryId;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * 是否点击搜索按钮
     */
    private String isSearch;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the deliveryName
     */
    public String getDeliveryName() {
        return deliveryName;
    }

    /**
     * @param deliveryName the deliveryName to set
     */
    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    /**
     * @return the directoryId
     */
    public String getDirectoryId() {
        return directoryId;
    }

    /**
     * @param directoryId the directoryId to set
     */
    public void setDirectoryId(String directoryId) {
        this.directoryId = directoryId;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the isSearch
     */
    public String getIsSearch() {
        return isSearch;
    }

    /**
     * @param isSearch the isSearch to set
     */
    public void setIsSearch(String isSearch) {
        this.isSearch = isSearch;
    }
}
