package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Date;

/**
 * @version V1.0
 * @ClassName Rb0300311SaveInput
 * @Description 任务保存初始化入参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300311SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 上级任务标识
     */
    private String parentTaskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 预计开始时间
     */
    private Date planStartTime;

    /**
     * 预计结束时间
     */
    private Date planEndTime;

    /**
     * TASK权重
     */
    private String shareScale;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the parentTaskId
     */
    public String getParentTaskId() {
        return parentTaskId;
    }

    /**
     * @param parentTaskId the parentTaskId to set
     */
    public void setParentTaskId(String parentTaskId) {
        this.parentTaskId = parentTaskId;
    }

    /**
     * @return the taskName
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * @param taskName the taskName to set
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    /**
     * @return the planStartTime
     */
    public Date getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public Date getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the shareScale
     */
    public String getShareScale() {
        return shareScale;
    }

    /**
     * @param shareScale the shareScale to set
     */
    public void setShareScale(String shareScale) {
        this.shareScale = shareScale;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
}
