package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405202InitInput
 * @Description 预防性措施规划创建初始化入参封装类
 * @Author andy
 * @CreateDate 2014-04-22
 */
@Component
@Scope("prototype")
public class Rb0405202InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估Id
     */
    private String proactiveId;

    /**
     * 交付来源类型
     */
    private String deliverySrc;

    /**
     * 交付来源标识
     */
    private String srcId;

    /**
     * 可靠性项目标识
     */
    private String projectId;

    /**
     * @return the srcId
     */
    public String getSrcId() {
        return srcId;
    }

    /**
     * @param srcId the srcId to set
     */
    public void setSrcId(String srcId) {
        this.srcId = srcId;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the deliverySrc
     */
    public String getDeliverySrc() {
        return deliverySrc;
    }

    /**
     * @param deliverySrc the deliverySrc to set
     */
    public void setDeliverySrc(String deliverySrc) {
        this.deliverySrc = deliverySrc;
    }

    /**
     * @return the proactiveId
     */
    public String getProactiveId() {
        return proactiveId;
    }

    /**
     * @param proactiveId the proactiveId to set
     */
    public void setProactiveId(String proactiveId) {
        this.proactiveId = proactiveId;
    }

}
