package com.nationrel.modules.project.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405203InitInput
 * @Description 预防性措施规划基本信息编辑初始化入参封装类
 * @Author andy
 * @CreateDate 2014-04-24
 */
@Component
@Scope("prototype")
public class Rb0405203InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 交付来源类型
     */
    private String deliverySrc;

    /**
     * 可靠性项目标识
     */
    private String projectId;

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the deliverySrc
     */
    public String getDeliverySrc() {
        return deliverySrc;
    }

    /**
     * @param deliverySrc the deliverySrc to set
     */
    public void setDeliverySrc(String deliverySrc) {
        this.deliverySrc = deliverySrc;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

}
