package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300101InitOutput
 * @Description 项目列表初始化输出参数的封装类
 * @Author andy
 * @CreateDate 2013-12-10
 */
@Component
@Scope("prototype")
public class Rb0300101InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 查询结果集
     */
    private List<Map<String, Object>> resultList;

    /**
     * 显示操作按钮的数量
     */
    private int ctrOptCount;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the resultList
     */
    public List<Map<String, Object>> getResultList() {
        return resultList;
    }

    /**
     * @param resultList the resultList to set
     */
    public void setResultList(List<Map<String, Object>> resultList) {
        this.resultList = resultList;
    }

    /**
     * @return the ctrOptCount
     */
    public int getCtrOptCount() {
        return ctrOptCount;
    }

    /**
     * @param ctrOptCount the ctrOptCount to set
     */
    public void setCtrOptCount(int ctrOptCount) {
        this.ctrOptCount = ctrOptCount;
    }
}
