package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.ProjectPageModel;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300102InitOutput
 * @Description 项目查看页面初始化出参的封装类
 * @Author andy
 * @CreateDate 2013-12-12
 */
@Component
@Scope("prototype")
public class Rb0300102InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回给页面的结果
     */
    private List<ProjectPageModel> projects;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 能否创建TG
     */
    private String createTGAble;

    /**
     * 显示操作按钮的数量
     */
    private int ctrOptCount;

    /**
     * @Fields projectLifeState : 项目状态
     */
    private String projectLifeState;

    /**
     * @return the createTGAble
     */
    public String getCreateTGAble() {
        return createTGAble;
    }

    /**
     * @param createTGAble the createTGAble to set
     */
    public void setCreateTGAble(String createTGAble) {
        this.createTGAble = createTGAble;
    }

    /**
     * @return the projects
     */
    public List<ProjectPageModel> getProjects() {
        return projects;
    }

    /**
     * @param projects the projects to set
     */
    public void setProjects(List<ProjectPageModel> projects) {
        this.projects = projects;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the ctrOptCount
     */
    public int getCtrOptCount() {
        return ctrOptCount;
    }

    /**
     * @param ctrOptCount the ctrOptCount to set
     */
    public void setCtrOptCount(int ctrOptCount) {
        this.ctrOptCount = ctrOptCount;
    }

    /**
     * @return the projectLifeState
     */
    public String getProjectLifeState() {
        return projectLifeState;
    }

    /**
     * @param projectLifeState the projectLifeState to set
     */
    public void setProjectLifeState(String projectLifeState) {
        this.projectLifeState = projectLifeState;
    }
}
