package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.PmTg;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300103InitOutput
 * @Description 项目视图页面初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-03-03
 */
@Component
@Scope("prototype")
public class Rb0300103InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回给页面的结果
     */
    private List<List<PmTg>> pmTgs;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 将要进入工作状态的TG标识
     */
    private String activeTgId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目生命周期状态
     */
    private String lifeState;

    /**
     * 项目生命周期状态名称KEY
     */
    private String pjlifeStateName;

    /**
     * 项目进度
     */
    private BigDecimal percent;

    /**
     * @return the pmTgs
     */
    public List<List<PmTg>> getPmTgs() {
        return pmTgs;
    }

    /**
     * @param pmTgs the pmTgs to set
     */
    public void setPmTgs(List<List<PmTg>> pmTgs) {
        this.pmTgs = pmTgs;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * @return the activeTgId
     */
    public String getActiveTgId() {
        return activeTgId;
    }

    /**
     * @param activeTgId the activeTgId to set
     */
    public void setActiveTgId(String activeTgId) {
        this.activeTgId = activeTgId;
    }

    /**
     * @return the projectName
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * @param projectName the projectName to set
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the pjlifeStateName
     */
    public String getPjlifeStateName() {
        return pjlifeStateName;
    }

    /**
     * @param pjlifeStateName the pjlifeStateName to set
     */
    public void setPjlifeStateName(String pjlifeStateName) {
        this.pjlifeStateName = pjlifeStateName;
    }

    /**
     * @return the percent
     */
    public BigDecimal getPercent() {
        return percent;
    }

    /**
     * @param percent the percent to set
     */
    public void setPercent(BigDecimal percent) {
        this.percent = percent;
    }
}
