package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300110InitOutput
 * @Description 项目基本信息页面初始化出参的封装类
 * @Author andy
 * @CreateDate 2013-12-16
 */
@Component
@Scope("prototype")
public class Rb0300110InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 返回结果
     */
    private Map<String, Object> projectMap;

    /**
     * process type id
     */
    private String moduleId;

    /**
     * business id
     */
    private String businessId;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * @return the projectMap
     */
    public Map<String, Object> getProjectMap() {
        return projectMap;
    }

    /**
     * @param projectMap the projectMap to set
     */
    public void setProjectMap(Map<String, Object> projectMap) {
        this.projectMap = projectMap;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the businessId
     */
    public String getBusinessId() {
        return businessId;
    }

    /**
     * @param businessId the businessId to set
     */
    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

}
