package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300112InitOutput
 * @Description 项目编辑页面初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-16
 */
@Component
@Scope("prototype")
public class Rb0300112InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目应用
     */
    private String application;

    /**
     * 预计开始时间
     */
    private String planStartTime;

    /**
     * 预计结束时间
     */
    private String planEndTime;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 项目状态
     */
    private String projectState;

    /**
     * 发布时间
     */
    private String releaseTime;

    /**
     * 项目描述
     */
    private String description;

    /**
     * 关联产品
     */
    private String objectName;

    /**
     * 模板
     */
    private String template;

    /**
     * 关联对象Id
     */
    private String subjectId;

    /**
     * 产品Id
     */
    private String relatedProductId;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * @return the projectCode
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * @param projectCode the projectCode to set
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    /**
     * @return the projectName
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * @param projectName the projectName to set
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * @return the projectType
     */
    public String getProjectType() {
        return projectType;
    }

    /**
     * @param projectType the projectType to set
     */
    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    /**
     * @return the application
     */
    public String getApplication() {
        return application;
    }

    /**
     * @param application the application to set
     */
    public void setApplication(String application) {
        this.application = application;
    }

    /**
     * @return the planStartTime
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the startTime
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the projectState
     */
    public String getProjectState() {
        return projectState;
    }

    /**
     * @param projectState the projectState to set
     */
    public void setProjectState(String projectState) {
        this.projectState = projectState;
    }

    /**
     * @return the releaseTime
     */
    public String getReleaseTime() {
        return releaseTime;
    }

    /**
     * @param releaseTime the releaseTime to set
     */
    public void setReleaseTime(String releaseTime) {
        this.releaseTime = releaseTime;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the objectName
     */
    public String getObjectName() {
        return objectName;
    }

    /**
     * @param objectName the objectName to set
     */
    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    /**
     * @return the template
     */
    public String getTemplate() {
        return template;
    }

    /**
     * @param template the template to set
     */
    public void setTemplate(String template) {
        this.template = template;
    }

    /**
     * @return the subjectId
     */
    public String getSubjectId() {
        return subjectId;
    }

    /**
     * @param subjectId the subjectId to set
     */
    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    /**
     * @return the relatedProductId
     */
    public String getRelatedProductId() {
        return relatedProductId;
    }

    /**
     * @param relatedProductId the relatedProductId to set
     */
    public void setRelatedProductId(String relatedProductId) {
        this.relatedProductId = relatedProductId;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

}
