package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241SearchGroupOutput
 * @Description 项目成员搜索页面初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-26
 */
@Component
@Scope("prototype")
public class Rb0300141SearchGroupOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 组列表数据
     */
    private List<?> list;

    /**
     * 用户列表标识
     */
    private String flagForUserList;

    /**
     * 组名称
     */
    private String groupName;

    /**
     * @return the groupName
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * @param groupName the groupName to set
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * 用户列表数据
     */
    @SuppressWarnings("rawtypes")
    private List<Map> userMap;

    /**
     * @return the flagForUserList
     */
    public String getFlagForUserList() {
        return flagForUserList;
    }

    /**
     * @param flagForUserList the flagForUserList to set
     */
    public void setFlagForUserList(String flagForUserList) {
        this.flagForUserList = flagForUserList;
    }

    /**
     * @return the userMap
     */
    @SuppressWarnings("rawtypes")
    public List<Map> getUserMap() {
        return userMap;
    }

    /**
     * @param userMap the userMap to set
     */
    @SuppressWarnings("rawtypes")
    public void setUserMap(List<Map> userMap) {
        this.userMap = userMap;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the list
     */
    public List<?> getList() {
        return list;
    }

    /**
     * @param list the list to set
     */
    public void setList(List<?> list) {
        this.list = list;
    }

}
