package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241SearchMembersOutput
 * @Description 项目成员选择页面人员搜索初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-26
 */
@Component
@Scope("prototype")
public class Rb0300141SearchMemberOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户列表标识
     */
    private String flagForUserList;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 用户列表数据
     */
    private List<Map<String, Object>> userMap;

    /**
     * 保存查询条件
     */
    private String userName;

    /**
     * 标识用户选中的用户组Id
     */
    private String selectedUserGroupId;

    /**
     * 用户组下拉框
     */
//    private List<SysUserGroup> sysUserGroup;

    /**
     * @return the selectedUserGroupId
     */
    public String getSelectedUserGroupId() {
        return selectedUserGroupId;
    }

    /**
     * @param selectedUserGroupId the selectedUserGroupId to set
     */
    public void setSelectedUserGroupId(String selectedUserGroupId) {
        this.selectedUserGroupId = selectedUserGroupId;
    }

    /**
     * @return the sysUserGroup
     */
//    public List<SysUserGroup> getSysUserGroup() {
//        return sysUserGroup;
//    }

    /**
     * @param sysUserGroup the sysUserGroup to set
     */
//    public void setSysUserGroup(List<SysUserGroup> sysUserGroup) {
//        this.sysUserGroup = sysUserGroup;
//    }

    /**
     * @return the userName
     */
    public String getUsername() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the flagForUserList
     */
    public String getFlagForUserList() {
        return flagForUserList;
    }

    /**
     * @param flagForUserList the flagForUserList to set
     */
    public void setFlagForUserList(String flagForUserList) {
        this.flagForUserList = flagForUserList;
    }

    /**
     * @return the userMap
     */
    public List<Map<String, Object>> getUserMap() {
        return userMap;
    }

    /**
     * @param userMap the userMap to set
     */
    public void setUserMap(List<Map<String, Object>> userMap) {
        this.userMap = userMap;
    }

}
