package com.nationrel.modules.project.dto.output;

import com.nationrel.modules.project.entity.PmProjectRole;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;


/**
 * @version V1.0
 * @ClassName Rb0300143InitOutput
 * @Description 任务成员编辑初始化出参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300143InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型 项目内: 1 TG内: 2 STEP: 3 TASK: 4
     */
    private Integer selectType;

    /**
     * 公用任务成员信息
     */
    private Map<String, Object> staffMap;

    /**
     * 任务成员角色
     */
    private List<PmProjectRole> roles;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the staffMap
     */
    public Map<String, Object> getStaffMap() {
        return staffMap;
    }

    /**
     * @param staffMap the staffMap to set
     */
    public void setStaffMap(Map<String, Object> staffMap) {
        this.staffMap = staffMap;
    }

    /**
     * @return the roles
     */
    public List<PmProjectRole> getRoles() {
        return roles;
    }

    /**
     * @param roles the roles to set
     */
    public void setRoles(List<PmProjectRole> roles) {
        this.roles = roles;
    }
}
