package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300151SearchOutput
 * @Description 任务交付物列表选择页面搜索出参封装类
 * @Author aaron
 * @CreateDate 2014-03-17
 */
@Component
@Scope("prototype")
public class Rb0300151SearchOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 文档选择类型 Project: 1 TG: 2
     */
    private Integer selectType;

    /**
     * 交付名称
     */
    private String deliveryName;

    /**
     * 交付类型Id
     */
    private String directoryId;

    /**
     * 查询分页
     */
    private Pagination pagination;

    /**
     * 返回结果
     */
    private List<Map<String, Object>> deliveryList;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the deliveryList
     */
    public List<Map<String, Object>> getDeliveryList() {
        return deliveryList;
    }

    /**
     * @param deliveryList the deliveryList to set
     */
    public void setDeliveryList(List<Map<String, Object>> deliveryList) {
        this.deliveryList = deliveryList;
    }

    /**
     * @return the deliveryName
     */
    public String getDeliveryName() {
        return deliveryName;
    }

    /**
     * @param deliveryName the deliveryName to set
     */
    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    /**
     * @return the directoryId
     */
    public String getDirectoryId() {
        return directoryId;
    }

    /**
     * @param directoryId the directoryId to set
     */
    public void setDirectoryId(String directoryId) {
        this.directoryId = directoryId;
    }
}
