package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300210InitOutput
 * @Description TG查看页面初始化出参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300210InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG标识
     */
    private String tgId;

    /**
     * TG描述
     */
    private String description;

    /**
     * TG名称
     */
    private String tgName;

    /**
     * 预计开始时间
     */
    private String planStartTime;

    /**
     * 预计结束时间
     */
    private String planEndTime;

    /**
     * TG顺序
     */
    private Integer gradation;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the tgName
     */
    public String getTgName() {
        return tgName;
    }

    /**
     * @param tgName the tgName to set
     */
    public void setTgName(String tgName) {
        this.tgName = tgName;
    }

    /**
     * @return the planStartTime
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the gradation
     */
    public Integer getGradation() {
        return gradation;
    }

    /**
     * @param gradation the gradation to set
     */
    public void setGradation(Integer gradation) {
        this.gradation = gradation;
    }

    /**
     * @return the startTime
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

}
