package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.TaskPageModel;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300220InitOutput
 * @Description 任务列表初始化出参封装类
 * @Authoraaron
 * @CreateDate 2013-3-7
 */
@Component
@Scope("prototype")
public class Rb0300220InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务列表
     */
    private List<TaskPageModel> tasks;

    /**
     * 页面创建任务权限
     */
    private String createTaskAuthority;

    /**
     * 控制画面树的深度不能超过的最大值
     */
    private int treeMaxDeep;

    /**
     * 显示操作按钮的数量
     */
    private int ctrOptCount;

    /**
     * @Fields isAllCreate : 1是 | 0否
     */
    private int isAllCreate;

    /**
     * @return the tasks
     */
    public List<TaskPageModel> getTasks() {
        return tasks;
    }

    /**
     * @param tasks the tasks to set
     */
    public void setTasks(List<TaskPageModel> tasks) {
        this.tasks = tasks;
    }

    /**
     * @return the treeMaxDeep
     */
    public int getTreeMaxDeep() {
        return treeMaxDeep;
    }

    /**
     * @param treeMaxDeep the treeMaxDeep to set
     */
    public void setTreeMaxDeep(int treeMaxDeep) {
        this.treeMaxDeep = treeMaxDeep;
    }

    /**
     * @return the createTaskAuthority
     */
    public String getCreateTaskAuthority() {
        return createTaskAuthority;
    }

    /**
     * @param createTaskAuthority the createTaskAuthority to set
     */
    public void setCreateTaskAuthority(String createTaskAuthority) {
        this.createTaskAuthority = createTaskAuthority;
    }

    /**
     * @return the ctrOptCount
     */
    public int getCtrOptCount() {
        return ctrOptCount;
    }

    /**
     * @param ctrOptCount the ctrOptCount to set
     */
    public void setCtrOptCount(int ctrOptCount) {
        this.ctrOptCount = ctrOptCount;
    }

    /**
     * @return the isAllCreate
     */
    public int getIsAllCreate() {
        return isAllCreate;
    }

    /**
     * @param isAllCreate the isAllCreate to set
     */
    public void setIsAllCreate(int isAllCreate) {
        this.isAllCreate = isAllCreate;
    }
}
