package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.PmTgCheck;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300230InitOutput
 * @Description TG检查列表初始化出参封装类
 * @Author andy
 * @CreateDate 2014-03-10
 */
@Component
@Scope("prototype")
public class Rb0300230InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG检查列表
     */
    private List<PmTgCheck> pmChecks;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * 显示操作按钮的数量
     */
    private int ctrOptCount;

    /**
     * @return the pmChecks
     */
    public List<PmTgCheck> getPmChecks() {
        return pmChecks;
    }

    /**
     * @param pmChecks the pmChecks to set
     */
    public void setPmChecks(List<PmTgCheck> pmChecks) {
        this.pmChecks = pmChecks;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

    /**
     * @return the ctrOptCount
     */
    public int getCtrOptCount() {
        return ctrOptCount;
    }

    /**
     * @param ctrOptCount the ctrOptCount to set
     */
    public void setCtrOptCount(int ctrOptCount) {
        this.ctrOptCount = ctrOptCount;
    }
}
