package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241InitOutput
 * @Description TG添加成员初始出参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300241InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型 项目内: 1 TG, 2 TASK
     */
    private Integer selectType;

    /**
     * 上级可选用户列表
     */
    private List<Map<String, String>> userList;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the userList
     */
    public List<Map<String, String>> getUserList() {
        return userList;
    }

    /**
     * @param userList the userList to set
     */
    public void setUserList(List<Map<String, String>> userList) {
        this.userList = userList;
    }
}
