package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241SearchOutput
 * @Description TG增加成员选择页面查询出参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-24
 */
@Component
@Scope("prototype")
public class Rb0300241SearchOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型 项目内: 1 TG内: 2 STEP: 3 TASK: 4
     */
    private Integer selectType;

    /**
     * 成员名称
     */
    private String staffName;

    /**
     * 上级可选用户列表
     */
    private List<Map<String, String>> userList;

    /**
     * @return the selectType
     */
    public Integer getSelectType() {
        return selectType;
    }

    /**
     * @param selectType the selectType to set
     */
    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    /**
     * @return the staffName
     */
    public String getStaffName() {
        return staffName;
    }

    /**
     * @param staffName the staffName to set
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    /**
     * @return the userList
     */
    public List<Map<String, String>> getUserList() {
        return userList;
    }

    /**
     * @param userList the userList to set
     */
    public void setUserList(List<Map<String, String>> userList) {
        this.userList = userList;
    }
}
