package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300360InitOutput
 * @Description Task步骤阶段初始化出参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Component
@Scope("prototype")
public class Rb0300360InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TASK标识
     */
    private String taskId;

    /**
     * 业务类型
     */
    private String moduleId;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
