package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.entity.TaskToolModel;
import com.nationrel.modules.project.jar.rb_platform.entity.SysTool;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @ClassName Rb0300370InitOutput
 * @Description 工具选择初始化输出
 * @Author 孔徐文
 * @CreateDate 2014-4-28
 */
@Component
@Scope("prototype")
public class Rb0300370InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * Task ID
     */
    private String taskId;

    /**
     * Task已选工具集
     */
    private List<SysTool> sysToolList;

    /**
     * Task关联工具集
     */
    private List<TaskToolModel> pmTaskToolList;

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the SysToolList
     */
    public List<SysTool> getSysToolList() {
        return sysToolList;
    }

    /**
     * @param SysToolList the SysToolList to set
     */
    public void setSysToolList(List<SysTool> sysToolList) {
        this.sysToolList = sysToolList;
    }

    /**
     * @return the pmTaskToolList
     */
    public List<TaskToolModel> getPmTaskToolList() {
        return pmTaskToolList;
    }

    /**
     * @param pmTaskToolList the pmTaskToolList to set
     */
    public void setPmTaskToolList(List<TaskToolModel> pmTaskToolList) {
        this.pmTaskToolList = pmTaskToolList;
    }
}
