package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405202InitOutput
 * @Description 预防性措施规划创建初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-04-22
 */
@Component
@Scope("prototype")
public class Rb0405202InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 预防性措施评估Id
     */
    private String proactiveId;

    /**
     * 交付来源标识
     */
    private String srcId;

    /**
     * 可靠性项目标识
     */
    private String projectId;

    /**
     * 更改责任人的权限
     */
    private boolean modifyResponsibleAuth;

    /**
     * @return the modifyResponsibleAuth
     */
    public boolean isModifyResponsibleAuth() {
        return modifyResponsibleAuth;
    }

    /**
     * @param modifyResponsibleAuth the modifyResponsibleAuth to set
     */
    public void setModifyResponsibleAuth(boolean modifyResponsibleAuth) {
        this.modifyResponsibleAuth = modifyResponsibleAuth;
    }

    /**
     * @return the srcId
     */
    public String getSrcId() {
        return srcId;
    }

    /**
     * @param srcId the srcId to set
     */
    public void setSrcId(String srcId) {
        this.srcId = srcId;
    }

    /**
     * @return the proactiveId
     */
    public String getProactiveId() {
        return proactiveId;
    }

    /**
     * @param proactiveId the proactiveId to set
     */
    public void setProactiveId(String proactiveId) {
        this.proactiveId = proactiveId;
    }

    /**
     * @return the projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * @param projectId the projectId to set
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 责任人Id
     */
    private String responsibleId;

    /**
     * 交付来源类型
     */
    private String deliverySrc;

    /**
     * @return the deliverySrc
     */
    public String getDeliverySrc() {
        return deliverySrc;
    }

    /**
     * @param deliverySrc the deliverySrc to set
     */
    public void setDeliverySrc(String deliverySrc) {
        this.deliverySrc = deliverySrc;
    }

    /**
     * @return the responsibleId
     */
    public String getResponsibleId() {
        return responsibleId;
    }

    /**
     * @param responsibleId the responsibleId to set
     */
    public void setResponsibleId(String responsibleId) {
        this.responsibleId = responsibleId;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

}
