package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405203InitOutput
 * @Description 预防性措施规划基本信息编辑初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-04-24
 */
@Component
@Scope("prototype")
public class Rb0405203InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 预防性措施评估Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施评估Id
     */
    private String proactivePlanName;

    /**
     * 预防性措施评估Id
     */
    private String description;

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 责任人Id
     */
    private String responsibleId;

    /**
     * 交付来源类型
     */
    private String deliverySrc;

    /**
     * 更改责任人的权限
     */
    private boolean modifyResponsibleAuth;

    /**
     * @return the modifyResponsibleAuth
     */
    public boolean isModifyResponsibleAuth() {
        return modifyResponsibleAuth;
    }

    /**
     * @param modifyResponsibleAuth the modifyResponsibleAuth to set
     */
    public void setModifyResponsibleAuth(boolean modifyResponsibleAuth) {
        this.modifyResponsibleAuth = modifyResponsibleAuth;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the proactivePlanName
     */
    public String getProactivePlanName() {
        return proactivePlanName;
    }

    /**
     * @param proactivePlanName the proactivePlanName to set
     */
    public void setProactivePlanName(String proactivePlanName) {
        this.proactivePlanName = proactivePlanName;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the deliverySrc
     */
    public String getDeliverySrc() {
        return deliverySrc;
    }

    /**
     * @param deliverySrc the deliverySrc to set
     */
    public void setDeliverySrc(String deliverySrc) {
        this.deliverySrc = deliverySrc;
    }

    /**
     * @return the responsibleId
     */
    public String getResponsibleId() {
        return responsibleId;
    }

    /**
     * @param responsibleId the responsibleId to set
     */
    public void setResponsibleId(String responsibleId) {
        this.responsibleId = responsibleId;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

}
