package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405203SaveOutput
 * @Description 预防性措施规划基本信息编辑出参的封装类
 * @Author andy
 * @CreateDate 2014-04-25
 */
@Component
@Scope("prototype")
public class Rb0405203SaveOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施评估Id
     */
    private String proactiveId;

    /**
     * @Fields ppPlanId : 规划标识
     */
    private String ppPlanId;

    /**
     * @return the ppPlanId
     */
    public String getPpPlanId() {
        return ppPlanId;
    }

    /**
     * @param ppPlanId the ppPlanId to set
     */
    public void setPpPlanId(String ppPlanId) {
        this.ppPlanId = ppPlanId;
    }

    /**
     * @return the proactiveId
     */
    public String getProactiveId() {
        return proactiveId;
    }

    /**
     * @param proactiveId the proactiveId to set
     */
    public void setProactiveId(String proactiveId) {
        this.proactiveId = proactiveId;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

}
