package com.nationrel.modules.project.dto.output;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0405211InitOutput
 * @Description 预防性措施规划编辑(列表)初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-04-24
 */
@Component
@Scope("prototype")
public class Rb0405211InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施规划名称
     */
    private String proactivePlanName;

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * 预防性措施规划任务
     */
    private List<Map<String, Object>> ppProactivePlanTasks;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the pagination
     */
    public Pagination getPagination() {
        return pagination;
    }

    /**
     * @param pagination the pagination to set
     */
    public void setPagination(Pagination pagination) {
        this.pagination = pagination;
    }

    /**
     * @return the ppProactivePlanTasks
     */
    public List<Map<String, Object>> getPpProactivePlanTasks() {
        return ppProactivePlanTasks;
    }

    /**
     * @param ppProactivePlanTasks the ppProactivePlanTasks to set
     */
    public void setPpProactivePlanTasks(List<Map<String, Object>> ppProactivePlanTasks) {
        this.ppProactivePlanTasks = ppProactivePlanTasks;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the proactivePlanName
     */
    public String getProactivePlanName() {
        return proactivePlanName;
    }

    /**
     * @param proactivePlanName the proactivePlanName to set
     */
    public void setProactivePlanName(String proactivePlanName) {
        this.proactivePlanName = proactivePlanName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
