package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405212InitOutput
 * @Description 预防性措施规划编辑(图形)初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-04-30
 */
@Component
@Scope("prototype")
public class Rb0405212InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施规划名称
     */
    private String proactivePlanName;

    /**
     * 预防性措施规开始结束时间字符串
     */
    private String dateRangeStr;

    /**
     * 预防性措施规开始结束时间字符串
     */
    private String riskDownValueRangeStr;

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the dateRangeStr
     */
    public String getDateRangeStr() {
        return dateRangeStr;
    }

    /**
     * @param dateRangeStr the dateRangeStr to set
     */
    public void setDateRangeStr(String dateRangeStr) {
        this.dateRangeStr = dateRangeStr;
    }

    /**
     * @return the riskDownValueRangeStr
     */
    public String getRiskDownValueRangeStr() {
        return riskDownValueRangeStr;
    }

    /**
     * @param riskDownValueRangeStr the riskDownValueRangeStr to set
     */
    public void setRiskDownValueRangeStr(String riskDownValueRangeStr) {
        this.riskDownValueRangeStr = riskDownValueRangeStr;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the proactivePlanName
     */
    public String getProactivePlanName() {
        return proactivePlanName;
    }

    /**
     * @param proactivePlanName the proactivePlanName to set
     */
    public void setProactivePlanName(String proactivePlanName) {
        this.proactivePlanName = proactivePlanName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
