package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405231InitOutput
 * @Description 预防性措施规划任务编辑初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-04-29
 */
@Component
@Scope("prototype")
public class Rb0405231InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 规划标识
     */
    private String proactivePlanId;

    /**
     * 规划任务名称
     */
    private String planTaskName;

    /**
     * 零部件名称
     */
    private String partName;

    /**
     * 预防性措施名称
     */
    private String paName;

    /**
     * 预防性措施规划任务标识
     */
    private String planTaskId;

    /**
     * 所属TG标识
     */
    private String tgId;

    /**
     * 规划开始日期
     */
    private String planStartTime;

    /**
     * 规划结束日期
     */
    private String planEndTime;

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 责任人Id
     */
    private String responsibleId;

    /**
     * 描述
     */
    private String description;

    /**
     * @return the responsibleId
     */
    public String getResponsibleId() {
        return responsibleId;
    }

    /**
     * @param responsibleId the responsibleId to set
     */
    public void setResponsibleId(String responsibleId) {
        this.responsibleId = responsibleId;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the planTaskName
     */
    public String getPlanTaskName() {
        return planTaskName;
    }

    /**
     * @param planTaskName the planTaskName to set
     */
    public void setPlanTaskName(String planTaskName) {
        this.planTaskName = planTaskName;
    }

    /**
     * @return the partName
     */
    public String getPartName() {
        return partName;
    }

    /**
     * @param partName the partName to set
     */
    public void setPartName(String partName) {
        this.partName = partName;
    }

    /**
     * @return the paName
     */
    public String getPaName() {
        return paName;
    }

    /**
     * @param paName the paName to set
     */
    public void setPaName(String paName) {
        this.paName = paName;
    }

    /**
     * @return the planTaskId
     */
    public String getPlanTaskId() {
        return planTaskId;
    }

    /**
     * @param planTaskId the planTaskId to set
     */
    public void setPlanTaskId(String planTaskId) {
        this.planTaskId = planTaskId;
    }

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

    /**
     * @return the planStartTime
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
