package com.nationrel.modules.project.dto.output;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0405322InitOutput
 * @Description 预防性措施规划追踪(图形)初始化出参的封装类
 * @Author andy
 * @CreateDate 2014-05-09
 */
@Component
@Scope("prototype")
public class Rb0405322InitOutput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 预防性措施评估名称
     */
    private String proactiveName;

    /**
     * 预防性措施规划Id
     */
    private String proactivePlanId;

    /**
     * 预防性措施规划名称
     */
    private String proactivePlanName;

    /**
     * 责任人
     */
    private String responsible;

    /**
     * 描述
     */
    private String description;

    /**
     * 预防性措施规数据字符串
     */
    private String planDataRangeStr;

    /**
     * 预防性措施规追踪数据字符串
     */
    private String ptDataRangeStr;

    /**
     * 预防性措施规划开始结束时间字符串
     */
    private String planDateRangeStr;

    /**
     * 预防性措施规划追踪开始结束时间字符串
     */
    private String ptDateRangeStr;

    /**
     * 更改责任人的权限
     */
    private boolean modifyResponsibleAuth;

    /**
     * @return the modifyResponsibleAuth
     */
    public boolean isModifyResponsibleAuth() {
        return modifyResponsibleAuth;
    }

    /**
     * @param modifyResponsibleAuth the modifyResponsibleAuth to set
     */
    public void setModifyResponsibleAuth(boolean modifyResponsibleAuth) {
        this.modifyResponsibleAuth = modifyResponsibleAuth;
    }

    /**
     * @return the proactiveName
     */
    public String getProactiveName() {
        return proactiveName;
    }

    /**
     * @param proactiveName the proactiveName to set
     */
    public void setProactiveName(String proactiveName) {
        this.proactiveName = proactiveName;
    }

    /**
     * @return the proactivePlanId
     */
    public String getProactivePlanId() {
        return proactivePlanId;
    }

    /**
     * @param proactivePlanId the proactivePlanId to set
     */
    public void setProactivePlanId(String proactivePlanId) {
        this.proactivePlanId = proactivePlanId;
    }

    /**
     * @return the proactivePlanName
     */
    public String getProactivePlanName() {
        return proactivePlanName;
    }

    /**
     * @param proactivePlanName the proactivePlanName to set
     */
    public void setProactivePlanName(String proactivePlanName) {
        this.proactivePlanName = proactivePlanName;
    }

    /**
     * @return the responsible
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * @param responsible the responsible to set
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the planDataRangeStr
     */
    public String getPlanDataRangeStr() {
        return planDataRangeStr;
    }

    /**
     * @param planDataRangeStr the planDataRangeStr to set
     */
    public void setPlanDataRangeStr(String planDataRangeStr) {
        this.planDataRangeStr = planDataRangeStr;
    }

    /**
     * @return the ptDataRangeStr
     */
    public String getPtDataRangeStr() {
        return ptDataRangeStr;
    }

    /**
     * @param ptDataRangeStr the ptDataRangeStr to set
     */
    public void setPtDataRangeStr(String ptDataRangeStr) {
        this.ptDataRangeStr = ptDataRangeStr;
    }

    /**
     * @return the planDateRangeStr
     */
    public String getPlanDateRangeStr() {
        return planDateRangeStr;
    }

    /**
     * @param planDateRangeStr the planDateRangeStr to set
     */
    public void setPlanDateRangeStr(String planDateRangeStr) {
        this.planDateRangeStr = planDateRangeStr;
    }

    /**
     * @return the ptDateRangeStr
     */
    public String getPtDateRangeStr() {
        return ptDateRangeStr;
    }

    /**
     * @param ptDateRangeStr the ptDateRangeStr to set
     */
    public void setPtDateRangeStr(String ptDateRangeStr) {
        this.ptDateRangeStr = ptDateRangeStr;
    }

}
