package com.nationrel.modules.project.entity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName ProjectViewPageModel
 * @Description 项目查看页面数据的封装类
 * @Author andy
 * @CreateDate 2013-12-12
 */
public class ProjectPageModel {

    /**
     * id
     */
    private String id;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 结构名称
     */
    private String name;

    /**
     * 完成度
     */
    private BigDecimal percent;

    /**
     * 下级结点数
     */
    private Integer childNode;

    /**
     * 检查项目数
     */
    private Integer checkNumber;

    /**
     * 检查项目关闭数
     */
    private Integer closeCheckNumber;

    /**
     * 成员数
     */
    private Integer staffNumber;

    /**
     * 负责人
     */
    private String principal;

    /**
     * 文档数
     */
    private Integer documentNumber;

    /**
     * 状态
     */
    private String lifeState;

    /**
     * 数据类型 01:项目 02: TG
     */
    private String dataType;

    /**
     * 记录排序标识1
     */
    private Date firstOrder;

    /**
     * 页面权限控制
     */
    private Map<String, String> authMap;

    /**
     * TG权限控制
     */
    private Map<String, String> tgAuthMap;

    /**
     * 可向上移动
     **/
    private boolean upMoveAble = true;

    /**
     * 可向下移动
     **/
    private boolean downMoveAble = true;

    /**
     * 阶段
     */
    private String stateName;

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

    /**
     * @return the principal
     */
    public String getPrincipal() {
        return principal;
    }

    /**
     * @param principal the principal to set
     */
    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the parentId
     */
    public String getParentId() {
        return parentId;
    }

    /**
     * @param parentId the parentId to set
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the percent
     */
    public BigDecimal getPercent() {
        return percent;
    }

    /**
     * @param percent the percent to set
     */
    public void setPercent(BigDecimal percent) {
        this.percent = percent;
    }

    /**
     * @return the childNode
     */
    public Integer getChildNode() {
        return childNode;
    }

    /**
     * @param childNode the childNode to set
     */
    public void setChildNode(Integer childNode) {
        this.childNode = childNode;
    }

    /**
     * @return the checkNumber
     */
    public Integer getCheckNumber() {
        return checkNumber;
    }

    /**
     * @param checkNumber the checkNumber to set
     */
    public void setCheckNumber(Integer checkNumber) {
        this.checkNumber = checkNumber;
    }

    /**
     * @return the closeCheckNumber
     */
    public Integer getCloseCheckNumber() {
        return closeCheckNumber;
    }

    /**
     * @param closeCheckNumber the closeCheckNumber to set
     */
    public void setCloseCheckNumber(Integer closeCheckNumber) {
        this.closeCheckNumber = closeCheckNumber;
    }

    /**
     * @return the staffNumber
     */
    public Integer getStaffNumber() {
        return staffNumber;
    }

    /**
     * @param staffNumber the staffNumber to set
     */
    public void setStaffNumber(Integer staffNumber) {
        this.staffNumber = staffNumber;
    }

    /**
     * @return the documentNumber
     */
    public Integer getDocumentNumber() {
        return documentNumber;
    }

    /**
     * @param documentNumber the documentNumber to set
     */
    public void setDocumentNumber(Integer documentNumber) {
        this.documentNumber = documentNumber;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the firstOrder
     */
    public Date getFirstOrder() {
        return firstOrder;
    }

    /**
     * @param firstOrder the firstOrder to set
     */
    public void setFirstOrder(Date firstOrder) {
        this.firstOrder = firstOrder;
    }

    /**
     * @return the dataType
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * @param dataType the dataType to set
     */
    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

    /**
     * @return the upMoveAble
     */
    public boolean isUpMoveAble() {
        return upMoveAble;
    }

    /**
     * @param upMoveAble the upMoveAble to set
     */
    public void setUpMoveAble(boolean upMoveAble) {
        this.upMoveAble = upMoveAble;
    }

    /**
     * @return the downMoveAble
     */
    public boolean isDownMoveAble() {
        return downMoveAble;
    }

    /**
     * @param downMoveAble the downMoveAble to set
     */
    public void setDownMoveAble(boolean downMoveAble) {
        this.downMoveAble = downMoveAble;
    }

    /**
     * @return the tgAuthMap
     */
    public Map<String, String> getTgAuthMap() {
        return tgAuthMap;
    }

    /**
     * @param tgAuthMap the tgAuthMap to set
     */
    public void setTgAuthMap(Map<String, String> tgAuthMap) {
        this.tgAuthMap = tgAuthMap;
    }

}
