package com.nationrel.modules.project.entity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName TaskPageModel
 * @Description 任务查看页面数据的封装类
 * @Author ted.liu
 * @CreateDate 2013-12-26
 */
public class TaskPageModel {

    /**
     * 任务工具集合
     */
    private List<TaskToolModel> taskToolList;

    /**
     * Task权限控制
     */
    private Map<String, String> authMap;

    /**
     * tgId标识
     */
    private String tgId;

    /**
     * 父级TASK标识
     */
    private String parentTaskId;

    /**
     * TASK标识
     */
    private String taskId;

    /**
     * 层级
     */
    private Integer deep;

    /**
     * 左序号
     */
    private Integer leftNo;

    /**
     * 右序号
     */
    private Integer rightNo;

    /**
     * 类型
     */
    private String type;

    /**
     * TASK名称
     */
    private String taskName;

    /**
     * 预计开始时间
     */
    private Date planStartTime;

    /**
     * 预计结束时间
     */
    private Date planEndTime;

    /**
     * 实际开始时间
     */
    private Date startTime;

    /**
     * 实际结束时间
     */
    private Date endTime;

    /**
     * 完成度
     */
    private BigDecimal percent;

    /**
     * 成员人数
     */
    private Integer staffNumber;

    /**
     * 文档数量
     */
    private Integer documentNumber;

    /**
     * 交付物数
     */
    private Integer deliverNum;

    /**
     * TASK权重
     */
    private BigDecimal shareScale;

    /**
     * 周期状态
     */
    private String lifeState;

    /**
     * 任务拥有者
     */
    private String owner;

    /**
     * 检查项目数
     */
    private Integer checkNumber;

    /**
     * 检查项目关闭数
     */
    private Integer closeCheckNumber;

    /**
     * 阶段名称
     */
    private String stateName;

    /**
     * 数据锁版本号
     */
    private Integer lockVersionNo;

    /**
     * @Fields trTreeClass : 树形行样式
     */
    private String trTreeClass;

    /**
     * @Fields tdTreeClass : 树行列样式
     */
    private String tdTreeClass;

    /**
     * @Fields toolName : 可靠性工具名称
     */
    private String toolName;

    /**
     * @Fields toolLink : 可靠性工具链接
     */
    private String toolLink;

    /**
     * @return the tgId
     */
    public String getTgId() {
        return tgId;
    }

    /**
     * @param tgId the tgId to set
     */
    public void setTgId(String tgId) {
        this.tgId = tgId;
    }

    /**
     * @return the parentTaskId
     */
    public String getParentTaskId() {
        return parentTaskId;
    }

    /**
     * @param parentTaskId the parentTaskId to set
     */
    public void setParentTaskId(String parentTaskId) {
        this.parentTaskId = parentTaskId;
    }

    /**
     * @return the taskId
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId the taskId to set
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return the deep
     */
    public Integer getDeep() {
        return deep;
    }

    /**
     * @param deep the deep to set
     */
    public void setDeep(Integer deep) {
        this.deep = deep;
    }

    /**
     * @return the leftNo
     */
    public Integer getLeftNo() {
        return leftNo;
    }

    /**
     * @param leftNo the leftNo to set
     */
    public void setLeftNo(Integer leftNo) {
        this.leftNo = leftNo;
    }

    /**
     * @return the rightNo
     */
    public Integer getRightNo() {
        return rightNo;
    }

    /**
     * @param rightNo the rightNo to set
     */
    public void setRightNo(Integer rightNo) {
        this.rightNo = rightNo;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the taskName
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * @param taskName the taskName to set
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    /**
     * @return the planStartTime
     */
    public Date getPlanStartTime() {
        return planStartTime;
    }

    /**
     * @param planStartTime the planStartTime to set
     */
    public void setPlanStartTime(Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * @return the planEndTime
     */
    public Date getPlanEndTime() {
        return planEndTime;
    }

    /**
     * @param planEndTime the planEndTime to set
     */
    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * @return the startTime
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the percent
     */
    public BigDecimal getPercent() {
        return percent;
    }

    /**
     * @param percent the percent to set
     */
    public void setPercent(BigDecimal percent) {
        this.percent = percent;
    }

    /**
     * @return the staffNumber
     */
    public Integer getStaffNumber() {
        return staffNumber;
    }

    /**
     * @param staffNumber the staffNumber to set
     */
    public void setStaffNumber(Integer staffNumber) {
        this.staffNumber = staffNumber;
    }

    /**
     * @return the documentNumber
     */
    public Integer getDocumentNumber() {
        return documentNumber;
    }

    /**
     * @param documentNumber the documentNumber to set
     */
    public void setDocumentNumber(Integer documentNumber) {
        this.documentNumber = documentNumber;
    }

    /**
     * @return the deliverNum
     */
    public Integer getDeliverNum() {
        return deliverNum;
    }

    /**
     * @param deliverNum the deliverNum to set
     */
    public void setDeliverNum(Integer deliverNum) {
        this.deliverNum = deliverNum;
    }

    /**
     * @return the shareScale
     */
    public BigDecimal getShareScale() {
        return shareScale;
    }

    /**
     * @param shareScale the shareScale to set
     */
    public void setShareScale(BigDecimal shareScale) {
        this.shareScale = shareScale;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the owner
     */
    public String getOwner() {
        return owner;
    }

    /**
     * @param owner the owner to set
     */
    public void setOwner(String owner) {
        this.owner = owner;
    }

    /**
     * @return the checkNumber
     */
    public Integer getCheckNumber() {
        return checkNumber;
    }

    /**
     * @param checkNumber the checkNumber to set
     */
    public void setCheckNumber(Integer checkNumber) {
        this.checkNumber = checkNumber;
    }

    /**
     * @return the closeCheckNumber
     */
    public Integer getCloseCheckNumber() {
        return closeCheckNumber;
    }

    /**
     * @param closeCheckNumber the closeCheckNumber to set
     */
    public void setCloseCheckNumber(Integer closeCheckNumber) {
        this.closeCheckNumber = closeCheckNumber;
    }

    /**
     * @return the taskToolList
     */
    public List<TaskToolModel> getTaskToolList() {
        return taskToolList;
    }

    /**
     * @param taskToolList the taskToolList to set
     */
    public void setTaskToolList(List<TaskToolModel> taskToolList) {
        this.taskToolList = taskToolList;
    }

    /**
     * @return the authMap
     */
    public Map<String, String> getAuthMap() {
        return authMap;
    }

    /**
     * @param authMap the authMap to set
     */
    public void setAuthMap(Map<String, String> authMap) {
        this.authMap = authMap;
    }

    /**
     * @return the stateName
     */
    public String getStateName() {
        return stateName;
    }

    /**
     * @param stateName the stateName to set
     */
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }

    /**
     * @return the lockVersionNo
     */
    public Integer getLockVersionNo() {
        return lockVersionNo;
    }

    /**
     * @param lockVersionNo the lockVersionNo to set
     */
    public void setLockVersionNo(Integer lockVersionNo) {
        this.lockVersionNo = lockVersionNo;
    }

    /**
     * @return the trTreeClass
     */
    public String getTrTreeClass() {
        return trTreeClass;
    }

    /**
     * @param trTreeClass the trTreeClass to set
     */
    public void setTrTreeClass(String trTreeClass) {
        this.trTreeClass = trTreeClass;
    }

    /**
     * @return the tdTreeClass
     */
    public String getTdTreeClass() {
        return tdTreeClass;
    }

    /**
     * @param tdTreeClass the tdTreeClass to set
     */
    public void setTdTreeClass(String tdTreeClass) {
        this.tdTreeClass = tdTreeClass;
    }

    /**
     * @return the toolName
     */
    public String getToolName() {
        return toolName;
    }

    /**
     * @param toolName the toolName to set
     */
    public void setToolName(String toolName) {
        this.toolName = toolName;
    }

    /**
     * @return the toolLink
     */
    public String getToolLink() {
        return toolLink;
    }

    /**
     * @param toolLink the toolLink to set
     */
    public void setToolLink(String toolLink) {
        this.toolLink = toolLink;
    }
}
