// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * @version V1.0
 * @ClassName BizcommonConstants
 * @Description 业务通用常量类
 * @Author reliabench
 * @CreateDate 2014-9-2
 */
public class BizcommonConstants {
    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    private BizcommonConstants() {
        super();
    }

    // 任务处理状态(01:待办、02：领取、03：已办、04：代理、05：驳回、06：被领取)
    public static final String TASK_STATE_01 = "01";
    public static final String TASK_STATE_02 = "02";
    public static final String TASK_STATE_03 = "03";
    public static final String TASK_STATE_04 = "04";
    public static final String TASK_STATE_05 = "05";
    public static final String TASK_STATE_06 = "06";

    // 流程实例状态(流程自身状态（编辑（01）、启动（02）、完成（03）、驳回（04））)
    public static final String INSTANCE_STATE_01 = "01";
    public static final String INSTANCE_STATE_02 = "02";
    public static final String INSTANCE_STATE_03 = "03";
    public static final String INSTANCE_STATE_04 = "04";

    /**
     * @Fields APPR_TYPE_LIFECYCLE : 审批类型-生命周期
     */
    public static final String APPR_TYPE_LIFECYCLE = "01";
    /**
     * @Fields APPR_TYPE_SHARE : 审批类型-共享
     */
    public static final String APPR_TYPE_SHARE = "02";
    /**
     * @Fields APPR_TYPE_SHARE : 审批类型-阶段迁移
     */
    public static final String APPR_TYPE_REBUILD = "05";

    // 任务激活状态(1:激活态、0:未激活态。我的任务列表仅仅显示激活态的任务)
    public static final String TASK_ACTIVE_1 = "1";
    public static final String TASK_ACTIVE_0 = "0";

    // 任务可否代理状态(1:可以代理，0:不能代理)
    public static final String TASK_ALLOW_DELEGATE_1 = "1";
    public static final String TASK_ALLOW_DELEGATE_0 = "0";

    // 任务是否代理(1:是，0:否)
    public static final String TASK_DELEGATE_FLAG_1 = "1";
    public static final String TASK_DELEGATE_FLAG_0 = "0";

    // 任务是否已接受(1:是，0:否)
    public static final String TASK_ACCEPT_FLAG_1 = "1";
    public static final String TASK_ACCEPT_FLAG_0 = "0";

    // 是否终结任务(1:是，0:否)
    public static final String TASK_LAST_TASK_FLAG_1 = "1";
    public static final String TASK_LAST_TASK_FLAG_0 = "0";

    // 通知消息是否阅读(1:是，0:否)
    public static final String NOTICE_READ_FLAG_1 = "1";
    public static final String NOTICE_READ_FLAG_0 = "0";

    // 通知类型(01:系统通知 02:任务通知)
    public static final String NOTICE_NOTICE_TYPE_01 = "01";
    public static final String NOTICE_NOTICE_TYPE_02 = "02";

    // 类型(01:组 02:人员)
    public static final String TYPE_01 = "01";
    public static final String TYPE_02 = "02";

    // 状态类别(1：稳定状态（如发布）0：流程审批过渡状态（如待发布）)
    public static final String STATE_TYPE_0 = "0";
    public static final String STATE_TYPE_1 = "1";

    // 重要级别(01:低级别, 02:中等级别, 03:高级别)
    public static final String NOTICE_CRITICAL_LEVEL_01 = "01";
    public static final String NOTICE_CRITICAL_LEVEL_02 = "02";
    public static final String NOTICE_CRITICAL_LEVEL_03 = "03";

    // 是否发布状态(1:是, 0:否)
    public static final String RELEASE_FLAG_1 = "1";
    public static final String RELEASE_FLAG_0 = "0";

    // 是否审批(1：审批 0：无审批 9：直接迁移)
    public static final String APPROVE_FLAG_NEED = "1";
    public static final String APPROVE_FLAG_NO_NEED = "0";
    public static final String APPROVE_FLAG_DIRECT = "9";

    // 任务国际化key
    public static final String FLD_DEALOPTION = "lbl.dealOpinion";
    public static final String FLD_ATTORNEY = "lbl.attorney";
    // 审批——国际化
    public static final String FLD_APPROVE = "lbl.approve";

    // 流程下一状态初始值
    public static final String PROCESS_TYPE_INIT = "-1";

    // 新建业务表数据，lifestate初始值
    public static final String BUSINESS_INIT = "10";

    // 审批涉及业务表的表名
    public static final String T_WF_PROCESS = "T_WF_PROCESS";
    public static final String T_RGT_PLAN = "T_RGT_PLAN";
    public static final String T_RGT_SCHEDULE = "T_RGT_SCHEDULE";
    public static final String T_TS_INFO = "T_TS_INFO";
    public static final String T_PFMEA_INFO = "T_PFMEA_INFO";
    public static final String T_DFMEA_INFO = "T_DFMEA_INFO";
    public static final String T_RPFM_INFO = "T_RPFM_INFO";
    public static final String T_RDFM_INFO = "T_RDFM_INFO";

    // 数据库业务主键字段(如需添加新的业务数据，请在此依次往下添加)
    public static final String TABLE_DOCUMENT_FIELD_KEY = "DOCUMENT_ID";
    public static final String TABLE_PC_TREE_FIELD_KEY = "PC_TREE_ID";
    public static final String TABLE_PROCESS_FIELD_KEY = "PROCESS_ID";
    public static final String TABLE_PROJECT_INFO_FIELD_KEY = "PROJECT_INFO_ID";
    public static final String TABLE_PROJECT_FIELD_KEY = "PROJECT_ID";
    public static final String TABLE_TARGET_SET_ID = "TARGET_SET_ID";
    public static final String TABLE_PLAN_ID = "PLAN_ID";
    public static final String TABLE_SCHEDULE_ID = "SCHEDULE_ID";
    public static final String TABLE_TS_ID = "TS_ID";
    public static final String TABLE_DFMEA_ID = "FMEA_ID";
    public static final String TABLE_PFMEA_ID = "FMEA_ID";
    public static final String TABLE_RDFM_ID = "FMEA_ID";
    public static final String TABLE_RPFM_ID = "FMEA_ID";

    // entity业务主键属性(如需添加新的业务数据，请在此依次往下添加)
    public static final String ENTITY_DOCUMENT_KEY = "documentId";
    public static final String ENTITY_PC_TREE_KEY = "pcTreeId";
    public static final String ENTITY_PROCESS_KEY = "processId";
    public static final String ENTITY_PROJECT_INFO_KEY = "projectInfoId";
    public static final String ENTITY_PROJECT_KEY = "projectId";

    // 审批业务数据查看(1:表示 审批业务数据查看)
    public static final String BUSINESS_FLAG_VALUE = "1";

    // 通知方式(执行审批路程是否通知任务执行者或审批路径所有者)
    public static final String NOTICE_FLAG_NO = "01"; // 不通知
    public static final String NOTICE_FLAG_TASKER = "02"; // 任务执行者
    public static final String NOTICE_FLAG_OWNER = "03"; // 审批路径所有者
    public static final String NOTICE_FLAG_TASKERANDOWNER = "04"; // 任务执行者和审批路径所有者

    // 发布状态，标志位设为1
    public static final String RELEASE_FLAG = "1";

    public static final String KEY_R_PRODUCTSPECTRUMID = "productSpectrumId";

    // 零部件树返回结果(1:有多个零部件树，显示列表 2:只有一个零部件树 3:没有任何信息)
    public static final String PC_TREE_RETURN_STATE_1 = "1";
    public static final String PC_TREE_RETURN_STATE_2 = "2";
    public static final String PC_TREE_RETURN_STATE_3 = "3";

    // 零部件数量
    public static final int PC_COUNT = 1;

    // 不需要选择PC
    public static final String NO_SELECT_PC = "1";

    public static final String PC_TREE_ACTION = "bsPcTreeAction";

    // 任务消息
    public static final String TASK_MESSAGE_NEWTASK = "bizCommon.taskMessageNewTask"; //  您有新的任务,
    public static final String TASK_MESSAGE_NEW_SUPPLY_TASK = "bizCommon.taskMessageNewSupplyTask"; //  您有新的任务,
    public static final String TASK_MESSAGE_NEEDDISPOSAL = "bizCommon.taskMessageNeedDisposal"; // 需要处理!
    public static final String TASK_MESSAGE_YOURINSTANCE = "bizCommon.taskMessageYourInstance"; // 您创建的审批路径,
    public static final String TASK_MESSAGE_ISSTART = "bizCommon.taskMessageIsStart"; // 已经启动!
    public static final String TASK_MESSAGE_OUT_OF_COURT = "bizCommon.taskMessageOutOfCourt"; // 被驳回!
    public static final String TASK_MESSAGE_COMPLETE = "bizCommon.taskMessageComplete"; // 已经完成。

    // 启动审批标识(1:启动)
    public static final String IS_START = "1";

    /**
     * @Fields STATE_TRANSFER_TYPE_DISABLE : 状态迁移-不可迁移
     */
    public static final String STATE_TRANSFER_DISABLE = "0";
    /**
     * @Fields STATE_TRANSFER_NO_TEMPLET_AUTO : 状态迁移-无模板自动迁移
     */
    public static final String STATE_TRANSFER_NO_TEMPLET_AUTO = "1";
    /**
     * @Fields STATE_TRANSFER_TEMPLET_AUTO : 状态迁移-有模板或自动迁移
     */
    public static final String STATE_TRANSFER_TEMPLET_AUTO = "2";
    /**
     * @Fields STATE_TRANSFER_ONLY_TEMPLET : 状态迁移-模板迁移
     */
    public static final String STATE_TRANSFER_ONLY_TEMPLET = "3";
    /**
     * @Fields STATE_TRANSFER_SPECIAL_TEMPLET : 状态迁移-指定模板迁移
     */
    public static final String STATE_TRANSFER_SPECIAL_TEMPLET = "4";

    /**
     * @Fields AUTO_FORWARD : 向前迁移
     */
    public static final String AUTO_FORWARD = "1";
    /**
     * @Fields AUTO_BACKWARD : 向后迁移
     */
    public static final String AUTO_BACKWARD = "0";
    /**
     * @Fields MODULE_ALL : 通用模板编码
     */
    public static final String MODULE_ALL = "999";

    /**
     * @Fields FLD_OBJECT_NAME : 对象名称国际化
     */
    public static final String FLD_OBJECT_NAME = "lbl.objectName";
    public static final Integer OBJECT_NAME_MAX_LENGTH = 30;
}
