package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Language
 * @Description 语言常量
 * @Author ted.liu
 * @CreateDate 2017-12-05
 */
public class Language {

    // 中文
    public static final Integer LANG_ZH = 1;
    // 英文
    public static final Integer LANG_EN = 2;
    // 俄文
    public static final Integer LANG_RU = 3;
    // 法文
    public static final Integer LANG_FR = 4;
    // 德文
    public static final Integer LANG_DE = 5;
    // 日文
    public static final Integer LANG_JA = 6;
    // 丹麦文
    public static final Integer LANG_DA = 7;
    // 乌克兰文
    public static final Integer LANG_UK = 8;
    // 保加利亚文
    public static final Integer LANG_BG = 9;
    // 克罗地亚文
    public static final Integer LANG_HR = 10;
    // 冰岛文
    public static final Integer LANG_IS = 11;
    // 匈牙利文
    public static final Integer LANG_HU = 12;
    // 印度尼西亚文
    public static final Integer LANG_IN = 13;
    // 土耳其文
    public static final Integer LANG_TR = 14;
    // 塞尔维亚文
    public static final Integer LANG_SR = 15;
    // 希腊文
    public static final Integer LANG_EL = 16;
    // 意大利文
    public static final Integer LANG_IT = 17;
    // 挪威文
    public static final Integer LANG_NO = 18;
    // 捷克文
    public static final Integer LANG_CS = 19;
    // 斯洛伐克文
    public static final Integer LANG_SK = 20;
    // 斯洛文尼亚文
    public static final Integer LANG_SL = 21;
    // 朝鲜文
    public static final Integer LANG_KO = 22;
    // 波兰文
    public static final Integer LANG_PL = 23;
    // 泰文
    public static final Integer LANG_TH = 24;
    // 爱尔兰文
    public static final Integer LANG_GA = 25;
    // 爱沙尼亚文
    public static final Integer LANG_ET = 26;
    // 瑞典文
    public static final Integer LANG_SV = 27;
    // 白俄罗斯文
    public static final Integer LANG_BE = 28;
    // 立陶宛文
    public static final Integer LANG_LT = 29;
    // 罗马尼亚文
    public static final Integer LANG_RO = 30;
    // 芬兰文
    public static final Integer LANG_FI = 31;
    // 荷兰文
    public static final Integer LANG_NL = 32;
    // 葡萄牙文
    public static final Integer LANG_PT = 33;
    // 西班牙文
    public static final Integer LANG_ES = 34;
    // 越南文
    public static final Integer LANG_VI = 35;
    // 阿拉伯文
    public static final Integer LANG_AR = 36;
    // 马来文
    public static final Integer LANG_MS = 37;
    // 中文(繁体)
    public static final Integer LANG_TW = 38;

    public static final Map<String, Integer> langMap = new HashMap<String, Integer>();

    static {
        langMap.put("zh", LANG_ZH);
        langMap.put("en", LANG_EN);
        langMap.put("ru", LANG_RU);
        langMap.put("fr", LANG_FR);
        langMap.put("de", LANG_DE);
        langMap.put("ja", LANG_JA);
        langMap.put("da", LANG_DA);
        langMap.put("uk", LANG_UK);
        langMap.put("bg", LANG_BG);
        langMap.put("hr", LANG_HR);
        langMap.put("is", LANG_IS);
        langMap.put("hu", LANG_HU);
        langMap.put("in", LANG_IN);
        langMap.put("tr", LANG_TR);
        langMap.put("sr", LANG_SR);
        langMap.put("el", LANG_EL);
        langMap.put("it", LANG_IT);
        langMap.put("no", LANG_NO);
        langMap.put("cs", LANG_CS);
        langMap.put("sk", LANG_SK);
        langMap.put("sl", LANG_SL);
        langMap.put("ko", LANG_KO);
        langMap.put("pl", LANG_PL);
        langMap.put("th", LANG_TH);
        langMap.put("ga", LANG_GA);
        langMap.put("et", LANG_ET);
        langMap.put("sv", LANG_SV);
        langMap.put("be", LANG_BE);
        langMap.put("lt", LANG_LT);
        langMap.put("ro", LANG_RO);
        langMap.put("fi", LANG_FI);
        langMap.put("nl", LANG_NL);
        langMap.put("pt", LANG_PT);
        langMap.put("es", LANG_ES);
        langMap.put("vi", LANG_VI);
        langMap.put("ar", LANG_AR);
        langMap.put("ms", LANG_MS);
        langMap.put("tw", LANG_TW);
    }

    /**
     * 百度翻译对应国家简称
     */
    public static final Map<Integer, String> bdLangMap;

    static {
        bdLangMap = new HashMap<Integer, String>();
        bdLangMap.put(LANG_ZH, "zh");
        bdLangMap.put(LANG_EN, "en");
        bdLangMap.put(LANG_RU, "ru");
        bdLangMap.put(LANG_FR, "fra");
        bdLangMap.put(LANG_DE, "de");
        bdLangMap.put(LANG_JA, "jp");
        bdLangMap.put(LANG_DA, "dan");
        bdLangMap.put(LANG_UK, null);
        bdLangMap.put(LANG_BG, "bul");
        bdLangMap.put(LANG_HR, null);
        bdLangMap.put(LANG_IS, null);
        bdLangMap.put(LANG_HU, "hu");
        bdLangMap.put(LANG_IN, null);
        bdLangMap.put(LANG_TR, null);
        bdLangMap.put(LANG_SR, null);
        bdLangMap.put(LANG_EL, "el");
        bdLangMap.put(LANG_IT, "it");
        bdLangMap.put(LANG_NO, null);
        bdLangMap.put(LANG_CS, "cs");
        bdLangMap.put(LANG_SK, null);
        bdLangMap.put(LANG_SL, "slo");
        bdLangMap.put(LANG_KO, "kor");
        bdLangMap.put(LANG_PL, "pl");
        bdLangMap.put(LANG_TH, "th");
        bdLangMap.put(LANG_GA, null);
        bdLangMap.put(LANG_ET, "est");
        bdLangMap.put(LANG_SV, "swe");
        bdLangMap.put(LANG_BE, null);
        bdLangMap.put(LANG_LT, null);
        bdLangMap.put(LANG_RO, "rom");
        bdLangMap.put(LANG_FI, "fin");
        bdLangMap.put(LANG_NL, "nl");
        bdLangMap.put(LANG_PT, "pt");
        bdLangMap.put(LANG_ES, "spa");
        bdLangMap.put(LANG_VI, "vie");
        bdLangMap.put(LANG_AR, "ara");
        bdLangMap.put(LANG_MS, null);
        bdLangMap.put(LANG_TW, "cht");
    }

    /**
     * IQ-FMEA多语对应对应
     */
    public static final Map<String, Integer> iqLangMap = new HashMap<String, Integer>();

    static {
        iqLangMap.put("ZH", LANG_ZH);
        iqLangMap.put("EN", LANG_EN);
        iqLangMap.put("RU", LANG_RU);
        iqLangMap.put("FR", LANG_FR);
        iqLangMap.put("DE", LANG_DE);
        iqLangMap.put("JA", LANG_JA);
        iqLangMap.put("DA", LANG_DA);
        iqLangMap.put("HU", LANG_HU);
        iqLangMap.put("IN", LANG_IN);
        iqLangMap.put("TR", LANG_TR);
        iqLangMap.put("EL", LANG_EL);
        iqLangMap.put("IT", LANG_IT);
        iqLangMap.put("NO", LANG_NO);
        iqLangMap.put("CS", LANG_CS);
        iqLangMap.put("SK", LANG_SK);
        iqLangMap.put("SL", LANG_SL);
        iqLangMap.put("KO", LANG_KO);
        iqLangMap.put("PL", LANG_PL);
        iqLangMap.put("SV", LANG_SV);
        iqLangMap.put("RO", LANG_RO);
        iqLangMap.put("FI", LANG_FI);
        iqLangMap.put("NL", LANG_NL);
        iqLangMap.put("PT", LANG_PT);
        iqLangMap.put("ES", LANG_ES);
        iqLangMap.put("Vietnamese", LANG_VI);
    }

    /**
     * IQ-FMEA当前使用语言对应
     */
    public static final Map<String, Integer> iqUseLangMap = new HashMap<String, Integer>();

    static {
        iqUseLangMap.put("Chinese", LANG_ZH);
        iqUseLangMap.put("English", LANG_EN);
        iqUseLangMap.put("Russian", LANG_RU);
        iqUseLangMap.put("French", LANG_FR);
        iqUseLangMap.put("Deutsch", LANG_DE);
        iqUseLangMap.put("Japanese", LANG_JA);
        iqUseLangMap.put("Danish", LANG_DA);
        iqUseLangMap.put("Hungarian", LANG_HU);
        iqUseLangMap.put("Indonesian", LANG_IN);
        iqUseLangMap.put("Turkish", LANG_TR);
        iqUseLangMap.put("Greek", LANG_EL);
        iqUseLangMap.put("Italian", LANG_IT);
        iqUseLangMap.put("Norwegian", LANG_NO);
        iqUseLangMap.put("Czech", LANG_CS);
        iqUseLangMap.put("Slovak", LANG_SK);
        iqUseLangMap.put("Slovenian", LANG_SL);
        iqUseLangMap.put("Korean", LANG_KO);
        iqUseLangMap.put("Polish", LANG_PL);
        iqUseLangMap.put("Swedish", LANG_SV);
        iqUseLangMap.put("Romanian", LANG_RO);
        iqUseLangMap.put("Finnish", LANG_FI);
        iqUseLangMap.put("Dutch", LANG_NL);
        iqUseLangMap.put("Portuguese", LANG_PT);
        iqUseLangMap.put("Spanish", LANG_ES);
        iqUseLangMap.put("Vietnamese", LANG_VI);
    }
}
