package com.nationrel.modules.project.jar.rb_common.bizcommon.constant;

/**
 * 结构类型编码
 *
 * @author: songht
 * @Date: 2021/5/8 15:01
 * @Description:
 */
public enum StructureType {
    //系统组件
    SYSTEM_COMPONENTS("01"),
    //功能
    FEATURES("02"),
    //工序特性
    PROCESS_CHARACTERISTICS("03"),
    //产品特性
    PRODUCT_FEATURES("04"),
    //要求
    CLAIM("05"),
    //失效
    INVALIDATION("06"),
    //措施组
    ACTIONGROUP("08"),
    //检测
    DETECT("11"),
    //控制方法
    CONTROL_METHOD("12"),
    //反应计划
    RESPONSE_PLAN("13"),
    //未知
    UNKNOW("UNKNOW");

    private final String value;

    StructureType(String value) {
        this.value = value;
    }

    /**
     * 功能描述: 获取实际枚举
     *
     * @param: [value]
     * @return: com.reliabench.bizcommon.constant.StructureType
     * @auther: songht
     * @date: 2021/5/8 15:35
     */
    public static StructureType getStructureEnum(String value) {
        for (StructureType structureType : StructureType.values()) {
            if (structureType.value.equals(value)) {
                return structureType;
            }
        }
        return UNKNOW;
    }

}
