// Copyright(c) 2013 ReliaBench. All rights reserved.

package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @ClassName MessageId
 * @Description 消息ID定义
 * @Author vic.fan
 * @CreateDate 2013-5-16
 * @Version V1.0
 * 错误信息EXXXXXX
 * 警告信息WXXXXXX
 * 提示信息IXXXXXX
 * 通用：
 * E0XXXXX，W0XXXXX，I0XXXXX
 * Frame：
 * E1XXXXX，W1XXXXX，I1XXXXX
 * Base：
 * E2XXXXX，W2XXXXX，I2XXXXX
 * Flow:
 * E3XXXXX，W3XXXXX，I3XXXXX
 * Kits：
 * E4XXXXX，W4XXXXX，I4XXXXX
 * Common:
 * E9XXXXX，W9XXXXX，I9XXXXX
 * XXXXX
 * 前两位XXX: 模块编号
 * 后两位XX: 信息编号(错误、警告、提示分别都从01开始编码)
 */
public enum MessageId {
    //==============================
    // Common
    //==============================
    /**
     * 保存成功
     */
    I000001,
    /**
     * 删除成功
     */
    I000002,
    /**
     * 添加成功
     */
    I000003,
    /**
     * 导入成功
     */
    I000004,
    /**
     * 导出成功
     */
    I000005,
    /**
     * 合并成功
     */
    I000006,
    /**
     * 复制成功
     */
    I000007,
    /**
     * 流程启动成功
     */
    I000008,
    /**
     * 任务已成功签收
     */
    I000009,
    /**
     * 任务已成功反签收
     */
    I000010,
    /**
     * 提交成功
     */
    I000011,
    /**
     * 顺序调整成功
     */
    I000012,
    /**
     * 创建成功
     */
    I000013,
    /**
     * 恢复成功
     */
    I000014,
    /**
     * 编辑成功
     */
    I000015,
    /**
     * 修复完成
     */
    I000016,
    /**
     * 导入失败
     */
    E000001,
    /**
     * 导出异常
     */
    E000002,
    /**
     * 删除失败
     */
    E000003,
    /**
     * 邮件发送失败，请检查邮件服务配置
     */
    E000004,
    /**
     * 流程提交失败，请检查流程配置
     */
    E000005,
    /**
     * 请至少选择一条数据
     */
    E000006,
    /**
     * 请至少输入一行数据
     */
    E000007,
    /**
     * 行中包含有空值的字段
     */
    E000008,
    /**
     * 无法连接互联网
     */
    E000009,
    /**
     * 您当前网络环境无法调用百度翻译。
     */
    E000010,
    /**
     * 请前往系统管理-配置管理进行配置百度翻译。
     */
    E000011,
    /**
     * 无法连接到当前邮箱发件服务器，请检查发件服务器地址和端口。
     */
    E000012,
    /**
     * 请至少选择一种通知类型。
     */
    E000013,
    /**
     * 测试邮件发送失败，请检查发件邮箱和密码（授权码）。
     */
    E000014,
    /**
     * 测试邮件发送成功。
     */
    E000015,
    /**
     * 请先点击邮箱测试按钮，测试发送成功后在保存本页面信息。
     */
    E000016,

    //==============================
    // Common_数字
    //==============================
    /**
     * {0}请输入数字。
     */
    E000101,
    /**
     * {0}请输入正数。
     */
    E000102,
    /**
     * {0}请输入负数。
     */
    E000103,
    /**
     * {0}的小数位数必须小于等于{1}。
     */
    E000104,
    /**
     * {0}必须是大于{1}的数。
     */
    E000105,
    /**
     * {0}必须是大于等于{1}的数。
     */
    E000106,
    /**
     * {0}必须是小于{1}的数。
     */
    E000107,
    /**
     * {0}必须是小于等于{1}的数。
     */
    E000108,
    /**
     * {0}必须是大于{1}且小于{2}的数。
     */
    E000109,
    /**
     * {0}必须是大于{1}且小于等于{2}的数。
     */
    E000110,
    /**
     * {0}必须是大于等于{1}且小于{2}的数。
     */
    E000111,
    /**
     * {0}必须是大于等于{1}且小于等于{2}的数。
     */
    E000112,
    /**
     * {0}:第{1}行:{2}请输入数字。
     */
    E010101,
    /**
     * {0}:第{1}行:{2}请输入正数。
     */
    E010102,
    /**
     * {0}:第{1}行:{2}请输入负数。
     */
    E010103,
    /**
     * {0}:第{1}行:{2}的小数位数必须小于等于{3}。
     */
    E010104,
    /**
     * {0}:第{1}行:{2}必须是大于{3}的数。
     */
    E010105,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}的数。
     */
    E010106,
    /**
     * {0}:第{1}行:{2}必须是小于{3}的数。
     */
    E010107,
    /**
     * {0}:第{1}行:{2}必须是小于等于{3}的数。
     */
    E010108,
    /**
     * {0}:第{1}行:{2}必须是大于{3}且小于{4}的数。
     */
    E010109,
    /**
     * {0}:第{1}行:{2}必须是大于{3}且小于等于{4}的数。
     */
    E010110,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}且小于{4}的数。
     */
    E010111,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}且小于等于{4}的数。
     */
    E010112,

    //==============================
    // Common_整数
    //==============================
    /**
     * {0}请输入整数。
     */
    E000201,
    /**
     * {0}请输入正整数。
     */
    E000202,
    /**
     * {0}请输入负整数。
     */
    E000203,
    /**
     * {0}必须是大于{1}的整数。
     */
    E000204,
    /**
     * {0}必须是大于等于{1}的整数。
     */
    E000205,
    /**
     * {0}必须是小于{1}的整数。
     */
    E000206,
    /**
     * {0}必须是小于等于{1}的整数。
     */
    E000207,
    /**
     * {0}必须是大于{1}且小于{2}的整数。
     */
    E000208,
    /**
     * {0}必须是大于{1}且小于等于{2}的整数。
     */
    E000209,
    /**
     * {0}必须是大于等于{1}且小于{2}的整数。
     */
    E000210,
    /**
     * {0}必须是大于等于{1}且小于等于{2}的整数。
     */
    E000211,
    /**
     * {0}:第{1}行:{2}请输入整数。
     */
    E010201,
    /**
     * {0}:第{1}行:{2}请输入正整数。
     */
    E010202,
    /**
     * {0}:第{1}行:{2}请输入负整数。
     */
    E010203,
    /**
     * {0}:第{1}行:{2}必须是大于{3}的整数。
     */
    E010204,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}的整数。
     */
    E010205,
    /**
     * {0}:第{1}行:{2}必须是小于{3}的整数。
     */
    E010206,
    /**
     * {0}:第{1}行:{2}必须是小于等于{3}的整数。
     */
    E010207,
    /**
     * {0}:第{1}行:{2}必须是大于{3}且小于{4}的整数。
     */
    E010208,
    /**
     * {0}:第{1}行:{2}必须是大于{3}且小于等于{4}的整数。
     */
    E010209,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}且小于{4}的整数。
     */
    E010210,
    /**
     * {0}:第{1}行:{2}必须是大于等于{3}且小于等于{4}的整数。
     */
    E010211,

    //==============================
    // Common_日期
    //==============================
    /**
     * {0}输入无效，请输入有效的日期，格式为：YYYY-MM-DD。
     */
    E000301,
    /**
     * {0}必须大于{1}
     */
    E000302,
    /**
     * {0}必须小于{1}
     */
    E000303,
    /**
     * {0}必须小于等于{1}
     */
    E000304,
    /**
     * {0}必须大于等于{1}
     */
    E000305,
    /**
     * {0}必须大于{1}且小于{2}
     */
    E000306,
    /**
     * {0}必须大于{1}且小于等于{2}
     */
    E000307,
    /**
     * {0}必须大于等于{1}且小于{2}
     */
    E000308,
    /**
     * {0}必须大于等于{1}且小于等于{2}
     */
    E000309,
    /**
     * {0}:第{1}行:{2}输入无效，请输入有效的日期，格式为：YYYY-MM-DD。
     */
    E010301,
    /**
     * {0}:第{1}行:{2}必须大于{3}。
     */
    E010302,
    /**
     * {0}:第{1}行:{2}必须小于{3}。
     */
    E010303,
    /**
     * {0}:第{1}行:{2}必须小于等于{3}。
     */
    E010304,
    /**
     * {0}:第{1}行:{2}必须大于等于{3}。
     */
    E010305,
    /**
     * {0}:第{1}行:{2}必须大于{3}且小于{4}。
     */
    E010306,
    /**
     * {0}:第{1}行:{2}必须大于{3}且小于等于{4}。
     */
    E010307,
    /**
     * {0}:第{1}行:{2}必须大于等于{3}且小于{4}。
     */
    E010308,
    /**
     * {0}:第{1}行:{2}必须大于等于{3}且小于等于{4}。
     */
    E010309,

    //==============================
    // Common_required
    //==============================
    /**
     * {0}的输入值不能为空。
     */
    E000401,
    /**
     * {0}:第{1}行:{2}的输入值不能为空。
     */
    E010401,
    /**
     * 第{0}行请选择一个{1}。
     */
    E010402,

    //==============================
    // Common_length
    //==============================
    /**
     * {0}请输入至少{1}个字符。
     */
    E000501,
    /**
     * {0}输入内容不能多于{1}个字符。
     */
    E000502,
    /**
     * {0}输入内容长度必须介于{1}和{2}之间。
     */
    E000503,
    /**
     * {0}:第{1}行:{2}请输入至少{3}个字符。
     */
    E010501,
    /**
     * {0}:第{1}行:{2}输入内容不能多于{3}个字符。
     */
    E010502,
    /**
     * {0}:第{1}行:{2}输入内容长度必须介于{3}和{4}之间。
     */
    E010503,

    //==============================
    // Common_format
    //==============================
    /**
     * {0}格式不正确。
     */
    E000601,
    /**
     * {0}格式不正确,请使用下面格式:{1}。
     */
    E000602,
    /**
     * {0}请输入中文。
     */
    E000603,
    /**
     * {0}只可包含英文字母和数字
     */
    E000604,
    /**
     * {0}:第{1}行:{2}格式不正确。
     */
    E010601,
    /**
     * {0}:第{1}行:{2}格式不正确,请使用下面格式:{3}。
     */
    E010602,
    /**
     * {0}:第{1}行:{2}请输入中文。
     */
    E010603,
    /**
     * {0}:第{1}行:{2}只可包含英文字母和数字。
     */
    E010604,

    //==============================
    // Common_other
    //==============================
    /**
     * {0}必须为英文字母开头，只可包含英文字母，数字、下划线、点号。
     */
    E005001,
    /**
     * {0}输入值不能包含其他非法字符。
     */
    E005002,
    /**
     * {0}输入值不能包含空格和其他非法字符。
     */
    E005003,
    /**
     * {0}参数无效。
     */
    E005004,
    /**
     * {0}无效，该名称已被占用。
     */
    E005005,
    /**
     * {0}正在被其他数据使用，不能删除。
     */
    E005006,
    /**
     * {0}已经存在。
     */
    E005007,

    //==============================
    // Common_系统
    //==============================
    /**
     * 您没有访问本页面的权限。
     */
    E009901,
    /**
     * 用户名或密码错误。
     */
    E009902,
    /**
     * 两次输入的密码不一致。
     */
    E009903,
    /**
     * 系统硬件有变动，请更新许可。
     */
    E009904,
    /**
     * 系统许可已经到期，请更新许可。
     */
    E009905,
    /**
     * 系统利用人数已经超出限制({0}用户)，请稍后登录。
     */
    E009906,
    /**
     * 已经在其他电脑登录。
     */
    E009907,
    /**
     * 模块{0}利用人数已经超出限制({1}用户)，请稍后利用。
     */
    E009908,
    /**
     * 许可信息损坏
     */
    E009909,
    /**
     * 模块{0}许可已经到期，请更新许可。
     */
    E009910,
    /**
     * 由于长时间未使用，登录信息已经失效，请重新登录。
     */
    E009911,
    /**
     * 您的帐户已经被禁用。
     */
    E009912,
    /**
     * 很抱歉，由于未知原因系统出现故障，请联系管理员或重新登录。
     */
    E009913,
    /**
     * 您访问的页面不存在。
     */
    E009914,
    /**
     * 参数[{0}]不能为空。
     */
    E009915,
    /**
     * 读取Excel出错,无法实例化目标类,请检查Excel配置项
     */
    E009921,
    /**
     * 文件读写出错，请检查文件路径是否正确
     */
    E009922,
    /**
     * 文件读取出错，请检查文件是否存在
     */
    E009923,
    /**
     * Excel Sheet页名无效，请检查配置项
     */
    E009924,
    /**
     * 读取Excel出错，请检查相应的单元格配置项
     */
    E009925,
    /**
     * 写入Excel单元格内容出错
     */
    E009926,
    /**
     * 读取Excel单元格内容出错
     */
    E009927,
    /**
     * 请使用系统提供的模板，并执行宏命令
     */
    E009928,
    /**
     * 所上传的Excel文件和要导入数据不一致，请选择系统提供的模板文件
     */
    E009929,
    /**
     * 该任务不存在候选人，不允许反签收
     */
    E009930,
    /**
     * 密码错误
     */
    E009931,
    /**
     * 您当前要删除的角色，存在已授权的用户。
     */
    E009932,
    /**
     * {0}的长度必须大于等于{1}小于等于{2},只包含数字。
     */
    E009933,
    /**
     * {0}的长度必须大于等于{1}小于等于{2},只可包含英文字母和数字。
     */
    E009934,
    /**
     * {0}的长度必须大于等于{1}小于等于{2},只可包含大小写英文字母、数字和特殊符号(~!@#$%^&*)。
     */
    E009935,
    /**
     * 文件大小不得超过{0}MB
     */
    E009936,
    /**
     * 文件读取出错，请检查文件格式及内容是否正确
     */
    E009937,
    /**
     * 由于您长时间未使用，登录信息已经失效，请重新登录系统。
     */
    E009938,
    /**
     * 您的账号已被管理员强制退出。
     */
    E009939,
    /**
     * 您的账号被其他人登录 。
     */
    E009940,
    /**
     * 试用期限已到期，如需继续使用软件，请联系管理员 。
     */
    E009941,
    /**
     * 您的账号存在异常登录已被禁用，如需继续使用软件，请联系管理员 。
     */
    E009942,
    /**
     * 导入的文件类型错误，请导入正确的rfmea文件
     */
    E009943,// rdfmea文件内容不正确
    E009944,// rpfmea文件内容不正确
    /**
     * 文件读取出错，请检查文件版本信息是否正确
     */
    E009945,
    /**
     * 文件读取出错，文件读取出错，请导入正确文件类型的XML文件
     */
    E009946,
    E009947,
    /**
     * 文件读取出错，请检查XML文件中特性标识是否正确
     **/
    E009948,

    //==============================
    // Common_数据排他消息
    //==============================
    /**
     * 当前数据已被锁定，请稍后处理。
     */
    W009801,
    /**
     * 其他人正在操作，请稍后处理。
     */
    W009802,
    /**
     * 当前数据已被他人删除。
     */
    W009803,
    /**
     * 当前数据状态已被修改。
     */
    W009804,
    /**
     * 对象的操作权限发生变化,操作不能进行。
     */
    W009805,

    //==============================
    // Common_要废弃
    //==============================
    /**
     * {0}的值未计算。
     */
    E099901,
    /**
     * {0}只能输入数字
     */
    E099902,
    /**
     * {0}必须在{1}到{2}之间。
     */
    E099903,
    /**
     * {0}必须是{1}到{2}之间的整数。
     */
    E099904,
    /**
     * {0}必须是{1}到{2}之间的正数
     */
    E099905,
    /**
     * {0}必须是{1}到{2}之间的整数或小数
     */
    E099906,
    /**
     * {0}数必须小于{1}
     */
    E099907,
    /**
     * {0}不得晚于{1}
     */
    E099908,
    /**
     * {0}不得大于{1}
     */
    E099909,
    /**
     * {0}不得小于{1}
     */
    E099910,
    /**
     * 第{0}行,{1}请输入正数。
     */
    E099911,
    /**
     * 第{0}行,{1}请输入{2}到{3}的数字。
     */
    E099912,
    /**
     * 第{0}行,{1}请输入数字。
     */
    E099913,
    /**
     * 第{0}行,{1}不得大于{2}
     */
    E099914,
    /**
     * 第{0}行：{1}请输入{2}且小于{3}的数字
     */
    E099915,
    /**
     * 数据状态改变，请刷新页面稍后重试
     */
    E099916,
    /**
     * 数据不存在，请刷新页面。
     */
    E099917,
    /**
     * 所选节点已经添加，请重新选择
     */
    E099918,
    /**
     * 数据数量过于庞大，暂不支持预览，请导出查看！
     */
    E099919,
    //==============================
    // Frame模块
    //==============================
    /**
     * 文件类型不支持
     */
    E100101,
    /**
     * 文件不能为空
     */
    E100102,
    /**
     * 当前任务已经被领取
     */
    I100101,
    /**
     * 当前文件不存在
     */
    I100102,
    /**
     * 请先选择需要上传的文件。
     */
    I100103,
    /**
     * 用户已经成功创建。
     */
    I101701,
    /**
     * 用户信息已经成功保存。
     */
    I101702,
    /**
     * 用户已经成功禁用。
     */
    I101703,
    /**
     * 用户已经成功启用。
     */
    I101704,
    /**
     * 用户权限组信息设置成功。
     */
    I101705,
    /**
     * 用户权限信息设置成功。
     */
    I101706,
    /**
     * 许可信息更新成功。
     */
    I101707,
    /**
     * 成功禁用。
     */
    I101708,
    /**
     * 成功启用。
     */
    I101801,
    /**
     * 密码重置成功。
     */
    I101802,
    /**
     * 用户主题设置成功。
     */
    I101803,
    /**
     * 用户踢出成功。
     */
    I101804,
    //==============================
    // Base模块
    //==============================
    /**
     * 文件类型不支持
     */
    E200101,
    /**
     * 文件数据内容不正确
     */
    E200102,
    /**
     * 该行数据为重复数据
     */
    E200103,
    /**
     * 该行数据已经存在
     */
    E200104,
    /**
     * {0}不能为空
     */
    E200105,
    /**
     * {0}的长度必须小于{1}
     */
    E200106,
    /**
     * {0}必须是数值
     */
    E200107,
    /**
     * {0}的日期格式不正确(正确例：2013/09/01)
     */
    E200108,
    /**
     * 自从检查后目标表的数据版本已发生更改，请重新导入
     */
    E200109,
    /**
     * 无法锁住控制表，可能其他人正在导入
     */
    E200110,
    /**
     * {0}的长度必须是{1}
     */
    E200111,
    /**
     * 零部件分类树不能为空
     */
    E200112,
    /**
     * 请选择文件
     */
    E200113,

    //==============================
    // 可靠性流程管理
    //==============================
    /**
     * 由于TG没有完成，项目不能向完成状态迁移。
     */
    E300101,
    /**
     * 由于任务没有完成，TG不能向完成状态迁移。
     */
    E300102,
    /**
     * 由于TG下不存在任务，TG不能向完成状态迁移。
     */
    E300103,
    /**
     * 由于项目没有进入工作状态，TG不能向工作状态迁移。
     */
    E300104,
    /**
     * 由于前面TG没有完成，当前TG不能向工作状态迁移。
     */
    E300105,
    /**
     * 当前成员中角色不能使用
     */
    E300106,
    /**
     * Task负责人只能有一人
     */
    E300107,
    /**
     * 由于TG没有进入工作状态，任务不能向工作状态迁移。
     */
    E300108,
    /**
     * 由于父任务没有进入工作状态，当前任务不能向工作状态迁移。
     */
    E300109,
    /**
     * 由于子任务没有全部完成，当前任务不能向完成状态迁移。
     */
    E300110,
    /**
     * 由于项目下没有TG，当前项目不能向完成状态迁移。
     */
    E300111,
    /**
     * 任务完成度必须大于等于系统允许的最小进度。
     */
    E300112,
    /**
     * 请添加TG检查项。
     */
    E300113,
    /**
     * 请添加任务检查项。
     */
    E300114,
    /**
     * 请添加项目检查项。
     */
    E300115,
    /**
     * TG预计日期不在项目预计日期范围之内。
     */
    E300116,
    /**
     * 当前TG预计日期与已经存在的TG日期重合。
     */
    E300117,
    /**
     * 任务预计日期不在TG预计日期范围之内。
     */
    E300118,
    /**
     * 当前任务预计日期不在所属TG预计日期范围之内。
     */
    E300119,
    /**
     * 当前任务预计日期不在所属上级任务预计日期范围之内。
     */
    E300120,
    /**
     * 下级任务预计日期不在当前任务预计日期范围之内。
     */
    E300121,
    /**
     * TG预计开始日期不得早于TG[{0}]的预计结束日期。
     */
    E300122,
    /**
     * TG预计开始日期不得早于TG[{0}]的实际结束日期。
     */
    E300123,
    /**
     * 成员[{0}]不能删除，在TG[{1}]中被引用。
     */
    E300124,
    /**
     * 成员[{1}]不能删除，在任务[{1}]中被引用。
     */
    E300125,
    /**
     * 任务预计开始日期须在TG预计开始日期和预计结束日期之间。
     */
    E300126,
    /**
     * 任务预计结束日期须在TG预计开始日期和预计结束日期之间。
     */
    E300127,
    /**
     * 由于规划没有全部完成，当前措施不能向完成状态迁移。
     */
    E300128,
    /**
     * 任务名称[{0}]在TG[{1}]已经重复。
     */
    E300129,
    /**
     * 当前任务的上级任务已经被删除。
     */
    E300130,
    /**
     * 当前TG已被他人删除。
     */
    W300103,
    /**
     * 当前任务已被他人删除。
     */
    W300104,

    //==============================
    // 维修数据管理
    //==============================
    /**
     * WDA工程生产数据没有
     */
    E400X01,
    /**
     * WDA工程失效数据没有
     */
    E400X02,
    /**
     * WDA没有符合分析条件的产品信息
     */
    E400X03,
    /**
     * WDA没有符合分析条件的失效信息
     */
    E400X04,
    /**
     * 发布名称已存在，请编辑后重新发布
     */
    E400X05,
    /**
     * 至少有一种已完成分析
     */
    E400X06,
    /**
     * 分析未完成不允许发布
     */
    E400X07,
    /**
     * 当前分析数据的失效产品数小于5条，不能创建维修数据分析。
     */
    E400X08,
    /**
     * WDA存储过程运行异常，请联系管理员
     */
    E400X09,

    //==============================
    // 增长试验管理
    //==============================
    /**
     * 达标更新方案查找失败，请调整页面参数。
     */
    E401401,
    /**
     * 已存在样机编号规划时间不能重叠
     */
    E401501,
    /**
     * 没有填写{0}
     */
    E401502,
    /**
     * 计划信息数超出规划样机数
     */
    E401503,
    /**
     * 日期范围超出{0}
     */
    W401501,
    /**
     * {0}必须是大于{1}且小于等于{2}的数。否则累积试验时间将大于上限值{3}。
     */
    E401601,
    /**
     * 追踪信息没有填写完全，该追踪不能发布。
     */
    E401602,
    /**
     * 日期必须大于上次试验记录日期[{0}]且小于等于当前日期[{1}]。
     */
    E401603,
    /**
     * 累积{0}已经大于上限值{1}，不能增加。
     */
    E401604,
    /**
     * 发生日期等于{0}的失效信息，{1}必须是大于{2}且小于等于{3}的数。
     */
    E401605,
    /**
     * 发生日期等于{0}的失效信息，{1}必须是大于{2}且小于{3}的数。
     */
    E401606,
    /**
     * 失效编号{0}在该试验追踪记录中已经存在，您可以修改失效编号，或者到搜索中选择。
     */
    E401607,
    /**
     * 日期必须小于等于当前日期[{0}]。
     */
    E401608,
    /**
     * 试验记录无法添加，上次试验记录日期已经等于当前日期[{0}]。
     */
    E401609,
    /**
     * 该试验追踪下还有{0}个问题没有解决，确定发布吗？
     */
    W401601,
    /**
     * {0}与{1}不相等
     */
    W401X01,

    //==============================
    // 退化分析管理
    //==============================
    /**
     * 第{0}行数据的检测时间输入值不能为空。
     */
    E402401,
    /**
     * 第{0}行数据的检测时间输入值必须为数字。
     */
    E402402,
    /**
     * 第{0}行数据的检测时间输入值必须是大于0且小于等于999999999.9999的数。
     */
    E402403,
    /**
     * 第{0}行数据的测量值输入值不能为空。
     */
    E402404,
    /**
     * 第{0}行数据的测量值输入值必须为数字。
     */
    E402405,
    /**
     * 第{0}行数据的测量值输入值必须是大于等于0且小于等于999999999.9999的数。
     */
    E402406,
    /**
     * 第{0}行数据的单元编号的输入值不能为空。
     */
    E402407,
    /**
     * 第{0}行数据的单元编号的输入内容不能多于30个字符。
     */
    E402408,
    //==============================
    // ALTA
    //==============================
    /**
     * 至少选择一列
     */
    E403701,
    /**
     * 至少输入一行数据
     */
    E403702,
    /**
     * 计算错误，请检查数据或设置
     */
    E403703,

    //==============================
    // 用户管理
    //==============================
    /**
     * 第{0}行数据的登录名输入值不能为空。
     */
    E401701,
    /**
     * 第{0}行数据的登录名输入值已经存在。
     */
    E401702,
    /**
     * 第{0}行数据的邮箱输入值格式不正确。
     */
    E401703,
    /**
     * 第{0}行数据的邮箱输入值不能为空。
     */
    E401704,
    /**
     * 第{0}行数据的电话号码输入值不能多于20个字符。
     */
    E401705,
    /**
     * 第{0}行数据的电话号码输入值格式不正确。
     */
    E401706,
    /**
     * 第{0}行数据的手机号码输入值不能多于11个字符。
     */
    E401707,
    /**
     * 第{0}行数据的手机号码输入值格式不正确。
     */
    E401708,
    /**
     * 第{0}行数据的用户名输入值不能为空。
     */
    E401709,
    /**
     * 第{0}行数据的用户名输入值不能多于20个字符。
     */
    E401710,

    //==============================
    // weibull分析管理
    //==============================
    /**
     * {0}行数据的备注1长度必须大于0小于15
     */
    E402X01,
    /**
     * {0}行数据的备注2长度必须大于0小于15
     */
    E402X02,
    /**
     * {0}行数据的备注3长度必须大于0小于15
     */
    E402X03,
    /**
     * {0}行数据的备注4长度必须大于0小于15
     */
    E402X04,
    /**
     * {0}行数据的备注5长度必须大于0小于15
     */
    E402X05,
    /**
     * {0}行数据的事件值必须为0或者1
     */
    E402X06,
    /**
     * {0}行数据的上次检查时间必须为正数
     */
    E402X07,
    /**
     * {0}行数据的上次检查时间长度必须为0到25
     */
    E402X08,
    /**
     * {0}行数据的结束时间不能为空
     */
    E402X09,
    /**
     * {0}行数据的结束时间必须为正数
     */
    E402X10,
    /**
     * {0}行数据的结束时间长度必须为0到25
     */
    E402X11,
    /**
     * {0}行数据的产品数量必须为大于0的正整数
     */
    E402X12,
    /**
     * 文件数据内容不正确
     */
    E402X13,
    /**
     * 文件类型不支持
     */
    E402X14,
    /**
     * 文件列头不正确
     */
    E402X15,
    /**
     * 分析的数据不能少于两个。
     */
    E402X16,
    /**
     * 请至少选择两个或两个以上分组生成多图。
     */
    E402X17,
    /**
     * 请输入大于0的整数
     */
    E402X18,
    /**
     * 第{0}行,事件的值必须为0或者1
     */
    E402X19,
    /**
     * 数据列表内容不完整
     */
    E402X20,
    /**
     * 该数据已经被多图使用，请先删除或编辑相关多图内容，再删除该数据
     */
    E402X21,
    /**
     * 分析失败，请检查分析参数
     */
    E402X22,
    /**
     * 请至少选择一个comment！
     */
    E402X23,
    /**
     * 请先添加数据，再点击保存
     */
    E402X24,
    /**
     * 生成的值超出范围，请重新指定
     */
    E402X25,
    /**
     * 请输入大于0的数
     */
    E402X26,

    //==============================
    // 寿命数据分组管理
    //==============================
    /**
     * {0}:第{1}行:{2}必须是{3}或者{4}(不区分大小写)
     */
    E402301,
    /**
     * 请至少选择一个分组值。
     */
    E402302,
    /**
     * 请至少添加一条数据。
     */
    E402303,
    /**
     * {0}:第{1}行:{2}必须大于等于{3}。
     */
    E402304,
    /**
     * 如果只有一个失效数据，只有1参数的weibull分布MLE方法和1参数的指数分布MLE方法适合
     */
    E402305,
    /**
     * 如果只有一个失效数据，只有1参数的weibull分布和1参数的指数分布适合
     */
    E402306,
    /**
     * 如果没有失效数据，只有在1参数weibull MLE或者1参数指数MLE在特殊状况下才能分析
     */
    E402307,
    /**
     * 如果只有1个失效数据，只有MLE才能分析
     */
    E402308,
    /**
     * 该组数据无法计算
     */
    E402309,
    /**
     * 如果只有一个失效数据，只有MLE方法适合
     */
    E402311,
    /**
     * 您确定要更改分析设置参数为weibull1参数、MLE方法吗?
     */
    E402312,

    //==============================
    // 寿命数据分析管理
    //==============================
    /**
     * 数据尚未分析,请分析过后发布。
     */
    E402102,
    /**
     * 无法链接R服务器
     */
    E402190,
    /**
     * 置信区间，概率图分析失败
     */
    E402191,
    /**
     * 置信区间，失效图分析失败
     */
    E402192,
    /**
     * Fisher矩阵结果小于0
     */
    E402193,
    /**
     * 没有寿命数据
     **/
    E402194,
    /**
     * 参数评估(RRX)失败
     */
    E402195,
    /**
     * 参数评估(RRY)失败
     */
    E402196,
    /**
     * 参数评估(MLE)失败
     */
    E402197,
    /**
     * Fisher矩阵运算失败
     */
    E402198,
    /**
     * 参数评估结果为零，无法进行分析
     */
    E402199,
    /**
     * 计算器求解失败，请缩小输入值的范围，或者选择其它方法
     */
    E402188,
    /**
     * 方程求解失败，没有找到相应的点
     */
    E402189,
    /**
     * 您确定要保存数据吗
     */
    E402103,
    /**
     * 数据总数量必须小于等于1400000
     */
    E402104,
    //==============================
    // 寿命数据多图管理
    //==============================
    /**
     * 寿命数据分析必须全部为发布状态
     */
    E402202,
    //==============================
    // 退化数据管理
    //==============================
    /**
     * 调用R函数出错
     **/
    E402490,
    /**
     * 没有退化数据
     **/
    E402494,
    /**
     * 每个单元至少包含两条数据，请核对数据。
     **/
    E402495,
    /**
     * 如果选择指数模型或者幂函数模型，退化数据中的测量值必须大于0。
     **/
    E402496,
    /**
     * 参数评估结果无效
     */
    E402497,
    //==============================
    // 目标设定管理
    //==============================
    /**
     * {0}与{1}的比值必须大于{2}小于{3}。
     */
    E403101,
    /**
     * 分配信息列表没有数据，不能发布
     */
    E403201,
    /**
     * 分配信息列表没有自动分配的分配方式，不能发布
     */
    E403202,
    /**
     * 子系统分配信息添加失败，没有满足大于等于{1}且小于等于{2}这样的设定值
     */
    E403203,
    /**
     * 自动分配不能进行，分配值已小于要求精度{0}。
     */
    E403204,
    /**
     * 自动分配不能进行，分配值已大于要求精度{0}。
     */
    E403205,

    //==============================
    // 风险分析管理
    //==============================
    /**
     * 至少有一条结构部件
     */
    E404X01,
    /**
     * 零部件名称不能重复
     */
    E404X02,
    /**
     * 零部件号不能重复
     */
    E404X03,
    /**
     * 零部件号不能为中文
     */
    E404X04,
    /**
     * 风险信息未完善
     */
    E404X05,
    /**
     * 基准列表信息不完整
     */
    E404X06,
    /**
     * {0}信息未完善
     */
    E404X07,
    /**
     * 至少需要一条措施
     */
    E404X08,
    /**
     * {0}总和不等于100%
     */
    E404X09,
    /**
     * 第{0}行,{1}请输入大于0数
     */
    E404X10,
    /**
     * 所选措施会根据风险等级分配到相对应的零部件
     */
    I404X01,
    /**
     * 不同基准修改为同一基准后已有基准值会丢失，请确认后继续
     */
    W404X01,

    //==============================
    // 通用模块管理
    //==============================
    /**
     * {0}{1}的{2}不能相同
     */
    E900101,
    /**
     * 第{0}行：{1}的输入值不能为空。
     */
    E900102,
    /**
     * 第{0}行：{1}必须小大于当天。
     */
    E900103,
    /**
     * 第{0}行:{1}必须是{2}到{3}之间的整数。
     */
    E900104,
    /**
     * {0}{1}的预计结束时间必须大于{2}{3}的预计结束时间。
     */
    E900105,
    /**
     * 第{0}行:{1}输入内容不能多于{2}个字符。
     */
    E900106,
    /**
     * 请重新选择审批模板
     */
    E900107,
    /**
     * 保存成功
     */
    I900101,
    /**
     * 启动成功
     */
    I900102,
    /**
     * 产品或零部件在系统中不存在。
     */
    W900101,
    /**
     * 读取文件不存在。
     */
    E900001,
    /**
     * 读取文件错误。
     */
    E900002,

    //==============================
    // FMEA管理
    //==============================
    /**
     * 状态设置错误
     */
    E416001,
    //==============================
    // DFMEA
    //==============================
    /**
     * 数据不满足条件，不能实施，请修改数据!
     */
    E416X01,
    /**
     * 实施成功
     */
    E416X02,
    /**
     * 请至少选择一个成员
     */
    E416X03,
    /**
     * 版本号为空不能发布,请填写版本号。
     */
    E416X04,
    /**
     * 不能添加第{0}失效数据,请重新选择。
     */
    E416X05,
    /**
     * 功能({0})和功能({1})无法合并,因为功能网会循环。
     */
    E416X06,
    /**
     * 失效({0})和失效({1})无法合并,因为失效网会循环。
     */
    E416X07,
    //==============================
    // PFMEA
    //==============================
    /**
     * {0}下不能添加{1}。
     */
    E416101,
    /**
     * {0}下至多只能添加{1}条{2}。
     */
    E416102,
    /**
     * 当前成员已有负责措施优化
     */
    E416103,
    /**
     * 版本号为空不能发布,请填写版本号。
     */
    E416104,
    /**
     * 功能({0})和功能({1})无法合并,因为功能网会循环。
     */
    E416106,
    /**
     * 失效({0})和失效({1})无法合并,因为失效网会循环。
     */
    E416107,
    //==============================
    // FMEA
    //==============================
    /**
     * DFMEA已经设置
     */
    E416017,
    /**
     * PFMEA已经设置
     */
    E416018,
    /**
     * 导出模板不存在
     */
    E416019,
    /**
     * 合并成功
     */
    E416020,
    //==============================
    // PD
    //==============================
    /**
     * 数据不完整,请填写完后发布。
     */
    E417X01,
    //==============================
    // FRACAS闭环项目
    //==============================
    /**
     * 当前项目预计日期不能包含阶段的预计日期。
     */
    E421301,

    /**
     * 项目成员[{0}]不能删除，在阶段[{1}]中被引用。
     */
    E421302,
    /**
     * 阶段成员[{1}]不能删除，在任务[{1}]中被引用。
     */
    E421303,
    /**
     * 所选择的角色不能设置给多个人员。
     */
    E421304,
    /**
     * 请添加闭环项目检查项。
     */
    E421305,
    /**
     * 由于项目下没有阶段，当前项目不能向完成状态迁移。
     */
    E421306,
    /**
     * 由于阶段没有完成，项目不能向完成状态迁移。
     */
    E421307,
    /**
     * 所选择的问题其他人正在操作，请稍后处理。
     */
    W421301,

    /**
     * 由于项目没有进入工作状态，阶段不能向工作状态迁移。
     */
    E421401,
    /**
     * 由于前面的阶段没有完成，当前阶段不能向工作状态迁移。
     */
    E421402,
    /**
     * 还有没有完成任务，阶段不能向完成状态迁移。
     */
    E421403,

    /**
     * 当前阶段预计日期不在所属项目预计日期范围之内。
     */
    E421404,
    /**
     * 当前阶段预计日期不能包含任务的预计日期。
     */
    E421405,
    /**
     * 当前阶段的预计开始日期不得小于阶段[{0}]的预计完成日期。
     */
    E421406,
    /**
     * 当前阶段的预计开始日期不得小于阶段[{0}]的实际完成日期。
     */
    E421407,
    /**
     * 当前阶段的预计完成日期不得大于阶段[{0}]的预计开始日期。
     */
    E421408,
    /**
     * 阶段间的迁移正在进行，阶段自身状态不能改变。
     */
    E421409,

    /**
     * 当前任务预计日期不在所属阶段预计日期范围之内。
     */
    E421501,

    //==============================
    // XFRACAS闭环项目
    //==============================
    /**
     * 编号已经被使用，请重新获取。
     */
    E430101,
    /**
     * 担当部门综合评审时，整改措施请至少输入一条。
     */
    E430201,
    /**
     * 综合评审结论处理时，整改措施请至少输入一条。
     */
    E430202,
    /**
     * 该任务已经被其他人签收。
     */
    E430301,
    //==============================
    // RDFMEA
    //==============================
    /**
     * 请至少输入一个名称不为空的行。
     */
    E426101,
    /**
     * 当前成员已有负责的具体措施，不能删除。
     */
    E426102,
    /**
     * FMEA中还有未完成的任务，不能发布。
     */
    E426103,
    /**
     * 更新内容。
     */
    E426104,
    /**
     * 不满足删除条件
     **/
    E426105,
    /**
     * 行动优先级表{0}行和{1}行的SOD值有重合的部分，请修改
     */
    E426001,
    /**
     * 请先创建变更记录后在发布。
     */
    E426106,
    //==============================
    // RPFMEA
    //==============================
    /**
     * 请至少输入一个名称不为空的行。
     */
    E426201,
    /**
     * 当前成员已有负责的具体措施，不能删除。
     */
    E426202,
    /**
     * FMEA中还有未完成的任务，不能发布。
     */
    E426203,
    /**
     * 自动翻译无法使用，请检查配置。
     */
    E426204,
    /**
     * 相同语言无法翻译。
     */
    E426205,
    /**
     * 当前检测库中不存在此项检测。
     */
    E426206,
    /**
     * 当前没有关联DFMEA。
     */
    E426207,
    /**
     * 关联DFMEA语言不一致提醒
     */
    E426208,
    /**
     * 接口下不允许创建结构。
     */
    E4261G31,
    /**
     * 特性分类未配置
     */
    I426201,
}
