// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName NumberFormatType
 * @Description 平台级数值型格式化字符串
 * @Author ted.liu
 * @CreateDate 2014-9-1
 */
public enum NumberFormatType {

    /**
     * @Fields FT_FRACTIONDIGIT_0 : ###,##0
     */
    FT_FRACTIONDIGIT_0("###,##0"),
    /**
     * @Fields FT_FRACTIONDIGIT_1 : ###,##0.0
     */
    FT_FRACTIONDIGIT_1("###,##0.0"),
    /**
     * @Fields FT_FRACTIONDIGIT_2 : ###,##0.00
     */
    FT_FRACTIONDIGIT_2("###,##0.00"),
    /**
     * @Fields FT_FRACTIONDIGIT_4 : ###,##0.0000
     */
    FT_FRACTIONDIGIT_4("###,##0.0000"),
    /**
     * @Fields FT_FRACTIONDIGIT_6 : ###,##0.000000
     */
    FT_FRACTIONDIGIT_6("###,##0.000000");

    /**
     * @Fields format : 格式字符串
     */
    private final String format;

    /**
     * @return the format
     */
    public String getFormat() {
        return format;
    }

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     *
     * @param format 格式字符串
     */
    NumberFormatType(String format) {
        this.format = format;
    }
}
