package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @version V1.0
 * @ClassName ReliaFlowConstants
 * @Description 可靠性项目常量定义
 * @Author reliabench
 * @CreateDate 2014-4-21
 */
public class ReliaFlowConstants {

    /**
     * Constructor
     */
    private ReliaFlowConstants() {
        super();
    }

    //===========================
    // 状态常量
    //===========================
    // 项目-创建
    public static final String LIFECYCLE_RELIA_PJ_CREATE = "10";
    // 项目-启项审批中
    public static final String LIFECYCLE_RELIA_PJ_WAIT_INWORK = "11";
    // 项目-工作中
    public static final String LIFECYCLE_RELIA_PJ_INWORK = "20";
    // 项目-结项审批中
    public static final String LIFECYCLE_RELIA_PJ_WAIT_COMPLETE = "21";
    // 项目-完成
    public static final String LIFECYCLE_RELIA_PJ_COMPLETE = "30";
    // 项目-发布审批中
    public static final String LIFECYCLE_RELIA_PJ_WAIT_RELEASE = "31";
    // 项目-发布
    public static final String LIFECYCLE_RELIA_PJ_RELEASE = "40";
    // TG-创建
    public static final String LIFECYCLE_RELIA_TG_CREATE = "10";
    // TG-工作审批中
    public static final String LIFECYCLE_RELIA_TG_WAIT_INWORK = "11";
    // TG-工作中
    public static final String LIFECYCLE_RELIA_TG_INWORK = "20";
    // TG-完成审批中
    public static final String LIFECYCLE_RELIA_TG_WAIT_COMPLETE = "21";
    // TG-完成
    public static final String LIFECYCLE_RELIA_TG_COMPLETE = "30";
    // TASK-创建
    public static final String LIFECYCLE_RELIA_TASK_CREATE = "10";
    // TASK-工作审批中
    public static final String LIFECYCLE_RELIA_TASK_WAIT_INWORK = "11";
    // TASK-工作中
    public static final String LIFECYCLE_RELIA_TASK_INWORK = "20";
    // TASK-完成审批中
    public static final String LIFECYCLE_RELIA_TASK_WAIT_COMPLETE = "21";
    // TASK-完成
    public static final String LIFECYCLE_RELIA_TASK_COMPLETE = "30";
    // 审批中间状态
    public static final String LIFECYCLE_APPROVE_STATE = "99";
    // 预防性规划-规划中
    public static final String LIFECYCLE_RELIA_PLAN_CREATE = "10";
    // 预防性规划-规划完成
    public static final String LIFECYCLE_RELIA_PLAN_COMPLETE = "20";

    //===========================
    // 资源常量
    //===========================
    // 可靠性项目标识
    public static final String RESOURCE_PROJECT_TYPE = "01";
    // 可靠性项目TG
    public static final String RESOURCE_TG_TYPE = "02";
    // 可靠性项目TASK
    public static final String RESOURCE_TASK_TYPE = "03";
    // 可靠性项目-基本信息(01)
    public static final String BASE_TYPE = "01";
    // 可靠性项目-检查列表(02)
    public static final String CHECK_TYPE = "02";
    // 可靠性项目-成员(03)
    public static final String MEMBER_TYPE = "03";
    // 可靠性项目-文档(04)
    public static final String DOCUMENT_TYPE = "04";
    // 可靠性项目-阶段(05)
    public static final String STAGE_TYPE = "05";
    // 可靠性项目-下级(06)
    public static final String CHILD_TYPE = "06";

    //===========================
    // 权限常量
    //===========================
    // 基本信息(view_auth_basic)
    public static final String VIEW_AUTHORITY_BASIC = "view_auth_basic";
    public static final String EDIT_AUTHORITY_BASIC = "edit_auth_basic";
    // 检查列表(view_auth_check)
    public static final String VIEW_AUTHORITY_CHECK = "view_auth_check";
    // 成员(view_auth_member)
    public static final String VIEW_AUTHORITY_MEMBER = "view_auth_member";
    // 文档(view_auth_document)
    public static final String VIEW_AUTHORITY_DOCUMENT = "view_auth_document";
    // 阶段(view_auth_stage)
    public static final String VIEW_AUTHORITY_STAGE = "view_auth_stage";
    // 下级别(view_auth_child)
    public static final String VIEW_AUTHORITY_CHILD = "view_auth_child";
    // 任务工具查看(view_auth_tool)
    public static final String VIEW_AUTHORITY_TOOL = "view_auth_tool";
    // 任务工具增加(create_auth_tool)
    public static final String CREATE_AUTHORITY_TOOL = "create_auth_tool";
    // 创建权限
    public static final String AUTHORITY_CREATE = "authority_create";
    // 修改权限
    public static final String AUTHORITY_MODIFY = "authority_modify";
    // 删除权限
    public static final String AUTHORITY_DELETE = "authority_delete";
    // 查看权限
    public static final String AUTHORITY_VIEW = "authority_view";
    // 附加权限01
    public static final String AUTHORITY_EXT01 = "authority_ext01";
    // 附加权限02
    public static final String AUTHORITY_EXT02 = "authority_ext02";
    // 附加权限03
    public static final String AUTHORITY_EXT03 = "authority_ext03";
    // 附加权限04
    public static final String AUTHORITY_EXT04 = "authority_ext04";

    //===========================
    // 项目角色类型常量
    //===========================
    // 项目负责人(01)
    public static final String ROLE_PROJECT_MANAGER = "01";
    // TG负责人(02)
    public static final String ROLE_TG_MANAGER = "02";
    // Task负责人(03)
    public static final String ROLE_TASK_MANAGER = "03";
    // Task执行者(04)
    public static final String ROLE_TASK_EXECUTOR = "04";
    // 项目监管者及成员(05)
    public static final String ROLE_PROJECT_STAFF = "05";

    //===========================
    // 其他常量
    //===========================
    // 可靠性流程菜单分组号
    public static final String MENU_RELIAFLOW = "reliaflow";

    // 可靠性项目创建URI
    public static final String MENU_CREATE_URI = "/reliaflow/Rb0300111/init.do";

    // 可靠性项目任务工具添加页面URI
    public static final String TASK_TOOL_CREATE_URI = "/reliaflow/Rb0300370/init.do";

    public static final String TASK_TOOL_CREATE_I18N = "system.tool.create";

    // 不可见0
    public static final String AUTH_CTRL_CLASS_HIDDEN = "0";
    // 可见不可写1
    public static final String AUTH_CTRL_CLASS_READONLY = "1";
    // 可见可写2
    public static final String AUTH_CTRL_CLASS_WRITE = "2";
    // 权限控制-可见
    public static final String AUTH_CTRL_VIEW = "style='display: none;'";
    // 权限控制-活性非活性
    public static final String AUTH_CTRL_DISABLED = "disabled";
    // 权限控制-只读
    public static final String AUTH_CTRL_READONLY = "readonly";
    // 选中checkbox
    public static final String SELECTED_CHECKBOX = "checked='true'";

    // Step下首个Task的上级ID
    public static final String TASK_FIRST_PARENT_ID = "000000000000000000000000";

    // 权限是否转化为CSS属性-(0:不转 非0:转)
    public static final String IS_AUTHORITY_SWITCH_YES = "1";
    public static final String IS_AUTHORITY_SWITCH_NO = "0";

    // 项目用户角色是否再查询-(0:不查 1:查)
    public static final String IS_SEARCH_YES = "1";
    public static final String IS_SEARCH_NO = "0";

    // 是否具有权限-(0:无 1:有)
    public static final String IS_AUTHORITY_YES = "1";
    public static final String IS_AUTHORITY_NO = "0";
    public static final String MID2_AUTHORITY_BY_STATE = "2";

    // 项目人员配置-启用(0:不在职 1:在职)
    public static final String IS_APPLY_YES = "1";
    public static final String IS_APPLY_NO = "0";

    // 是否必须执行(0:非必须 1:必须)
    public static final String NEED_EXECUTE = "1";
    public static final String NOT_NEED_EXECUTE = "0";

    // 任务来源(0：手工创建 1：自动生成)
    public static final String TASK_ORIGIN_MANUAL = "0";
    public static final String TASK_ORIGIN_AUTOCREATE = "1";

    // 检查结果（0:初期化，1:合格）
    public static final String CHECK_RESULT_INIT = "0";
    public static final String CHECK_RESULT_PASS = "1";

    // 是否叶子结点（0:否，1:是）
    public static final String TREE_NOT_LEAF = "0";
    public static final String TREE_LEAF = "1";

    // 权限类别（0:状态别，1:角色别）
    public static final String AUTHORITY_CLASSIFY_STATE = "0";
    public static final String AUTHORITY_CLASSIFY_ROLE = "1";
    public static final String AUTHORITY_CLASSIFY_PAGE_STATE = "2";
    public static final String AUTHORITY_CLASSIFY_PAGE_ROLE = "3";

    // 统计进度返回值(0:当前结点， 1:所有结点)
    public static final String PERCENT_RESULT_CURRENT = "0";
    public static final String PERCENT_RESULT_ALL = "1";

    /**
     * @Fields TG_STAGE_SWITCH_MANUL : TG手工阶段迁移
     */
    public static final String TG_STAGE_SWITCH_MANUL = "0";
    /**
     * @Fields TG_STAGE_SWITCH_AUTO : TG自动阶段迁移
     */
    public static final String TG_STAGE_SWITCH_AUTO = "1";
    /**
     * @Fields TASK_STAGE_SWITCH_MANUL : TASK手工阶段迁移
     */
    public static final String TASK_STAGE_SWITCH_MANUL = "0";
    /**
     * @Fields TASK_STAGE_SWITCH_AUTO : TG自动阶段迁移
     */
    public static final String TASK_STAGE_SWITCH_AUTO = "1";

    // 成员选择页面标识选择的是人员
    public static final String MEMBER_CHOOSE_USER = "1";

    // TG和步骤已开始-低、中、高
    public static final int LOW_BEGUN = 0;
    public static final int MIDDLE_BEGUN = 30;
    public static final int HIGH_BEGUN = 70;

    // 项目角色标识-所有者
    public static final String PROJECT_OWNER_ID = "000000000000000000000000";
    // 项目角色标识-项目经理
    public static final String PROJECT_MANAGER_ID = "000000000000000000000001";
    // 项目角色成员
    public static final String PROJECT_ROLE_PROJECT_MEMBER_ID = "000000000000000000000003";
    // TG成员角色标识
    public static final String PROJECT_ROLE_TG_MEMBER_ID = "000000000000000000000005";
    // TG负责人角色标识
    public static final String PROJECT_ROLE_TG_MANAGER_ID = "000000000000000000000004";
    // TASK成员角色标识
    public static final String PROJECT_ROLE_TASK_MEMBER_ID = "000000000000000000000007";
    // TASK成员负责人标识
    public static final String PROJECT_ROLE_PRINCIPAL_MEMBER_ID = "000000000000000000000006";

    // 项目、TG、步骤、任务文档列表页面
    public static final String PROJECT_DOCUMNET_LIST = "PROJECT_DOC_LIST";
    public static final String TG_DOCUMNET_LIST = "TG_DOC_LIST";
    public static final String STEP_DOCUMNET_LIST = "STEP_DOC_LIST";
    public static final String TASK_DOCUMNET_LIST = "TASK_DOC_LIST";

    // 项目、TG、步骤、任务成员列表页面
    public static final String PROJECT_STAFF_LIST = "PROJECT_STAFF_LIST";
    public static final String TG_STAFF_LIST = "TG_STAFF_LIST";
    public static final String STEP_STAFF_LIST = "STEP_STAFF_LIST";
    public static final String TASK_STAFF_LIST = "TASK_STAFF_LIST";

    //===========================
    // 表名常量
    //===========================
    public static final String T_PM_PROJECT = "T_PM_PROJECT";
    public static final String T_PM_TG = "T_PM_TG";
    public static final String T_PM_TASK = "T_PM_TASK";
    public static final String T_PM_TASK_TREE = "T_PM_TASK_TREE";
    public static final String T_PM_TASK_CHECK = "T_PM_TASK_CHECK";
    public static final String T_PM_PROJECT_CHECK = "T_PM_PROJECT_CHECK";
    public static final String T_PM_TG_CHECK = "T_PM_TG_CHECK";
    public static final String T_PP_PLAN = "T_PP_PLAN";

    //===========================
    // 表字段常量
    //===========================
    public static final String PROJECT_ID = "PROJECT_ID";
    public static final String PROJECT_NAME = "PROJECT_NAME";
    public static final String PROJECT_CODE = "PROJECT_CODE";
    public static final String TG_ID = "TG_ID";
    public static final String TG_NAME = "TG_NAME";
    public static final String OBJECT = "OBJECT";
    public static final String STEP_ID = "STEP_ID";
    public static final String STEP_NAME = "STEP_NAME";
    public static final String TASK_ID = "TASK_ID";
    public static final String TASK_NAME = "TASK_NAME";
    public static final String INSERT_USER_ID = "INSERT_USER_ID";
    public static final String CHECK_ITEM_NAME = "OBJECT";
    public static final String PP_PLAN_NAME = "PP_PLAN_NAME";
    public static final String PP_PLAN_ID = "PP_PLAN_ID";

    //===========================
    // 交付类型常量
    //===========================
    public static final String TASK_DELIVERY_TYPE_DOC = "002";
    public static final String TASK_DELIVERY_TYPE_WEIBULL = "004";
    public static final String TASK_DELIVERY_TYPE_WDA = "005";

    // 任务列表页面编号
    public static final String PJ_TASK_PAGE_NUMBER = "Rb0300220";

    // 任务检查列表页面编号
    public static final String PJ_TASK_CHECK_PAGE_NUMBER = "Rb0300330";

    // TG检查列表页面编号
    public static final String PJ_TG_CHECK_PAGE_NUMBER = "Rb0300230";

    // Task页面成员编辑页面前缀
    public static final String PJ_TASK_PAGE_PREFIX = "TASK-";
    // TG页面成员编辑页面前缀
    public static final String PJ_TG_PAGE_PREFIX = "TG-";

    public static final String TIME_RANGE_CHECK = "time_range_check";
    // 交付Id
    public static final String PJ_TASK_DELIVERY_ID = "DELIVERY_ID";

    /**
     * @Fields CONST_TR_TREE_CLASS_LEAF : 叶子行结点样式
     */
    public static final String CONST_TR_TREE_CLASS_LEAF = "leaf expanded";

    /**
     * @Fields CONST_TR_TREE_CLASS_BRANCH : 非叶子结点样式
     */
    public static final String CONST_TR_TREE_CLASS_BRANCH = "branch expanded";

    /**
     * @Fields CONST_FLEX_BRANCH : 树形结点开闭操作
     */
    public static final String CONST_FLEX_BRANCH = "onclick='flexBranch(this)'";

    /**
     * @Fields CONST_TD_TREE_CONTEXT : 树形TD填充内容
     */
    public static final String CONST_TD_TREE_CONTEXT = "<span style='padding-left: REPLACE_PADDINGpx;' class='indenter'>REPLACE_OPERATE</span>";

    /**
     * @Fields CONST_TD_OPERATE :  树形TD是否可操作
     */
    public static final String CONST_TD_OPERATE = "<a title='PEPLACE_TITLE_OPERATE' href='javascript: void(0)' REPLACE_ONCLICK>&nbsp;</a>";
}
