// Copyright(c) 2013 ReliaBench. All rights reserved.

package com.nationrel.modules.project.jar.rb_common.common.constant;

/**
 * @ClassName SessionKeys
 * @Description SessionKeys定义
 * @Author 范钦涛
 * @CreateDate 2013-8-5
 * @Version V1.0
 */
public enum SessionKeys {

    //===============
    // 系统SessionKey定义
    //===============

    /**
     * 用户信息
     */
    USER_INFO,
    LOGIN_TIME,
    LOGIN_ID,
    LOGIN_SEQUENCE,
    /**
     * 用户所使用的主题方式
     */
    USER_THEME,
    /**
     * 主题方式等于1时，点击模块的记载
     */
    MENU_ACTIVE,
    /**
     * 主题方式等于2时，用户有权限的菜单的记载
     */
    AUTH_MENU,
    /**
     * 主题方式等于2时，主页其他数目信息.待处理任务的记载
     */
    TODO_TASK,
    /**
     * 主题方式等于2时，点击模块的记载
     */
    ACTIVE_MODULE,
    /**
     * 主题方式等于2时，关闭功能组的记载
     */
    CLOSE_FUNCTION,
    /**
     * 主题方式等于2时，点击具本工具的记载
     */
    ACTIVE_PAGE,
    /**
     * 主题方式等于2时，点击隐藏左侧菜单的记载
     */
    LEFT_MENU_FLAG,
    /**
     * 富士康邮件通知内容后缀
     */
    MAIL_CONTENT_SUFFIX,

    /**
     * 水印信息
     */
    WARNING_TEXT,
    CORPORATE_NAME,
    CURRENT_IP,
    DISPLAY_WARNING_TEXT,
    DISPLAY_CORPORATE_NAME,
    DISPLAY_LOGIN_ACCOUNT,
    DISPLAY_SYSTEM_TIME,
    DISPLAY_IP,
    WATERMARK_STATE,

    /**
     * 角色信息
     */
    ROLE_ID,
    ROLE_CODE,

    /**
     * 信息
     */
    ERROR_MESSAGES,
    WARNING_MESSAGES,
    INFO_MESSAGES,

    //===============
    // Base模块SessionKey定义
    //===============
    /**
     * 导入ID
     */
    IMPORT_ID,
    /**
     * 导入类型
     */
    IMPORT_TYPE,
    /**
     * 导入上传状态
     */
    IMPORT_UPLOAD_STATUS,
    /**
     * 导入解析状态
     */
    IMPORT_ANALYSIS_STATUS,
    /**
     * 导入检查状态
     */
    IMPORT_CHECK_STATUS,
    /**
     * 我的任务ID
     */
    MYTASK_INFO_ID,
    /**
     * 产成品ID
     */
    PRODUCT_SERIALNUMBER,

    //===============
    // WDA模块SessionKey定义
    //===============
    /**
     * 工程基本信息
     **/
    RB04001_PROJECT_ENTITY,
    /**
     * 工程检索条件信息
     **/
    RB04001_SEARCH_CONDITION_ENTITY,
    /**
     * 工程统计信息
     **/
    RB04001_PROJECT_STAT_ENTITY,
    /**
     * 工程ID
     **/
    RB04001_PROJECT_ID,
    /**
     * 分析参数ID
     **/
    RB04003_ANALYSIS_PARAM_ID,
    /**
     * 分析日期
     **/
    RB04003_ANALYSIS_TIME,
    KEY_CTRL_LIFECYCLE_RB91004,

    //===============
    // WB模块SessionKey定义
    //===============
    /**
     * 导入解析状态
     */
    WB_IMPORT_ANALYSIS_STATUS,
    WEIBULL_MESSAGE_KEY,
    /**
     * lifeState
     */
    WB_LIFE_STATE,
    /**
     * weibull分组名称
     */
    WB_DATA_GROUP_NAME,
    //===============
    // LD(寿命数据)模块SessionKey定义
    //===============
    /**
     * 分析明细数据导入解析状态
     */
    LDA_IMPORT_INFO_STATUS,
    /**
     * 分组明细数据导入解析状态
     */
    LDG_IMPORT_INFO_STATUS,
    /**
     * 国际化KEY
     */
    LDA_MESSAGE_KEY,
    /**
     * 调用外部API画图的入参数据
     */
    LD_API_REQUEST_PLOTDATA_KEY,
    //===============
    // RLD(寿命数据)模块SessionKey定义
    //===============
    /**
     * 分析明细数据导入解析状态
     */
    RLDA_IMPORT_INFO_STATUS,
    /**
     * 分组明细数据导入解析状态
     */
    RLDG_IMPORT_INFO_STATUS,
    /**
     * 国际化KEY
     */
    RLDA_MESSAGE_KEY,
    /**
     * 调用外部API画图的入参数据
     */
    RLD_API_REQUEST_PLOTDATA_KEY,
    //===============
    // RLD(寿命数据)模块SessionKey定义
    //===============
    /**
     * 加速
     */
    ALTA_ANALYSIS_ID_KEY,
    ALTA_ANALYSIS_KEY,
    ALTA_COLUMN_KEY,
    //===============
    // DA(退化分析)模块SessionKey定义
    //===============
    /**
     * 导入解析状态
     */
    DA_IMPORT_INFO_STATUS,
    /**
     * 国际化KEY
     */
    DA_MESSAGE_KEY,
    //===============
    // frame模块SessionKey定义
    //===============
    /**
     * 零部件检索条件
     */
    BS__PART_SEARCH_CONDITION,
    /**
     * 用户检索条件
     */
    BS__USER_SEARCH_CONDITION,
    /**
     * 零部件结构树ID
     */
    BS_PC_TREE_ID,
    /**
     * 资源ID
     */
    AUTHORITY_RESOURCE_ID,
    /**
     * 用户组ID
     */
    USER_GROUP_ID,
    USER_IMPORT_INFO_STATUS,
    /**
     * 国际化KEY
     */
    USER_MESSAGE_KEY,

    //===============
    // flow模块SessionKey定义
    //===============
    /**
     * 交付搜索条件
     **/
    BS_DELIVERY_SEARCH_PARAM,
    /**
     * 任务成员搜索条件
     **/
    BS_TASK_MEMBER_SEARCH_PARAM,

    //===============
    // bizcommon模块SessionKey定义
    //===============
    /**
     * 零部件检索条件(弹出页面)
     */
    BS_POP_PART_SEARCH_CONDITION,
    /**
     * 产品检索条件 (弹出页面)
     */
    BS_POP_PRODUCT_SEARCH_CONDITION,
    /**
     * 用户/用户组检索条件 (弹出页面)
     */
    BS_POP_USER_SEARCH_CONDITION,
    /**
     * 系统选择语言
     */
    SYS_SELECTED_LANGUAGE,

    //===============
    // 审批业务数据查看SessionKey定义
    //===============
    /**
     * 查看标记
     */
    BUSINESS_FLAG_KEY,

    //===============
    // 可靠性项目SessionKey定义
    //===============
    /**
     * 可靠性项目检索条件
     */
    RB_PJ_SEARCH_CONDITION,
    /**
     * 创建可靠性项目权限
     */
    RB_PJ_CREATE_AUTHORITY,
    /**
     * 用户在可靠性项目中的角色类型
     */
    RB_PJ_USER_ROLE_TYPE,
    /**
     * 可靠性项目中各资源的稳定生命周期状态
     */
    RB_PJ_RESOURCE_SELF_STATE,
    /**
     * 可靠性项目标识
     */
    RB03001_PROJECT_ID,
    /**
     * TG标识
     */
    RB03002_TG_ID,
    /**
     * TASK标识
     */
    RB03003_TASK_ID,
    /**
     * 预防性措施规划标识
     */
    RB04052_PLAN_ID,
    /**
     * 任务检查版本
     */
    RB_PJ_TASK_CHECK_VERSION,
    /**
     * 任务检查列表(保存)版本
     */
    RB_PJ_TASK_CHECK_SAVE_VERSION,
    /**
     * 任务成员版本
     */
    RB_PJ_TASK_MEMBER_VERSION,
    /**
     * 任务成员编辑 版本
     */
    RB_PJ_TASK_MEMBER_EDIT_VERSION,
    /**
     * 任务成员删除 版本
     */
    RB_PJ_TASK_MEMBER_DELETE_VERSION,
    /**
     * 任务交付版本
     */
    RB_PJ_TASK_DEVLIEVERY_VERSION,
    /**
     * 任务基本信息编辑版本
     */
    RB_PJ_TASK_BASIC_EDIT_VERSION,
    /**
     * 任务基本信息子节点增加版本
     */
    RB_PJ_TASK_BASIC_ADD_VERSION,
    /**
     * 任务生命周期改变版本
     */
    RB_PJ_TASK_LIFE_STATE_VERSION,
    /**
     * TG基本信息版本
     */
    RB_PJ_TG_BASIC_EDIT_VERSION,
    /**
     * TG检查项版本
     */
    RB_PJ_TG_CHECKITEM_VERSION,
    /**
     * TG成员信息版本
     */
    RB_PJ_TG_STAFF_VERSION,
    /**
     * TG检查列表(保存)版本
     */
    RB_PJ_TG_CHECK_SAVE_VERSION,
    /**
     * TG生命周期改变版本
     */
    RB_PJ_TG_LIFE_STATE_VERSION,
    /**
     * 预防性规划TG集合
     */
    RB_PJ_PROACTIVE_PLAN_TGLIST,
    //==============
    // 目标设定
    //==============
    /**
     * 系统目标设定创建
     */
    TS_SYS_BASE_CREATE,
    /**
     * 系统目标设定(贝叶斯法)参数
     */
    TS_SYS_PARAMETER_CREATE,
    /**
     * 系统目标(贝叶斯法)指标类型
     */
    TS_SYS_METRIC_TYPE_CREATE,
    /**
     * 系统目标设定(贝叶斯法)参数编辑
     */
    TS_SYS_PARAMETER_EDIT,
    /**
     * 系统目标(贝叶斯法)指标类型编辑
     */
    TS_METRIC_TYPE_EDIT,
    /**
     * 目标管理ID
     */
    RB0403X_TS_ID,

    //==============
    // 问题
    //==============
    /**
     * 问题类型
     */
    FCS_PROBLEM_BELONG,
    /**
     * 问题创建基本信息
     */
    FCS_PROBLEM_BASE_CREATE,
    /**
     * 问题标识ID
     */
    FCS_PROBLEM_ID,

    //==============
    // 寿命数据
    //==============
    /**
     * 寿命数据分析基本信息创建
     */
    LD_ANALYSIS_BASE_CREATE,
    /**
     * 寿命数据分析数据创建
     */
    LD_ANALYSIS_DATA_CREATE,
    /**
     * 寿命数据分组基本信息创建
     */
    LD_GROUPING_BASE_CREATE,
    /**
     * 寿命数据分组数据创建
     */
    LD_GROUPING_DATA_CREATE,
    /**
     * 寿命数据分组ID
     */
    LD_GROUPING_ID,
    /**
     * 寿命数据分组结果
     */
    LD_GROUPING_RESULT,
    /**
     * 寿命数据分组-分析设置表数据
     */
    LD_GROUPING_SETTING_DATA,
    /**
     * 寿命数据分组-分析设置页面-分析列表数据
     */
    LD_GROUPING_ANALYSIS_DATA_LIST,
    /**
     * 寿命数据分析ID
     */
    LD_ANALYSIS_ID,
    /**
     * 寿命数据分析数据ID
     */
    LD_DATA_ID,
    /**
     * 寿命数据设定ID
     */
    LD_SETTING_ID,
    /**
     * 寿命数据分析明细数据创建
     */
    LD_ANALYSIS_DETAIL_DATA_CREATE,
    /**
     * 寿命数据分组明细数据创建
     */
    LD_GROUPING_DETAIL_DATA_CREATE,
    /**
     * 分析设置
     */
    LD_ANALYSIS_SETTING,
    /**
     * 寿命数据多图基本信息
     */
    LD_MULTICHART_CREATE,
    /**
     * 寿命数据多图ID
     */
    LD_MULTICHART_ID,
    //==============
    // 新版寿命数据
    //==============
    /**
     * 寿命数据分析基本信息创建
     */
    RLD_ANALYSIS_BASE_CREATE,
    /**
     * 寿命数据分析数据创建
     */
    RLD_ANALYSIS_DATA_CREATE,
    /**
     * 寿命数据分组基本信息创建
     */
    RLD_GROUPING_BASE_CREATE,
    /**
     * 寿命数据分组数据创建
     */
    RLD_GROUPING_DATA_CREATE,
    /**
     * 寿命数据分组ID
     */
    RLD_GROUPING_ID,
    /**
     * 寿命数据分组结果
     */
    RLD_GROUPING_RESULT,
    /**
     * 寿命数据分组-分析设置表数据
     */
    RLD_GROUPING_SETTING_DATA,
    /**
     * 寿命数据分组-分析设置页面-分析列表数据
     */
    RLD_GROUPING_ANALYSIS_DATA_LIST,
    /**
     * 寿命数据分析ID
     */
    RLD_ANALYSIS_ID,
    /**
     * 寿命数据分析数据ID
     */
    RLD_DATA_ID,
    /**
     * 寿命数据设定ID
     */
    RLD_SETTING_ID,
    /**
     * 寿命数据分析明细数据创建
     */
    RLD_ANALYSIS_DETAIL_DATA_CREATE,
    /**
     * 寿命数据分组明细数据创建
     */
    RLD_GROUPING_DETAIL_DATA_CREATE,
    /**
     * 分析设置
     */
    RLD_ANALYSIS_SETTING,
    /**
     * 寿命数据多图基本信息
     */
    RLD_MULTICHART_CREATE,
    /**
     * 寿命数据多图ID
     */
    RLD_MULTICHART_ID,
    //==============
    // 退化分析
    //==============
    /**
     * 退化分析基本信息创建
     */
    DA_INFO_BASE_CREATE,
    /**
     * 退化分析明细数据创建
     */
    DA_DATA_DETAIL_CREATE,
    /**
     * 退化分析ID
     */
    DA_INFO_ID,
    /**
     * 退化分析数据ID
     */
    DA_DATA_ID,
    /**
     * 退化分析数据设定ID
     */
    DA_SETTING_ID,
    /**
     * 退化分析设定信息
     */
    DA_DA_SETTING,
    /**
     * 是否点击过模型向导页面的计算按钮
     */
    DA_CALC_BUTTON,
    /**
     * 寿命数据退化分析设置
     */
    DA_LD_SETTING,
    /**
     * 分析设置
     */
    DA_LD_ANALYSIS_SETTING,
    //==============
    // 可靠性增长试验
    //==============
    /**
     * 增长试验规划Id
     */
    RGT_PLAN_ID,
    /**
     * 增长试验实体
     */
    RB04014_RGTA_ENTITY,
    /**
     * 计划表基类实体
     */
    RB04015_RGTP_ENTITY,
    /**
     * 增长试验追踪Id
     */
    RGT_TRACK_ID,
    /**
     * RGT计划详细序号
     */
    RGT_DETAIL_NO,
    /**
     * RGT计划标识
     */
    RGT_SCHEDULE_ID,
    /**
     * TRACK_TEST_ID
     */
    RGT_TRACK_TEST_ID,
    /**
     * RGT_UNIT_NO
     */
    RGT_UNIT_NO,
    /**
     * RGT 追踪操作权限
     */
    RGT_TRACK_WRITE_AUTH,
    //==============
    // DFMEA
    //==============
    /**
     * DFMEAID
     */
    DFMEA_FMEA_ID,
    /**
     * 导入结构时父级结构标识
     */
    DFMEA_STRUCTURE_ID,
    /**
     * dmfea锁
     */
    RDFMEA_LOCKKEY,
    //==============
    // R-DFMEA
    //==============
    /**
     * R-DFMEAID
     */
    RDFM_FMEA_ID,
    /**
     * R-DFMEA-NLS
     */
    RDFM_FMEA_NLS,
    /**
     * R-DFMEA-DISPLAY-NLS
     */
    RDFM_FMEA_DISPLAY_NLS,
    /**
     * 翻译标识
     */
    RDFM_TRANSLATE_FLAG,
    /**
     * 是否建网标识
     */
    RDFM_NETOPT_FLAG,
    /**
     * 当前生命周期
     */
    RDFM_CURRENT_LIFE_STATE,
    /**
     * RDFM是否可编辑
     */
    RDFM_READONLY,
    /**
     * 导入结构时父级结构标识
     */
    RDFM_STRUCTURE_ID,
    /**
     * 功能网聚焦结构标识
     */
    RDFM_FUNC_NET_STRU_ID,
    /**
     * 功能网当前聚焦标识
     */
    RDFM_FUNC_NET_FOCUS_STRU_ID,
    /**
     * 失效网聚焦结构标识
     */
    RDFM_FAULT_NET_STRU_ID,
    /**
     * 创建fmea时的默认语言
     */
    RDFM_CREATE_LKEY,
    /**
     * 失效网当前聚焦标识
     */
    RDFM_FAULT_NET_FOCUS_STRU_ID,
    /**
     * rdfmea表格信息
     */
    RDFM_DFMEA_TABLE_INFO,
    /** 完整性检查 begin*/
    /**
     * 功能的显示/隐藏
     */
    RDFM_FUNCTION_EXPAND,
    /**
     * 特性的显示/隐藏
     */
    RDFM_PRODUCT_FEATURES_EXPAND,
    /**
     * 要求的显示/隐藏
     */
    RDFM_REQUIRE_EXPAND,
    /**
     * 失效的显示/隐藏
     */
    RDFM_FAILURE_EXPAND,
    /**
     * 措施的显示/隐藏
     */
    RDFM_MEASURES_EXPAND,
    /** 完整性检查 end*/
    /**
     * RDFM_SELECT_LEFT_STRU_ID 左侧结构树选中ID
     */
    RDFM_SELECT_LEFT_STRU_ID,
    //==============
    // PFMEA
    //==============
    /**
     * PFMEAID
     */
    PFMEA_FMEA_ID,
    /**
     * 父级工序结构树节点
     */
    PFMEA_PARENTSTRU_ID,
    /**
     * 父级工序结构树节点展开状态
     */
    PFMEA_PARENTSTRU_STATUS,
    /**
     * 分类
     */
    PFMEA_CLASSIFY,
    /**
     * pmfea锁
     */
    RPFMEA_LOCKKEY,
    //==============
    // R-PFMEA
    //==============
    /**
     * R-PFMEAID
     */
    RPFM_FMEA_ID,
    /**
     * R-PFMEA-NLS
     */
    RPFM_FMEA_NLS,
    /**
     * R-PFMEA-DISPLAY-NLS
     */
    RPFM_FMEA_DISPLAY_NLS,
    /**
     * 翻译标识
     */
    RPFM_TRANSLATE_FLAG,
    /**
     * 是否建网标识
     */
    RPFM_NETOPT_FLAG,
    /**
     * 当前生命周期
     */
    RPFM_CURRENT_LIFE_STATE,
    /**
     * RDFM是否可编辑
     */
    RPFM_READONLY,
    /**
     * 导入结构时父级结构标识
     */
    RPFM_STRUCTURE_ID,
    /**
     * 功能网聚焦结构标识
     */
    RPFM_FUNC_NET_STRU_ID,
    /**
     * 功能网当前聚焦标识
     */
    RPFM_FUNC_NET_FOCUS_STRU_ID,
    /**
     * 失效网聚焦结构标识
     */
    RPFM_FAULT_NET_STRU_ID,
    /**
     * 失效网当前聚焦标识
     */
    RPFM_FAULT_NET_FOCUS_STRU_ID,
    /**
     * 创建fmea时的默认语言
     */
    RPFM_CREATE_LKEY,
    /**
     * rpfmea表格信息
     */
    RPFM_PFMEA_TABLE_INFO,
    /**
     * 功能的显示/隐藏
     */
    RPFM_FUNCTION_EXPAND,
    /**
     * 特性的显示/隐藏
     */
    RPFM_PRODUCT_FEATURES_EXPAND,
    /**
     * 要求的显示/隐藏
     */
    RPFM_REQUIRE_EXPAND,
    /**
     * 检测的显示/隐藏
     */
    RPFM_DETECTION_EXPAND,
    /**
     * 失效的显示/隐藏
     */
    RPFM_FAILURE_EXPAND,
    /**
     * 措施的显示/隐藏
     */
    RPFM_MEASURES_EXPAND,
    /** 完整性检查 end*/

    //==============
    // FMEA管理
    //==============

    /**
     * 评分标准实体
     */
    FMEA_STANDARD_ENTITY,
    /**
     * 评分标准ID
     */
    FMEA_STANDARD_ID,
    /**
     * 行动优先级
     */
    RFM_AP_ID,
    /**
     * 评分标准ID
     */
    RFM_STANDARD_ID,
    /**
     * 功能种类翻译标记
     */
    RFM_ATTR_TRANSLATE_FLAG,
    /**
     * 功能种类翻译标记
     */
    RFM_PDUCT_CLASSIFY_TRANSLATE_FLAG,
    /**
     * 产品特性分类标识
     */
    RFM_PDUCT_CLASSIFY_ID,
    /**
     * 工序图标翻译标记
     */
    RFM_PROC_ICON_TRANSLATE_FLAG,
    /**
     * 工序图标标识
     */
    RFM_PROC_ICON_ID,
    /**
     * 检查设备导出状态
     */
    EQUIPMENT_IMPORT_INFO_STATUS,
    /**
     * 检查设备翻译标记
     */
    RFM_EQUIPMENT_TRANSLATE_FLAG,
    /**
     * 检查设备标识
     */
    RFM_EQUIPMENT_ID,
    /**
     * 机器库导出状态
     */
    MACHINE_IMPORT_INFO_STATUS,
    /**
     * 机器库翻译标记
     */
    RFM_MACHINE_TRANSLATE_FLAG,
    /**
     * 机器库标识
     */
    RFM_MACHINE_ID,
    /**
     * FMEA库
     */
    RFM_LIBRARY_ID,
    /**
     * FMEA库类型，1：dfmea 2：pfmea
     */
    RFM_LIBRARY_TYPE,
    /**
     * R-FMEA-NLS
     */
    RFM_FMEA_NLS,
    /**
     * DFMEA库翻译标记
     */
    RFM_LIBRARY_TRANSLATE_FLAG,
    //==============
    // XFRACAS管理
    //==============
    /**
     * 立案单标识ID
     */
    HQ_CASE_PROCESS_ID,
    /**
     * 反馈单标识ID
     */
    QUALITY_PROBLEM_ID,
    //==============
    // PD
    //==============
    /**
     * PD标识
     */
    PD_INFO_ID,
    /**
     * P2P标识
     */
    PD_P2P_ID,
    /**
     * COT标识
     */
    PD_COT_ID,
    /**
     * CUG标识
     */
    PD_CUG_ID,
    /**
     * ENV标识
     */
    PD_ENV_ID,
    /**
     * SIA标识
     */
    PD_SIA_ID,
    /**
     * IN标识
     */
    PD_IN_ID,
    /**
     * KCP标识
     */
    PD_KCP_ID,
    /**
     * FCN标识
     */
    PD_FCN_ID,
    /**
     * FM标识
     */
    PD_FM_ID,
    /**
     * 所处阶段集合
     */
    PD_PHASE,

    //==============
    // 任务
    //==============
    /**
     * 任务标识
     */
    TASK_TASK_ID,

    //==============
    // 闭环项目
    //==============
    /**
     * 闭环流程模板标识
     */
    RB0421X_TEMPLATE_ID,
    /**
     * 闭环项目标识
     */
    RB0421X_PROJECT_ID,
    /**
     * 阶段标识
     */
    RB0421X_PHASE_ID,
    /**
     * 任务标识
     */
    RB0421X_TASK_ID,
    /**
     * 用户在闭环项目中的角色类型列表
     */
    RB0421X_PJ_USER_ROLE_TYPE,
    /**
     * 可靠性项目中各资源的稳定生命周期状态
     */
    RB0421X_PJ_RESOURCE_SELF_STATE,
    /**
     * 闭环项目历史阶段是否显示控制标记
     */
    RB0421X_HISTORY_FLAG,
    /**
     * 闭环项目类型
     */
    RB0421X_BELONG,

    /**
     * 项目基本信息版本
     */
    RB0421X_PROJECT_BASE_VERSION,
    /**
     * 阶段基本信息版本
     */
    RB0421X_PHASE_BASE_VERSION,

    /**
     * 项目检查信息版本
     */
    RB0421X_PROJECT_CHECK_VERSION,
    /**
     * 阶段检查信息版本
     */
    RB0421X_PHASE_CHECK_VERSION,

    /**
     * 项目成员信息版本
     */
    RB0421X_PROJECT_PERSON_VERSION,
    /**
     * 阶段成员信息版本
     */
    RB0421X_PHASE_PERSON_VERSION,

    /**
     * 项目信息版本
     */
    RB0421X_PROJECT_LIFE_STATE_VERSION,
    /**
     * 阶段信息版本
     */
    RB0421X_PHASE_LIFE_STATE_VERSION,

    /**
     * 项目检查数据集版本
     */
    RB0421X_PROJECT_DATA_LOCK_CHECK_VERSION,
    /**
     * 阶段检查数据集版本
     */
    RB0421X_PHASE_DATA_LOCK_CHECK_VERSION,

    /**
     * 问题描述信息版本
     */
    RB0421X_PHASE_PROBLEM_VERSION,
    /**
     * 问题影响信息版本
     */
    RB0421X_PHASE_EFFECT_VERSION,
    /**
     * 隔离措施信息版本
     */
    RB0421X_PHASE_ISOLATION_VERSION,
    /**
     * 原因及预防信息版本
     */
    RB0421X_PHASE_CAUSE_VERSION,
    /**
     * 纠正及验证信息版本
     */
    RB0421X_PHASE_CORRECT_VERSION,

    /**
     * 任务信息版本
     */
    RB04214_FCS_TASK_VERSION,

    //==============
    // 排他主键(T_SYS_RESOURCE的RESOURCE_CODE + 业务主表主键)
    // SessionKey(T_SYS_RESOURCE的RESOURCE_CODE + LOCKKEY)
    //==============
    /**
     * 客户管理
     */
    Rb0200801_LOCKKEY,
    /**
     * 责任部门页面排它键
     */
    Rb0201801_LOCKKEY,
    /**
     * 服务站页面排它键
     */
    Rb0201901_LOCKKEY,
    /**
     * 维修项目页面排它键
     */
    Rb0202001_LOCKKEY,

    /**
     * 问题质量标识
     */
    HQ_QUALITY_PROBLEM_ID,
    /**
     * 流程实例标识
     */
    HQ_PROCESS_INSTANCE_ID,
    /**
     * 流程操作日志返回空间
     */
    HQ_NAME_SPACE,
    /**
     * 流程任务
     */
    HQ_TASK_ID,

    /**
     * 邮件测试是否成功标记
     */
    TEST_SENDMAIL_FLAG,

    /**
     * session保活生命周期
     */
    SYS_SESSION_ACTIVITE_TIME,

    /**
     * 设置查看DFMEA的查看权限session
     */
    RDFM_VIEW_PERMISSION,
    /**
     * 设置查看PFMEA的查看权限session
     */
    RPFM_VIEW_PERMISSION,
}
