// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.common.mapper;

/**
 * @ClassName BaseMapper
 * @Description 数据存储层基类
 * @Author 罗昊
 * @CreateDate 2013-5-9
 * @Version V1.0
 */
public interface BaseMapper<E, K> {

    /**
     * 保存记录
     *
     * @param entity 待保存的实体
     * @return 无
     */
    void insert(E entity);

    /**
     * 删除记录
     *
     * @param key 待删除实体对应的key
     */
    void deleteByPrimaryKey(K key);

    /**
     * 更新记录
     *
     * @param entity 待更新的实体
     */
    void updateByPrimaryKey(E entity);

    /**
     * 获取记录
     *
     * @param key 通过主键获取相应的实体
     */
    E selectByPrimaryKey(K key);

}
