// Copyright(c) 2012 OSAKA GAS Co., Ltd. All rights reserved.
// Copyright(c) 2007-2012 OGIS-RI Co., Ltd. All rights reserved.
//   Adapted by OSAKAGAS Co., Ltd. 2012
//   Copyright 2012 OSAKAGAS Co., Ltd.
//
package com.nationrel.modules.project.jar.rb_common.exception;


import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;

/**
 * @author vic.fan
 * @version V1.0
 * @ClassName AuthorityException
 * @Description 应用程序
 * @date 2013-8-19
 */
public class AuthorityException extends AbstractRuntimeException {

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 4411082532576061990L;

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     */
    public AuthorityException(String errorCode) {
        super(errorCode);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     * @param values
     */
    public AuthorityException(String errorCode, String[] values) {
        super(errorCode, values);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     * @param value
     */
    public AuthorityException(String errorCode, String value) {
        super(errorCode, new String[]{value});
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     * @param cause
     */
    public AuthorityException(String errorCode, Throwable cause) {
        super(errorCode, cause);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     * @param values
     * @param cause
     */
    public AuthorityException(String errorCode, String[] values, Throwable cause) {
        super(errorCode, values, cause);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param errorCode
     * @param value
     * @param cause
     */
    public AuthorityException(String errorCode, String value, Throwable cause) {
        super(errorCode, new String[]{value}, cause);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     */
    public AuthorityException(MessageId messageId) {
        super(messageId.toString());
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     * @param values
     */
    public AuthorityException(MessageId messageId, String[] values) {
        super(messageId.toString(), values);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     * @param value
     */
    public AuthorityException(MessageId messageId, String value) {
        super(messageId.toString(), new String[]{value});
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     * @param cause
     */
    public AuthorityException(MessageId messageId, Throwable cause) {
        super(messageId.toString(), cause);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     * @param values
     * @param cause
     */
    public AuthorityException(MessageId messageId, String[] values, Throwable cause) {
        super(messageId.toString(), values, cause);
    }

    /**
     * <p>Title: AuthorityException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId
     * @param value
     * @param cause
     */
    public AuthorityException(MessageId messageId, String value, Throwable cause) {
        super(messageId.toString(), new String[]{value}, cause);
    }

}
