// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.rb_common.exception;

import com.nationrel.modules.project.jar.rb_common.common.constant.MessageId;

/**
 * @author ted.liu
 * @version V1.0
 * @ClassName ValidationException
 * @Description 校验异常
 * @date 2014-7-28
 */
public class ValidationException extends AbstractRuntimeException {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 1355837572383864647L;

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     */
    public ValidationException(MessageId messageId) {
        super(messageId);
    }

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     * @param values    组信息参数
     */
    public ValidationException(MessageId messageId, String[] values) {
        super(messageId, values);
    }

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     * @param value     单个信息参数
     */
    public ValidationException(MessageId messageId, String value) {
        super(messageId, new String[]{value});
    }

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     * @param cause     异常源信息
     */
    public ValidationException(MessageId messageId, Throwable cause) {
        super(messageId.toString(), cause);
    }

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     * @param values    组信息参数
     * @param cause     异常源信息
     */
    public ValidationException(MessageId messageId, String[] values, Throwable cause) {
        super(messageId.toString(), values, cause);
    }

    /**
     * <p>Title: ValidationException </p>
     * <p>Description: 构造函数 </p>
     *
     * @param messageId 信息标识
     * @param value     单个信息参数
     * @param cause     异常源信息
     */
    public ValidationException(MessageId messageId, String value, Throwable cause) {
        super(messageId.toString(), new String[]{value}, cause);
    }
}
