package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.dto.input.Rb0300101DeleteInput;
import com.nationrel.modules.project.service.PmProjectService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目列表
 * @Author nijun
 * @Date 2024/10/11 13:06
 * @Version 1.0
 */
@Tag(name = "项目列表")
@RestController
@RequestMapping("/rb0300101")
@Slf4j
public class Rb0300101Controller {

    @Autowired
    private PmProjectService pmProjectService;

    @AutoLog(value = "删除")
    @Operation(summary="删除")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> delete(Rb0300101DeleteInput input) {
        pmProjectService.deleteWholeProject(input.getProjectId());
        return Result.ok();
    }
}
