// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaAnalysis;
import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PaAnalysisMapper
 * @Description PA预防性措施评估表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaAnalysisMapper extends BaseMapper<PaAnalysis, String> {

    /**
     * @Title: countProactiveByCondition
     * @Description: 根据搜索条件获取预防性规划记录数
     * @param argMap 获取条件
     * @return int
     */
    int countProactiveByCondition(@Param("argMap") Map<String, Object> argMap);

    /**
     * @Title: searchProactiveByCondition
     * @Description: 根据搜索条件查询预防性规划信息
     * @param pagination 分页
     * @param argMap 获取条件
     * @return List<Map<String, Object>>
     */
    List<Map<String, String>> searchProactiveByCondition(
            @Param("pagination") Pagination pagination,
            @Param("argMap") Map<String, Object> argMap);

    /**
     * @Title: selectBasicByAnalysisId
     * @Description: 获取基本信息
     * @param paAnalysisId
     * @return PaAnalysis
     */
    PaAnalysis selectBasicByAnalysisId(@Param("paAnalysisId") String paAnalysisId);
}
