// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypeFaqCof;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PaTypeFaqCofMapper
 * @Description PA措施种类问题关系配置表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypeFaqCofMapper extends BaseMapper<PaTypeFaqCof, String> {

    /**
     * @Title: selectFaqByType
     * @Description: 根据措施种类获取问题集合
     * @param paTypeId void
     */
    List<Map<String, String>> selectFaqByType(@Param("paTypeId") String paTypeId, @Param("paPartId") String paPartId);

    /**
     * @Title: selectFaqValue
     * @Description: 根据风险ID获取FAQVALUE
     * @param paTypeId
     * @param string
     * @return String[]
     */
    String[] selectFaqValue(@Param("paTypeId") String paTypeId, @Param("levelId") String levelId);

}
