// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypeLevelCof;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PaTypeLevelCofMapper
 * @Description PA推荐措施配置表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypeLevelCofMapper extends BaseMapper<PaTypeLevelCof, String> {

    /**
     * @Title: selectPaTypeCofByTypeIdAndAnalysisType
     * @Description: 根据措施种类ID与预防性措施类型获取措施集合
     * @param paTypeId
     * @param paAnalysisType
     * @return List<PaTypeLevelCof>
     */
    List<Map<String, String>> selectPaTypeCofByTypeIdAndAnalysisType(@Param("paAnalysisType") String paAnalysisType);

    /**
     * @Title: selectCofList
     * @Description: 措施弹出框列表
     * @param paTypeId
     * @return List<PaTypeLevelCof>
     */
    List<Map<String, String>> selectCofList(@Param("paTypeId") String paTypeId);

}
