// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypePart;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PaTypePartMapper
 * @Description PA部件措施种类关系表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypePartMapper extends BaseMapper<PaTypePart, String> {

    /**
     * @Title: selectByPrimaryKey
     * @Description:
     * @param paPartId
     * @param paTypeId
     * @return PaTypePart
     */
    PaTypePart selectByPrimaryKey(@Param("paPartId") String paPartId, @Param("paTypeId") String paTypeId);

    /**
     * @Title: selectByPartId
     * @Description: 获取部件措施种类关系表
     * @param paPartId
     * @return List<PaTypePart>
     */
    List<PaTypePart> selectByPartId(@Param("paPartId") String paPartId);

    /**
     * @Title: deleteByPaAnalysisId
     * @Description: 删除部件措施种类关系表
     * @param paAnalysisId void
     */
    void deleteByPaAnalysisId(String paAnalysisId);
}
