// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PaTypeSub;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PaTypeSubMapper
 * @Description PA种类措施关系表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PaTypeSubMapper extends BaseMapper<PaTypeSub, String> {

    /**
     * @Title: insertBatch
     * @Description: 批量插入措施
     * @param paTypeSub
     * @param paIds
     * @param paNameList
     * @param paTypeList void
     */
    void insertBatch(List<PaTypeSub> list);

    /**
     * @Title: deleteByPaAnalysisId
     * @Description: 删除已有推荐措施
     * @param paAnalysisId void
     */
    void deleteByPaAnalysisId(@Param("paAnalysisId") String paAnalysisId);

    /**
     * @Title: selectByPartIdAndTypeId
     * @Description: 获取措施集合
     * @param paPartId
     * @param paTypeId
     * @return List<PaTypeSub>
     */
    List<PaTypeSub> selectByPartIdAndTypeId(@Param("paPartId") String paPartId, @Param("paTypeId") String paTypeId);

    /**
     * @Title: selectMeasureCount
     * @Description: 获取当前类型措施总数
     * @param paPartId
     * @param paTypeId
     * @return double
     */
    Long selectMeasureCount(@Param("paPartId") String paPartId, @Param("paTypeId") String paTypeId);

    /**
     * @Title: deleteByPrimaryKey
     * @Description:
     * @param paPartId
     * @param paTypeId void
     */
    void deleteByPrimaryKey(@Param("paPartId") String paPartId, @Param("paTypeId") String paTypeId);

    /**
     * @Title: selectPartCount
     * @Description: 获取当前零部件措施总数并更新零部件措施数信息
     * @param paPartId
     * @return Long
     */
    Long selectPartCount(@Param("paPartId") String paPartId);

    /**
     * @Title: checkScale
     * @Description: 校验权重分配是否已全部分配完毕
     * @param paAnalysisId
     * @return int
     */
    int checkScale(@Param("paAnalysisId") String paAnalysisId);
}
