// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmAuthority;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PmAuthorityMapper
 * @Description 权限表 Mapper接口
 * @Author ted.liu
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmAuthorityMapper extends BaseMapper<PmAuthority, String> {

    /**
     * @Title: selectAuthority
     * @Description:  权限类别=0： 状态别|权限类别=1 角色别
     * 根据权限类别值、资源类型及子资源类型-取得对应权限列表
     * @param argMap key_LifeState|key_ResourceType|key_ChildResourceType
     * @return List<PmStateAuthority>
     */
    List<PmAuthority> selectAuthority(@Param("argMap") Map<String, String> argMap);

}
