// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmProjectCheck;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PmProjectCheckMapper
 * @Description 项目检查表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmProjectCheckMapper extends BaseMapper<PmProjectCheck, String> {

    /**
     * @Title: findCheckListByProjectId
     * @Description:  根据项目标识取出检查列表
     * @return List<PmProjectCheck>
     */
    List<PmProjectCheck> findCheckListByProjectId(@Param("projectId") String projectId);

    /**
     * @Title: selectByPrimaryKey
     * @Description: 根据主键取得检查项
     * @param projectCheckId
     * @param projectId
     * @return PmProjectCheck
     */
    PmProjectCheck selectByPrimaryKey(@Param("projectCheckId") Integer projectCheckId, @Param("projectId")  String projectId);

    /**
     * @Title: deleteByPrimaryKey
     * @Description: 根据主键删除检查项
     * @param projectCheckId
     * @param projectId void
     */
    void deleteByPrimaryKey(@Param("projectCheckId") Integer projectCheckId, @Param("projectId")  String projectId);

    /**
     * @Title: deleteCheckItemByProjectId
     * @Description: 根据Project Id 删除检查项列表
     * @param projectCheckId
     * @param projectId void
     */
    void deleteCheckItemByProjectId(@Param("projectId")  String projectId);

    /**
     * @Title: selectMaxId
     * @Description: 取得当前项目中检查项最大的检查标识
     * @return Integer
     */
    int selectMaxId(@Param("projectId")  String projectId);
}
