// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmProjectDelivery;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PmProjectDeliveryMapper
 * @Description 项目交付关联表 Mapper接口
 * @Author
 * @CreateDate 2014-3-5
 * @version V1.0
 */
public interface PmProjectDeliveryMapper extends BaseMapper<PmProjectDelivery, String> {

    /**
     * @Title: deleteDeliveryByProjectIdAndDeliveryId
     * @Description: 从Project交付表中移除文档
     * @param projectId
     * @param deliveryId void
     * @param deliveryType
     */
    void deleteDeliveryByProjectIdAndDeliveryId(@Param("projectId") String projectId,
            @Param("deliveryId") String deliveryId, @Param("deliveryType") String deliveryType);

    /**
     * @Title: deleteDeliveryByProjectId
     * @Description: 根据Project Id 删除项目交付列表
     * @param projectId
     * @param documentId void
     */
    void deleteDeliveryByProjectId(@Param("projectId") String projectId);

    /**
     * @Title: searchDeliveryListByProjectId
     * @Description: 根据项目标识取得交付列表
     * @param taskId
     * @return List<Map<String , Object>>
     */
    List<Map<String , Object>> searchDeliveryListByProjectId(@Param("projectId") String projectId);

}
