// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmProjectRole;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PmProjectRoleMapper
 * @Description 项目角色表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmProjectRoleMapper extends BaseMapper<PmProjectRole, String> {

    /**
     * @Title: searchUserRoleAuthInProject
     * @Description:  取出用户在当前项目中查找用户所充当的角色
     * @param argMap key_UserId|key_ProjectId
     * @return List (RESOURCE_ID|PARENT_RESOURCE_ID|STAFF_ID|STAFF_ROLEID
     * |STAFF_ROLENAME|RESOURCE_TYPE|ROLE_TYPE)用户在项目中所担当的角色集
     */
    List<Map<String, String>> searchUserRoleAuthInProject(@Param("argMap") Map<String, String> argMap);

    /**
     * @Title: selectRoleById
     * @Description: 根据RESOURCE_TYPE获取角色集合
     * @return List<PmProjectRole>
     */
    List<PmProjectRole> selectRoleByResourceType(@Param("resourceType") String resourceType);

}
