// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmTaskCheck;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PmTaskCheckMapper
 * @Description TASK检查表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmTaskCheckMapper extends BaseMapper<PmTaskCheck, String> {

    /**
     * @Title: findCheckListByTaskId
     * @Description:  根据Task标识取出检查列表
     * @return List<PmTaskCheck>
     */
    List<PmTaskCheck> findCheckListByTaskId(@Param("taskId") String taskId);

    /**
     * @Title: selectByPrimaryKey
     * @Description: 根据主键取得检查项
     * @param taskCheckId
     * @param taskId
     * @return PmTaskCheck
     */
    PmTaskCheck selectByPrimaryKey(@Param("taskCheckId") Integer taskCheckId, @Param("taskId")  String taskId);

    /**
     * @Title: deleteByPrimaryKey
     * @Description: 根据主键删除检查项
     * @param taskCheckId
     * @param taskId void
     */
    void deleteByPrimaryKey(@Param("taskCheckId") Integer taskCheckId, @Param("taskId")  String taskId);

    /**
     * @Title: selectMaxId
     * @Description: 取得当前任务中检查项最大的检查标识
     * @return Integer
     */
    int selectMaxId(@Param("taskId")  String taskId);

    /**
     * @Title: deleteCheckItemByTaskNode
     * @Description: 根据任务结点删除检查项及所有子任务的检查项
     * @param taskId
     * @param taskId void
     */
    void deleteCheckItemByTaskNode(@Param("leftNo")  Integer leftNo, @Param("rightNo")  Integer rightNo, @Param("ordinal")  Integer ordinal, @Param("tgId")  String tgId);

    /**
     * @Title: deleteCheckItemByTgId
     * @Description: 根据TG标识删除TG下所有检查项
     * @param tgId
     * return void
     */
    void deleteCheckItemByTgId(@Param("tgId")  String tgId);
}
