// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmTaskTool;
import com.nationrel.modules.project.entity.TaskToolModel;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PmTaskToolMapper
 * @Description TASK工具关联表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmTaskToolMapper extends BaseMapper<PmTaskTool, String> {

    /**
     * @Title: selectTaskToolModelByTaskId
     * @Description: 根据任务标识取得任务关联工具对象集合
     * @param taskId
     * @return List<TaskToolModel>
     */
    List<TaskToolModel> selectTaskToolModelByTaskId(@Param("taskId") String taskId);

    /**
     * @Title: deleteTaskToolByTaskId
     * @Description: 根据任务标识删除任务关联工具
     * @param taskId void
     */
    void deleteTaskToolByTaskId(@Param("taskId") String taskId);

    /**
     * @Title: deleteTaskToolByTgId
     * @Description: 根据TG标识删除TG下所有任务所对应的工具
     * @param tgId void
     */
    void deleteTaskToolByTgId(@Param("tgId") String tgId);

    /**
     * @Title: deleteTaskToolByTaskNode
     * @Description: 根据任务结点删除工具及所有子任务的工具
     * @param leftNo
     * @param rightNo
     * @param ordinal
     * @param tgId void
     */
    void deleteTaskToolByTaskNode(@Param("leftNo")  Integer leftNo, @Param("rightNo")  Integer rightNo, @Param("ordinal")  Integer ordinal, @Param("tgId")  String tgId);
}
