// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmTgCheck;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PmTgCheckMapper
 * @Description TG检查表 Mapper接口
 * @Author
 * @CreateDate 2014-3-4
 * @version V1.0
 */
public interface PmTgCheckMapper extends BaseMapper<PmTgCheck, String> {

    /**
     * @Title: findCheckListByTgId
     * @Description:  根据TG标识取出检查列表
     * @return List<PmTgCheck>
     */
    List<PmTgCheck> findCheckListByTgId(@Param("tgId") String tgId);

    /**
     * @Title: selectByPrimaryKey
     * @Description: 根据主键取得检查项
     * @param tgCheckId
     * @param tgId
     * @return PmTgCheck
     */
    PmTgCheck selectByPrimaryKey(@Param("tgCheckId") Integer tgCheckId, @Param("tgId")  String tgId);

    /**
     * @Title: deleteByPrimaryKey
     * @Description: 根据TG标识删除检查项
     * @param tgCheckId
     * @param tgId void
     */
    void deleteCheckItemByTgId(@Param("tgId")  String tgId);

    /**
     * @Title: deleteByPrimaryKey
     * @Description: 根据主键删除检查项
     * @param tgCheckId
     * @param tgId void
     */
    void deleteByPrimaryKey(@Param("tgCheckId") Integer tgCheckId, @Param("tgId")  String tgId);

    /**
     * @Title: selectMaxId
     * @Description: 取得当前项目中检查项最大的检查标识
     * @return Integer
     */
    int selectMaxId(@Param("tgId")  String tgId);
}
