// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PmTgDelivery;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PmTgDeliveryMapper
 * @Description TG交付关联表 Mapper接口
 * @Author
 * @CreateDate 2014-3-5
 * @version V1.0
 */
public interface PmTgDeliveryMapper extends BaseMapper<PmTgDelivery, String> {

    /**
     * @param deliveryType
     * @Title: deleteDeliveryByTgIdAndDeliveryId
     * @Description: 从TG交付表中移除文档
     * @param taskId
     * @param documentId void
     */
    void deleteDeliveryByTgIdAndDeliveryId(@Param("tgId") String tgId,
            @Param("deliveryId") String deliveryId, @Param("deliveryType") String deliveryType);

    /**
     * @Title: deleteDeliveryByTgId
     * @Description: 根据TG标识删除交付
     * @param taskId
     * @param documentId void
     */
    void deleteDeliveryByTgId(@Param("tgId") String tgId);


    /**
     * @Title: searchDeliveryListByTaskId
     * @Description: 根据任务标识取得交付列表
     * @param taskId
     * @return List<Map<String , Object>>
     */
    List<Map<String , Object>> searchDeliveryListByTgId(@Param("tgId") String tgId);

    /**
     * @Title: selectByTGIdAndDeliveryId
     * @Description: 根据TG标识和交付标识获取交付
     * @param tgId
     * @param deliveryId
     * @param deliveryType
     * @return PmTgDelivery
     */
    PmTgDelivery selectByTGIdAndDeliveryId(@Param("tgId") String tgId,
            @Param("deliveryId") String deliveryId, @Param("deliveryType") String deliveryType);

}
