// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PpPlan;
import com.nationrel.modules.project.entity.PpPlanPageModel;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PpPlanMapper
 * @Description 预防性措施规划表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PpPlanMapper extends BaseMapper<PpPlan, String> {

    /**
     * @Title: findPpProactivePlanByProjectId
     * @Description: 获取可靠性项目的预防性规划数据，主要用于预防性规划管理页面数据显示。
     * @param projectId:项目Id
     * @return List<PpProactivePlanPageModel>
     */
    List<PpPlanPageModel> findPpPlanListByProjectId(@Param("projectId") String projectId);

    /***
     *
     * @Title: deleteByppPlanId
     * @Description: 删除预防性措施数据
     * @param ppPlanId void
     */
    void deleteByppPlanId(@Param("proactivePlanId") String proactivePlanId);

    /**
     * @Title: searchPpPlanIdByProjectId
     * @Description: 根据项目标识，取出ORGIN_ID不为空的所有任务,和措施规则任务表关联(ORGIN_ID=PP_PLAN_TASK_ID).取出PP_PLAN_ID
     * @param projectId
     * @return String
     */
    String searchPpPlanIdByProjectId(@Param("projectId") String projectId);

    /**
     * @Title: getEarlestAndLatestTimeByPlanId
     * @Description: TODO 用途说明
     * @param planId
     * @return Date[]
     */
    Map<?, ?> getEarlestAndLatestTimeByPlanId(@Param("planId") String planId);

    /**
     * @Title: selectPlanInfo
     * @Description: TODO 用途说明
     * @param planId
     * @return Map<String, Object>
     */
    Map<String , Object> selectPlanInfo(@Param("planId") String planId);

}
