// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PpPlanTaskMember;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @ClassName PpPlanTaskMemberMapper
 * @Description 预防性措施规划任务人员配置表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PpPlanTaskMemberMapper extends BaseMapper<PpPlanTaskMember, String> {

    /**
     * @Title: selectByPpPlanTaskId
     * @Description: 根据预防性措施规划任务Id获取任务成员信息
     * @param ppPlanTaskId
     * @return PpPlanTaskMember
     */
    PpPlanTaskMember selectByPpPlanTaskId(@Param("ppPlanTaskId") String ppPlanTaskId);
    /**
     *
     * @Title: deleteByTaskMember
     * @Description: 删除预防性规划下的人员
     * @param proactivePlanId void
     */
    void deleteMemberByPlanId(@Param("proactivePlanId")  String proactivePlanId);

    /**
     * @Title: deleteByPpPlanTaskId
     * @Description: 根据预防性措施规划任务Id删除任务成员
     * @param ppPlanTaskId void
     */
    void deleteByPpPlanTaskId(@Param("ppPlanTaskId") String ppPlanTaskId);

}
