// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PpPlanTrace;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PpPlanTraceMapper
 * @Description 风险系数规划表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PpPlanTraceMapper extends BaseMapper<PpPlanTrace, String> {

    /**
     * @Title: insertTraceCaseAccordCondition
     * @Description:添加数据到风险系数规划表
     * @param planId
     * @param planTaskStartTime
     * @param planTaskEndTime void
     */
    void insertTraceCaseAccordCondition(@Param("planId") String planId,
            @Param("planTaskStartTime") String planTaskStartTime, @Param("planTaskEndTime") String planTaskEndTime);

    /**
     * @Title: updateRiskDownValueByPlanIdAndDateRange
     * @Description: TODO 用途说明
     * @param planId
     * @param planTaskId
     * @param planStartTime
     * @param planEndTime
     * @param rickDownValue void
     */
    void updateRiskDownValueByPlanIdAndDateRange(@Param("planId") String planId, @Param("planTaskId") String planTaskId,
            @Param("planStartTime") String planStartTime, @Param("planEndTime") String planEndTime, @Param("rickDownValue") double rickDownValue);
    /**
     * @Title: getRickDownValueByDateRange
     * @Description: TODO 用途说明
     * @param planTaskId
     * @param planStartTime
     * @param planEndTime
     * @return double
     */
    double getRickDownValueByDateRange(@Param("planTaskId") String planTaskId, @Param("planEndTime") String planEndTime,
            @Param("planStartTime") String planStartTime);
    /**
     * @Title: deleteByPlanIdCaseAccordCondition
     * @Description:删除规划标识为planId&&规划的风险降低值为0的记录.
     * @param planId void
     */
    void deleteByPlanIdCaseAccordCondition(@Param("ppPlanId") String ppPlanId);

    /**
     * @Title: selectPpPlanTraceListByPpPlanId
     * @Description: 获取预防性规划下所有风险系数规划数据
     * @param ppPlanId
     * @return List<PpPlanTrace>
     */
    List<PpPlanTrace> selectPpPlanTraceListByPpPlanId(@Param("ppPlanId") String ppPlanId);

}
