// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.mapper;

import com.nationrel.modules.project.entity.PtTrace;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PtTraceMapper
 * @Description 风险系数追踪表 Mapper接口
 * @Author
 * @CreateDate 2014-4-25
 * @version V1.0
 */
public interface PtTraceMapper extends BaseMapper<PtTrace, String> {

    /**
     * @Title: getPtTraceListByPlanId
     * @Description: 获取追踪风险系数数据
     * @param planId
     * @return List<PtTrace>
     */
    List<PtTrace> getPtTraceListByPlanId(@Param("planId") String planId);

    /**
     * @Title: selectByPrimaryKey
     * @Description:根据时间维度和预防性措施规划标识获取风险系数追踪数据
     * @param planId
     * @param ppTime
     * @return PtTrace
     */
    PtTrace selectByPrimaryKey(@Param("planId") String planId, @Param("ppTime") String ppTime);

}
