package com.nationrel.modules.project.service;

import java.util.Map;

/**
 * @version V1.0
 * @ClassName AuthorityCtrlService
 * @Description 可靠性项目权限控制接口
 * @Author ted.liu
 * @CreateDate 2013-12-10
 */
public interface AuthorityCtrlService {

    /**
     * @param argMap
     * @return Map 权限集合
     * @Title: doViewAuthorityByGroup
     * @Description 分别取得状态权限的查看权限和角色权限的查看权限-处理合成为查看权限 (01:基本信息 02:检查列表 03:成员 04:文档 05:阶段 06:下级别)
     */
    Map<String, Map<String, String>> doViewAuthorityByGroup(Map<String, String> argMap) throws Exception;

    /**
     * @param argMap
     * @return Map<String, String>
     * @Title: doResourceAuthority
     * @Description: 取得具体资源的权限
     */
    Map<String, String> doResourceAuthority(Map<String, String> argMap) throws Exception;

    /**
     * @param argMap
     * @return Map<String, String>
     * @Title: doAuthorityByPage
     * @Description: 页面级权限Map做成
     */
    Map<String, String> doAuthorityByPage(Map<String, String> argMap) throws Exception;
}
