package com.nationrel.modules.project.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName PmPercentStatService
 * @Description 可靠性项目完成度统计接口
 * @Author ted.liu
 * @CreateDate 2014-01-23
 */
public interface PmPercentStatService {

    /**
     * @return Map<String, BigDecimal>
     * @Title: percent
     * @Description: 统计所有结点的完成度.
     */
    Map<String, BigDecimal> statAllNodePercent(Map<String, Object> argMap);

    /**
     * @param argMap
     * @return BigDecimal
     * @Title: statCurrentNodePercent
     * @Description: 统计当前结点的完成度.仅仅统计工作中的
     */
    BigDecimal statCurrentNodePercent(Map<String, Object> argMap);

    /**
     * @param pjLifeState
     * @param tgPercents
     * @return BigDecimal
     * @Title: statProjectPercent
     * @Description: 根据TG列表统计项目完成度
     */
    BigDecimal statProjectPercent(String pjLifeState, List<Map<String, Object>> tgPercents);
}
