package com.nationrel.modules.project.service;


/**
 * @version V1.0
 * @ClassName PmStageCtrlService
 * @Description 可靠性项目状态控制服务接口
 * @Author ted.liu
 * @CreateDate 2013-12-10
 */
public interface PmStageCtrlService {

    //===========================
    // 控制状态 BEGIN
    // 1、上级结点没有进入 工作状态-当前结点状态不能 创建状态迁移 工作状态
    // 2、当前结点向 完成状态迁移时-下级结点是否已完成
    //===========================

    /**
     * @param projectId 项目标识
     * @return void
     * @Title: ctrlProjectState
     * @Description: 控制项目的状态是否可推进
     */
    void ctrlProjectState(String projectId) throws Exception;

    /**
     * @param projectId 项目标识
     * @param tgId      TG标识
     * @return void
     * @Title: ctrlTgState
     * @Description: 控制TG的状态是否可推进
     */
    void ctrlTgState(String projectId, String tgId) throws Exception;

    /**
     * @param projectId 项目标识
     * @param taskId    Task标识
     * @return void
     * @Title: ctrlTaskState
     * @Description: 控制Task的状态是否可推进
     */
    void ctrlTaskState(String projectId, String taskId) throws Exception;

    //===========================
    // 控制状态 END
    // 1、上级结点没有进入 工作状态-当前结点状态不能 创建状态迁移 工作状态
    // 2、当前结点向 完成状态迁移时-下级结点是否已完成
    //===========================
}
