package com.nationrel.modules.project.service;

import java.util.Date;


/**
 * @version V1.0
 * @ClassName PmTaskService
 * @Description 可靠性项目Task服务接口
 * @Author ted.liu
 * @CreateDate 2013-12-10
 */
public interface PmTaskService {

    /**
     * @param taskId: task标识
     * @return void
     * @Title: checkTaskExist
     * @Description:检查Task是否存在
     */
    void checkTaskExist(String tgId) throws Exception;

    /**
     * @param leftNo
     * @param rightNo
     * @param Ordinal
     * @param tgId    void
     * @Title: deleteTaskByTaskId
     * @Description: 删除整个Task下所有子资源(人员 \ 工具等)
     */
    void deleteTaskByTaskNode(Integer leftNo, Integer rightNo, Integer ordinal, String tgId);

    /**
     * @param taskId void
     * @Title: deleteWholeTaskByTgId
     * @Description: 删除Tg下所有任务、任务树、交付、检查项、人员
     */
    void deleteWholeTaskByTgId(String tgId);

    /**
     * @param planStartTime
     * @param planEndTime
     * @param projectId
     * @param tgId
     * @param taskId
     * @param parentTaskId
     * @throws Exception void
     * @Title: checkTimeValid
     * @Description: 任务整合性检查
     */
    void checkTimeValid(Date planStartTime, Date planEndTime, String projectId, String tgId, String taskId, String parentTaskId) throws Exception;
}
