package com.nationrel.modules.project.service;

import java.util.Date;

/**
 * @version V1.0
 * @ClassName PmTgService
 * @Description 可靠性项目TG服务接口
 * @Author andy
 * @CreateDate 2014-04-02
 */
public interface PmTgService {

    /**
     * @param tgId: TG标识
     * @return MessageId:如果返回W300103,则表示TG不存在;
     * 其他情况,返回null.
     * @Title: checkTgExist
     * @Description:检查TG是否存在
     */
    void checkTgExist(String tgId) throws Exception;

    /**
     * @param tgId void
     * @Title: deleteWholeTG
     * @Description: 删除整个TG
     */
    void deleteWholeTG(String tgId);

    /**
     * @param dtPlanStartTime
     * @param dtPlanEndTime
     * @param projectId
     * @param string          void
     * @Title: checkTimeValid
     * @Description: 检查TG时间的合法性
     */
    void checkTimeValid(Date dtPlanStartTime, Date dtPlanEndTime, String projectId, String string) throws Exception;
}
