package com.nationrel.modules.project.service;

import java.util.List;


/**
 * @version V1.0
 * @ClassName PpPlanService
 * @Description 预防性措施规划接口
 * @Author andy
 * @CreateDate 2014-05-09
 */
public interface PpPlanService {

    /**
     * @param planId:预防性措施规划标识
     * @return String[] 例如:{[20140501, 20140502,.....],[10, 9,....]}
     * @Title: generateChatForPlan
     * @Description:生成预防性措施规划作图数据
     */
    String[] generateChatDataForPlan(String planId) throws Exception;

    /**
     * @param planId:预防性措施规划标识
     * @return String[] 例如:{[20140501, 20140502,.....],[10, 9,....],[10, 8,....]}
     * @Title: generateChatDataForPractice
     * @Description: 生成预防性规划实际风险降低数据
     */
    List<String[]> generateChatDataForProactice(String planId) throws Exception;
}
