package com.nationrel.modules.project.service;

import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @author zk
 * @description redis操作业务
 * @date 2021/3/17 10:21
 **/
@Service
public interface RedisService {

    String SEP = ":";

    /**
     * @param val1
     * @param clazz
     * @return java.lang.Object
     * @description getObject
     * @author jingrx
     * @date 2021/7/13 10:19
     **/
    Object getObject(String key, Class clazz);

    /**
     * @param val1
     * @param val2
     * @description putObject
     * @author jingrx
     * @date 2021/7/13 10:19
     **/
    void putObject(String key, Object value, long timeout);

    /**
     * @param key
     * @description delete
     * @author jingrx
     * @date 2021/7/13 10:19
     **/
    void delete(String key);

    /**
     * @param val1
     * @param val2
     * @return java.lang.Object
     * @description getObject
     * @author zk
     * @date 2021/3/17 10:19
     **/
    Object getObject(String val1, String val2);

    /**
     * @param val1
     * @param val2
     * @param value
     * @return void
     * @description setObject
     * @author zk
     * @date 2021/3/17 10:18
     **/
    void setObject(String val1, String val2, Object value);

    /**
     * @param val1
     * @param val2
     * @param value
     * @return void
     * @description Redis-->hash中 插入Map
     * @author zk
     * @date 2021/2/20 14:48
     **/
    void setMap(String val1, String val2, Map<String, String> value);

    /**
     * @param val1
     * @param val2
     * @return java.util.Map<java.lang.String, java.lang.String>
     * @description Redis-->hash中 获取Map
     * @author zk
     * @date 2021/2/20 14:50
     **/
    Map<String, String> getMap(String val1, String val2);

    /**
     * @param val1
     * @param val2
     * @return void
     * @description Redis-->hash中 删除Map
     * @author zk
     * @date 2021/2/4 17:38
     **/
    void delMap(String val1, String val2);

    /**
     * @param val1
     * @return void
     * @description Redis-->hash中 删除Map
     * @author zk
     * @date 2021/4/27 10:54
     **/
    void delMap(String val1);

    /**
     * Redis 是否存在Map
     *
     * @param val1
     */
    Boolean hasMap(String val1);

    Boolean setHashExpire(String val1, Long keepTime, TimeUnit timeUnit);

    RedisTemplate getRedisTemplate();
}
