package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300101DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300101DeleteOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.service.PmProjectService;
import com.nationrel.modules.project.service.Rb0300101DeleteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300101DeleteServiceImpl
 * @Description 项目对象删除的业务实现类
 * @Author andy
 * @CreateDate 2013-12-10
 */
@Service
public class Rb0300101DeleteServiceImpl implements Rb0300101DeleteService {

    @Autowired
    private PmProjectService pmProjectService;

    /**
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目对象删除的方法
     */
    @Override
    public String perform(Rb0300101DeleteInput input, Rb0300101DeleteOutput output) throws Exception {

        // 删除项目下所有信息
        pmProjectService.deleteWholeProject(input.getProjectId());

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
