package com.nationrel.modules.project.service.impl;


import com.nationrel.modules.project.dto.input.Rb0300102MoveTgInput;
import com.nationrel.modules.project.dto.output.Rb0300102MoveTgOutput;
import com.nationrel.modules.project.entity.PmTg;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.mapper.PmTgMapper;
import com.nationrel.modules.project.service.Rb0300102MoveTgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300102MoveTgServiceImpl
 * @Description TG列表页面初始化的业务类
 * @Author andy
 * @CreateDate 2013-12-17
 */
@Service
public class Rb0300102MoveTgServiceImpl implements Rb0300102MoveTgService {

    @Autowired
    private PmTgMapper pmTgMapper;

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description TG列表初始化的业务方法
     */
    @Override
    public String perform(Rb0300102MoveTgInput input, Rb0300102MoveTgOutput output) throws Exception {

        // 获取页面参数
        String currentTgId = input.getCurrentTgId();
        String targetTgId = input.getTargetTgId();

        // 交换TG顺序
        PmTg currentTg = pmTgMapper.selectByPrimaryKey(currentTgId);
        PmTg targetTg = pmTgMapper.selectByPrimaryKey(targetTgId);
        int temp = currentTg.getTgSort();
        currentTg.setTgSort(targetTg.getTgSort());
        targetTg.setTgSort(temp);

        // 更新TG顺序
        pmTgMapper.updateByPrimaryKey(targetTg);
        pmTgMapper.updateByPrimaryKey(currentTg);

        // 处理结果
        return Constants.SERVICE_SUCCESS;
    }

}
