package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300112InitInput;
import com.nationrel.modules.project.dto.output.Rb0300112InitOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.PmMapKeySet;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.jar.util.StringUtil;
import com.nationrel.modules.project.mapper.PmProjectMapper;
import com.nationrel.modules.project.service.Rb0300112InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300112InitServiceImpl
 * @Description 项目对象编辑初始化业务方法
 * @Author andy
 * @CreateDate 2013-12-16
 */
@Service
public class Rb0300112InitServiceImpl implements Rb0300112InitService {

    @Autowired
    private PmProjectMapper pmProjectMapper;

    /**
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目编辑初始化的业务方法
     */
    @SuppressWarnings("rawtypes")
    @Override
    public String perform(Rb0300112InitInput input, Rb0300112InitOutput output) throws Exception {

        // 获取projectId
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 根据Id获取项目对象数据
        Map result = pmProjectMapper.getProjectBasicInfo(projectId);

        // 输出项目对象
        output.setProjectCode(StringUtil.parseString(result.get(PmMapKeySet.KEY_PROJECT_CODE)));
        output.setProjectName(StringUtil.parseString(result.get(PmMapKeySet.KEY_PROJECT_NAME)));
        output.setProjectState(StringUtil.parseString(result.get(PmMapKeySet.KEY_R_LIFE_STATE)));
        output.setObjectName(StringUtil.parseString(result.get(PmMapKeySet.KEY_OBJECT_NAME)));
        output.setPlanStartTime(StringUtil.parseString(result.get(PmMapKeySet.KEY_R_PLAN_START_TIME)));
        output.setPlanEndTime(StringUtil.parseString(result.get(PmMapKeySet.KEY_R_PLAN_END_TIME)));
        output.setDescription(StringUtil.parseString(result.get(PmMapKeySet.KEY_DESCRIPTION)));
        output.setStartTime(StringUtil.parseString(result.get(PmMapKeySet.KEY_R_START_TIME)));
        output.setEndTime(StringUtil.parseString(result.get(PmMapKeySet.KEY_R_END_TIME)));
        output.setApplication(StringUtil.parseString(result.get(PmMapKeySet.KEY_PROJECT_APP)));
        output.setProjectType(StringUtil.parseString(result.get(PmMapKeySet.KEY_PROJECT_TYPE)));
        output.setProjectId(StringUtil.parseString(result.get(PmMapKeySet.KEY_PROJECT_ID)));

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
