package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300130DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300130DeleteOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectCheckMapper;
import com.nationrel.modules.project.service.Rb0300130DeleteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300230DeleteServiceImpl
 * @Description 项目检查项删除业务类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Service
public class Rb0300130DeleteServiceImpl implements Rb0300130DeleteService {

    @Autowired
    private PmProjectCheckMapper pmProjectCheckMapper;

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项删除业务方法
     */
    @Override
    public String perform(Rb0300130DeleteInput input, Rb0300130DeleteOutput output) throws Exception {

        // 项目标识取得
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 取得项目检查标识
        Integer projectCheckId = input.getProjectCheckId();

        // 删除当前项目检查项
        pmProjectCheckMapper.deleteByPrimaryKey(projectCheckId, projectId);

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
