package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300131SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300131SaveOutput;
import com.nationrel.modules.project.entity.PmProjectCheck;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.ReliaFlowConstants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectCheckMapper;
import com.nationrel.modules.project.service.Rb0300131SaveService;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300131SaveServiceImpl
 * @Description 项目检查项创建业务类
 * @Author andy
 * @CreateDate 2013-12-19
 */
@Service
public class Rb0300131SaveServiceImpl implements Rb0300131SaveService {

    @Autowired
    private PmProjectCheckMapper pmProjectCheckMapper;

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项保存业务方法
     */
    @Override
    public String perform(Rb0300131SaveInput input, Rb0300131SaveOutput output) throws Exception {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        // 取得项目标识
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 构建检查项实体
        PmProjectCheck entity = new PmProjectCheck();

        // 基本信息
        entity.setProjectCheckId(pmProjectCheckMapper.selectMaxId(projectId));
        entity.setProjectId(projectId);
        entity.setObject(input.getObject());
        entity.setContent(input.getContent());
        entity.setDescription(input.getDescription());
        entity.setResult(ReliaFlowConstants.CHECK_RESULT_INIT);

        // 系统信息
        entity.setInsertUserId(sysUser.getUsername());
        entity.setInsertPgmId(sysUser.getPgmId());

        // 检查项保存数据库
        pmProjectCheckMapper.insert(entity);

        // 处理结果
        return Constants.SERVICE_SUCCESS;
    }

}
