package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300132InitInput;
import com.nationrel.modules.project.dto.output.Rb0300132InitOutput;
import com.nationrel.modules.project.entity.PmProjectCheck;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectCheckMapper;
import com.nationrel.modules.project.service.Rb0300132InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300132InitServiceImpl
 * @Description 项目检查项编辑初始化业务类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Service
public class Rb0300132InitServiceImpl implements Rb0300132InitService {

    @Autowired
    private PmProjectCheckMapper pmProjectCheckMapper;

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项编辑初始化业务方法
     */
    @Override
    public String perform(Rb0300132InitInput input, Rb0300132InitOutput output) throws Exception {

        // 项目标识取得
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 取得项目检查标识
        Integer projectCheckId = input.getProjectCheckId();

        // 根据主键取得当前项目检查项
        PmProjectCheck pmProjectCheck = pmProjectCheckMapper.selectByPrimaryKey(projectCheckId, projectId);

        // 编辑页面元素值设定
        output.setProjectCheckId(pmProjectCheck.getProjectCheckId());
        output.setObject(pmProjectCheck.getObject());
        output.setContent(pmProjectCheck.getContent());
        output.setDescription(pmProjectCheck.getDescription());

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
