package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300132SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300132SaveOutput;
import com.nationrel.modules.project.entity.PmProjectCheck;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectCheckMapper;
import com.nationrel.modules.project.service.Rb0300132SaveService;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300232SaveServiceImpl
 * @Description 项目检查项保存业务类
 * @Author ted
 * @CreateDate 2013-12-19
 */
@Service
public class Rb0300132SaveServiceImpl implements Rb0300132SaveService {

    @Autowired
    private PmProjectCheckMapper pmProjectCheckMapper;

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目检查项保存业务方法
     */
    @Override
    public String perform(Rb0300132SaveInput input, Rb0300132SaveOutput output) throws Exception {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        // 项目标识取得
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 取得项目标识
        Integer projectCheckId = input.getProjectCheckId();

        // 构建检查项实体
        PmProjectCheck entity = pmProjectCheckMapper.selectByPrimaryKey(projectCheckId, projectId);

        // 基本信息
        entity.setObject(input.getObject());
        entity.setContent(input.getContent());
        entity.setDescription(input.getDescription());

        // 系统信息
        entity.setUpdateUserId(sysUser.getUsername());
        entity.setUpdatePgmId(sysUser.getPgmId());

        // 更新检查项到数据库
        pmProjectCheckMapper.updateByPrimaryKey(entity);

        // 处理结果
        return Constants.SERVICE_SUCCESS;
    }

}
