package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300140SaveInput;
import com.nationrel.modules.project.dto.output.Rb0300140SaveOutput;
import com.nationrel.modules.project.entity.PmProjectStaff;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.ReliaFlowConstants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectStaffMapper;
import com.nationrel.modules.project.service.Rb0300140SaveService;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @version V1.0
 * @ClassName Rb0300140SaveServiceImpl
 * @Description 项目成员选择页面初始化的业务类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Service
public class Rb0300140SaveServiceImpl implements Rb0300140SaveService {

    @Autowired
    private PmProjectStaffMapper pmProjectStaffMapper;

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 业务方法
     */
    @Override
    public String perform(Rb0300140SaveInput input, Rb0300140SaveOutput output) throws Exception {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        // 获取参数
        String[] roleIds = input.getRoleIds();
        String[] userIds = input.getUserIds();
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);
        pmProjectStaffMapper.deleteStaffByProjectId(projectId);
        for (int i = 0; i < userIds.length; i++) {
            PmProjectStaff staff = new PmProjectStaff();
            staff.setStaffId(userIds[i]);
            staff.setProjectId(projectId);
            staff.setProjectRoleId(roleIds[i]);
            staff.setInsertUserId(sysUser.getUsername());
            staff.setInsertPgmId(sysUser.getPgmId());
            staff.setIsApply(ReliaFlowConstants.IS_APPLY_YES);
            staff.setStartTime(new Date(System.currentTimeMillis()));
            pmProjectStaffMapper.insert(staff);
        }

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
