package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300141InitInput;
import com.nationrel.modules.project.dto.output.Rb0300141InitOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.ReliaFlowConstants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.service.Rb0300141InitService;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300141InitServiceImpl
 * @Description 项目成员选择页面初始化业务类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Service
public class Rb0300141InitServiceImpl implements Rb0300141InitService {

    /*@Autowired
    private SysUserGroupMapper sysUserGroupMapper;
    @Autowired
    private SysUserGroupMemberMapper mapper;
    @Autowired
    private SysUserMapper sysUserMapper;*/


    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员选择页面初始化业务方法
     */
    @Override
    public String perform(Rb0300141InitInput input, Rb0300141InitOutput output) throws Exception {

        String flag = input.getFlag();

        // 项目人员选择页面的下拉框是人员
        if (flag != null && flag.equals(ReliaFlowConstants.MEMBER_CHOOSE_USER)) {

            // 取得项目标识
            String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

            // 取得符合查询条件的记录总数
//            int rowTotal = sysUserMapper.countUserByCondition(null, null, projectId);

            // 设置记录总数
            Pagination pagination = input.getPagination();
            if (pagination == null) {
                pagination = new Pagination();
            }
//            pagination.setRowTotal(rowTotal);

            // 分页查询
//            List<Map<String, Object>> listMap = sysUserMapper.selectUserByCondition(pagination, null, null, projectId);

            // 3.设置输出
//            output.setUserMap(listMap);
            output.setPagination(pagination);
            output.setFlagForUserList(ReliaFlowConstants.MEMBER_CHOOSE_USER);
        } else {
            // 取得用户组数量
//            int userGroupCnt = sysUserGroupMapper.countGroupByCondition(new HashMap<String, Object>());

            // 设置记录总数
            Pagination pagination = input.getPagination();
            if (pagination == null) {
                pagination = new Pagination();
            }
//            pagination.setRowTotal(userGroupCnt);

            // 分页查询
//            List<?> list = sysUserGroupMapper.searchGroupByCondition(pagination, new HashMap<String, Object>());

            //设置查询结果
            output.setPagination(pagination);
//            output.setList(list);
        }

        // 返回成功
        return Constants.SERVICE_SUCCESS;
    }

}
