package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300141SearchGroupInput;
import com.nationrel.modules.project.dto.output.Rb0300141SearchGroupOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.PmMapKeySet;
import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import com.nationrel.modules.project.service.Rb0300141SearchGroupService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241SearchGroupServiceImpl
 * @Description 项目成员选择页面搜索组业务类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Service
public class Rb0300141SearchGroupServiceImpl implements Rb0300141SearchGroupService {

    /*@Autowired
    private SysUserGroupMapper sysUserGroupMapper;
    @Autowired
    private SysUserGroupMemberMapper mapper;*/


    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员选择页面搜索组业务方法
     */
    @Override
    public String perform(Rb0300141SearchGroupInput input, Rb0300141SearchGroupOutput output) throws Exception {

        Map<String, Object> argMap = new HashMap<String, Object>();
        argMap.put(PmMapKeySet.KEY_S_GROUP_NAME, input.getGroupName());

        // 取得用户组数量
//        int userGroupCnt = sysUserGroupMapper.countGroupByCondition(argMap);

        // 设置记录总数
        Pagination pagination = input.getPagination();
        if (pagination == null) {
            pagination = new Pagination();
        }
//        pagination.setRowTotal(userGroupCnt);

        // 分页查询
//        List<?> list = sysUserGroupMapper.searchGroupByCondition(pagination, argMap);

        // 设置输出
//        output.setList(list);
        output.setPagination(pagination);
        output.setGroupName(input.getGroupName());

        // 返回成功
        return Constants.SERVICE_SUCCESS;
    }

}
