package com.nationrel.modules.project.service.impl;


import com.nationrel.modules.project.dto.input.Rb0300141SearchMemberInput;
import com.nationrel.modules.project.dto.output.Rb0300141SearchMemberOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.ReliaFlowConstants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.service.Rb0300141SearchMemberService;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300141SearchMemberServiceImpl
 * @Description 项目成员选择页面人员搜索业务类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Service
public class Rb0300141SearchMemberServiceImpl implements Rb0300141SearchMemberService {

    /*@Autowired
    private SysUserGroupMapper sysUserGroupMapper;
    @Autowired
    private SysUserMapper sysUserMapper;*/

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员选择页面人员搜索业务方法
     */
    @Override
    public String perform(Rb0300141SearchMemberInput input, Rb0300141SearchMemberOutput output) throws Exception {

        // 取得项目标识
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 取得符合查询条件的记录总数
//        int rowTotal = sysUserMapper.countUserByCondition(input.getUsername(), input.getSysUserGroupCombox(), projectId);

        // 设置记录总数
        Pagination pagination = input.getPagination();
        if (pagination == null) {
            pagination = new Pagination();
        }
//        pagination.setRowTotal(rowTotal);

        // 分页查询
//        List<Map<String, Object>> listMap = sysUserMapper.selectUserByCondition(pagination, input.getUsername(), input.getSysUserGroupCombox(), projectId);

        // 设置输出
//        output.setUserMap(listMap);
        output.setPagination(pagination);
        output.setFlagForUserList(ReliaFlowConstants.MEMBER_CHOOSE_USER);
        output.setUserName(input.getUsername());
        output.setSelectedUserGroupId(input.getSysUserGroupCombox());

        // 返回成功
        return Constants.SERVICE_SUCCESS;
    }

}
