package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300150DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0300150DeleteOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectDeliveryMapper;
import com.nationrel.modules.project.service.Rb0300150DeleteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300250DeleteProjectDocumentServiceImpl
 * @Description 项目文档删除的业务类
 * @Author andy
 * @CreateDate 2014-01-03
 */
@Service
public class Rb0300150DeleteServiceImpl implements Rb0300150DeleteService {

    @Autowired
    private PmProjectDeliveryMapper pmProjectDeliveryMapper;

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目文档删除的业务方法
     */
    @Override
    public String perform(Rb0300150DeleteInput input, Rb0300150DeleteOutput output) throws Exception {

        // 获取参数
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);
        String deliveryId = input.getDeliveryId();
        String deliveryType = input.getDeliveryType();

        // 从项目文档表中移除当前文档
        pmProjectDeliveryMapper.deleteDeliveryByProjectIdAndDeliveryId(projectId, deliveryId, deliveryType);

        // 处理结果
        return Constants.SERVICE_SUCCESS;
    }

}
