package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300160CheckInput;
import com.nationrel.modules.project.dto.output.Rb0300160CheckOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.service.PmStageCtrlService;
import com.nationrel.modules.project.service.Rb0300160CheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300160CheckServiceImpl
 * @Description Task阶段检查的业务类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Service
public class Rb0300160CheckServiceImpl implements Rb0300160CheckService {

    @Autowired
    private PmStageCtrlService pmStageCtrlService;

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description Task阶段检查的业务方法
     */
    @Override
    public String perform(Rb0300160CheckInput input, Rb0300160CheckOutput output) throws Exception {

        // 项目标识
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);

        // 页面项目值设定
        input.setProjectId(projectId);

        // 当前结点向 完成状态迁移时-下级结点是否已完成
        pmStageCtrlService.ctrlProjectState(projectId);

        //返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
