package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0300331InitInput;
import com.nationrel.modules.project.dto.output.Rb0300331InitOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.jar.util.StringUtil;
import com.nationrel.modules.project.service.PmTaskService;
import com.nationrel.modules.project.service.PmTgService;
import com.nationrel.modules.project.service.Rb0300331InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0300331InitServiceImpl
 * @Description 任务检查项创建初期化业务类
 * @Author ted.liu
 * @CreateDate 2013-12-19
 */
@Service
public class Rb0300331InitServiceImpl implements Rb0300331InitService {

    @Autowired
    private PmTaskService pmTaskService;
    @Autowired
    private PmTgService pmTgService;

    /**
     
     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务检查项创建初期化业务方法
     */
    @Override
    public String perform(Rb0300331InitInput input, Rb0300331InitOutput output) throws Exception {
        // 取得TG标识
        String tgId = StringUtil.parseString(SessionUtil.getAttribute(SessionKeys.RB03002_TG_ID));

        // 取得TASK标识
        String taskId = StringUtil.parseString(SessionUtil.getAttribute(SessionKeys.RB03003_TASK_ID));

        // 检查TG是否存在
        pmTgService.checkTgExist(tgId);

        // 检查任务是否存在
        pmTaskService.checkTaskExist(taskId);

        // 处理结果
        return Constants.SERVICE_SUCCESS;
    }

}
