package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0405201DeleteInput;
import com.nationrel.modules.project.dto.output.Rb0405201DeleteOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.mapper.PpPlanMapper;
import com.nationrel.modules.project.mapper.PpPlanTaskMapper;
import com.nationrel.modules.project.mapper.PpPlanTaskMemberMapper;
import com.nationrel.modules.project.service.Rb0405201DeleteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0405201DeleteServiceImpl
 * @Description 预防性措施管理删除业务接口
 * @Author denise
 * @CreateDate 2014-04-29
 */
@Service
public class Rb0405201DeleteServiceImpl implements Rb0405201DeleteService {

    @Autowired
    private PpPlanMapper ppProactivePlanMapper;
    @Autowired
    private PpPlanTaskMapper ppPlanTaskMapper;
    @Autowired
    private PpPlanTaskMemberMapper ppPlanTaskMemberMapper;

    /**
     
     * @param input:输入参数
     * @param output:输出参数
     * @return String:返回结果
     * @Title: perform
     * @Description:
     */
    @Override
    public String perform(Rb0405201DeleteInput input, Rb0405201DeleteOutput output) throws Exception {

        //删除预防性规划的数据
        ppProactivePlanMapper.deleteByppPlanId(input.getPpPlanId());

        // 删除预防性规划的数据下的删除成员
        ppPlanTaskMemberMapper.deleteMemberByPlanId(input.getPpPlanId());

        // 删除预防性规划的数据下的任务
        ppPlanTaskMapper.deleteTaskByPlanId(input.getPpPlanId());

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }
}
