package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0405203SaveInput;
import com.nationrel.modules.project.dto.output.Rb0405203SaveOutput;
import com.nationrel.modules.project.entity.PpPlan;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.mapper.PpPlanMapper;
import com.nationrel.modules.project.service.Rb0405203SaveService;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0405203SaveServiceImpl
 * @Description 预防性措施规划编辑业务实现类
 * @Author andy
 * @CreateDate 2014-04-25
 */
@Service
public class Rb0405203SaveServiceImpl implements Rb0405203SaveService {

    @Autowired
    private PpPlanMapper ppPlanMapper;

    /**

     * @param input:输入参数
     * @param output:输出参数
     * @return String:返回结果
     * @Title: perform
     * @Description:
     */
    @Override
    public String perform(Rb0405203SaveInput input, Rb0405203SaveOutput output) throws Exception {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        // 获取预防性措施规划记录
        PpPlan ppPlan = ppPlanMapper.selectByPrimaryKey(input.getProactivePlanId());

        // 设置预防性措施规划属性
        ppPlan.setPpPlanName(input.getProactivePlanName());
        ppPlan.setDescription(input.getDescription());
        ppPlan.setResponsible(input.getResponsibleId());
        ppPlan.setUpdatePgmId(sysUser.getPgmId());
        ppPlan.setUpdateUserId(sysUser.getUsername());

        // 更新预防性措施规划记录
        ppPlanMapper.updateByPrimaryKey(ppPlan);

        // 设置输出
        output.setProactivePlanId(ppPlan.getPpPlanId());
        output.setProactiveId(ppPlan.getPaAnalysisId());
        output.setPpPlanId(ppPlan.getPpPlanId());

        // 返回成功
        return Constants.SERVICE_SUCCESS;
    }
}
