package com.nationrel.modules.project.service.impl;


import com.nationrel.modules.project.dto.input.Rb0405232InitInput;
import com.nationrel.modules.project.dto.output.Rb0405232InitOutput;
import com.nationrel.modules.project.entity.PmTg;
import com.nationrel.modules.project.entity.PpPlanTask;
import com.nationrel.modules.project.entity.PpPlanTaskMember;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.util.DateUtils;
import com.nationrel.modules.project.mapper.PmTgMapper;
import com.nationrel.modules.project.mapper.PpPlanMapper;
import com.nationrel.modules.project.mapper.PpPlanTaskMapper;
import com.nationrel.modules.project.mapper.PpPlanTaskMemberMapper;
import com.nationrel.modules.project.service.Rb0405232InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @ClassName Rb0405232InitServiceImpl
 * @Description 预防性措施规划任务查看初始化业务实现类
 * @Author andy
 * @CreateDate 2014-04-24
 */
@Service
public class Rb0405232InitServiceImpl implements Rb0405232InitService {

    @Autowired
    private PpPlanMapper ppPlanMapper;
    @Autowired
    private PpPlanTaskMapper ppPlanTaskMapper;
    @Autowired
    private PpPlanTaskMemberMapper ppPlanTaskMemberMapper;
    @Autowired
    private PmTgMapper pmTgMapper;
//    @Autowired
//    private SysUserMapper sysUserMapper;

    /**

     * @param input:输入参数
     * @param output:输出参数
     * @return String:返回结果
     * @Title: perform
     * @Description:预防性措施规划任务查看初始化业务方法
     */
    @Override
    public String perform(Rb0405232InitInput input, Rb0405232InitOutput output) throws Exception {

        // 根据PlanTask标识获取预防性规划任务信息
        PpPlanTask ppPlanTask = ppPlanTaskMapper.selectByPrimaryKey(input.getPlanTaskId());

        // 获取TG名称
        PmTg pmTg = pmTgMapper.selectByPrimaryKey(ppPlanTask.getPlanTgId());
        if (pmTg != null) {
            output.setTgName(pmTg.getTgName());
        }

        // 获取责任人
        PpPlanTaskMember ppPlanTaskMember = ppPlanTaskMemberMapper.selectByPpPlanTaskId(ppPlanTask.getPpPlanTaskId());
       /* if (ppPlanTaskMember != null) {
            SysUser sysUser = sysUserMapper.selectByPrimaryKey(ppPlanTaskMember.getUserId());
            output.setResponsible(sysUser.getUsername());
            output.setResponsibleId(sysUser.getUserId());
        }*/

        // 设置输出
        output.setPartName(ppPlanTask.getPartName());
        output.setPaName(ppPlanTask.getPaName());
        output.setPlanStartTime(DateUtils.convertDatetoString(ppPlanTask.getPlanStartTime()));
        output.setPlanEndTime(DateUtils.convertDatetoString(ppPlanTask.getPlanEndTime()));
        output.setDescription(ppPlanTask.getDescription());
        output.setPpPlanTaskId(input.getPlanTaskId());
        output.setPlanTaskName(ppPlanTask.getPlanTaskName());
        output.setDescription(ppPlanTask.getDescription());
        output.setProactivePlanId(input.getProactivePlanId());

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }

}
