package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.dto.input.Rb0405291InitInput;
import com.nationrel.modules.project.dto.output.Rb0405291InitOutput;
import com.nationrel.modules.project.jar.rb_common.common.constant.Constants;
import com.nationrel.modules.project.jar.rb_common.common.constant.SessionKeys;
import com.nationrel.modules.project.jar.util.SessionUtil;
import com.nationrel.modules.project.mapper.PmProjectStaffMapper;
import com.nationrel.modules.project.mapper.PmTgStaffMapper;
import com.nationrel.modules.project.service.Rb0405291InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0405291InitServiceImpl
 * @Description 预防性措施规划选择责任人业务实现类
 * @Author andy
 * @CreateDate 2014-04-24
 */
@Service
public class Rb0405291InitServiceImpl implements Rb0405291InitService {

    @Autowired
    private PmProjectStaffMapper pmProjectStaffMapper;
    @Autowired
    private PmTgStaffMapper pmTgStaffMapper;

    /**

     * @param input:输入参数
     * @param output:输出参数
     * @return String:返回结果
     * @Title: perform
     * @Description:
     */
    @Override
    public String perform(Rb0405291InitInput input, Rb0405291InitOutput output) throws Exception {

        // 取得项目标识
        String projectId = (String) SessionUtil.getAttribute(SessionKeys.RB03001_PROJECT_ID);
        List<Map<String, Object>> availableOfStaffs = null;
        if (input.getTgId() == null || input.getTgId().equals(Constants.BLANK)) {

            // 取得项目成员列表
            availableOfStaffs = pmProjectStaffMapper.searchProjectMemberListByProjectId(projectId);
        } else {

            // 取得TG成员列表
            availableOfStaffs = pmTgStaffMapper.selectPmTgStaffsByTgId(input.getTgId(), null);
        }


        // 设置输出
        output.setPmProjectStaffs(availableOfStaffs);

        // 返回结果
        return Constants.SERVICE_SUCCESS;
    }
}
